(function($) {
    'use strict';

    var portfolioFullScreen = {};
    cdbTheme.modules.portfolioFullScreen = portfolioFullScreen;

    portfolioFullScreen.cdbThemeWindowLoad = cdbThemeWindowLoad;

    $(window).load(cdbThemeWindowLoad);

    /*
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {
        portfolioFullScreenSlider();
    }

    /**
     * Initializes swiper slide for portfolio vertical slider
     */
    function portfolioFullScreenSlider() {

        var portfolioVertical = $('.portfolio-vertical-slider'),
            params = {
            nextButton: '.swiper-button-next',
            prevButton: '.swiper-button-prev',
            speed: 1000,
            pagination: '.swiper-pagination',
            paginationClickable: true,
            paginationType : 'fraction',
            paginationFractionRender: function (swiper, currentClassName, totalClassName) {
                return '<span class="' + currentClassName + '"></span>' +
                    ' - ' +
                    '<span class="' + totalClassName + '"></span>';
            },
            loop: true,
            effect: 'fade',
            dynamicMainBullets: 3,
            direction: 'vertical',
            keyboardControl: true,
            mousewheelControl: true,
            onInit: function(e) {
                var i = e.activeIndex,
                    color = e.slides.eq(i).data('color');
                if (!cdbTheme.body.hasClass(color)) {
                    cdbTheme.body.removeClass('color-scheme-light color-scheme-dark').addClass(color);
                }
                cdbTheme.window.on('orientationchange', function() {
                    e.update();
                });
            },
            onSlideChangeStart: function(e) {
                var color = $('.swiper-slide-active').data('color');

                cdbTheme.body.removeClass('color-scheme-light color-scheme-dark').addClass(color);
            }
        };

        if (portfolioVertical.length) {
            portfolioVertical.each(function () {
               var swiperSlider = new Swiper( portfolioVertical, params );
            });
        }

    }

})(jQuery);