(function($) {
    'use strict';

    var portfolioSection = {};
    cdbTheme.modules.portfolioSection = portfolioSection;

    portfolioSection.cdbThemeWindowLoad = cdbThemeWindowLoad;

    $(window).load(cdbThemeWindowLoad);

    /*
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {
        portfolioSectionHover();
    }

    /**
     * Portfolio Section Change Background Image on Hover
     */
    function portfolioSectionHover(){
        var portfolioSections = $('.portfolio-bg-list-wrap');

        if (portfolioSections.length){
            portfolioSections.each(function () {
                var thisSection = $(this),
                    articles = thisSection.find('.portfolio-bg-list-item'),
                    articlesLink = thisSection.find('.portfolio-bg-list-link'),
                    articlesImages = thisSection.find('.portfolio-list-background-container .portfolio-list-background-inner');


                articles.eq(0).addClass('hovered');
                articlesImages.eq(0).addClass('hovered');

                //remove first click when on touch devices - go to link on second click
                if(cdbTheme.htmlEl.hasClass('touch')){
                    articlesLink.eq(0).addClass('active');

                    articlesLink.each(function () {
                        var link = $(this);

                        link.on('click', function(e){
                            if (!link.hasClass('active')) {
                                e.preventDefault();
                                articlesLink.removeClass('active');
                                link.addClass('active');
                            }

                        });
                    });
                }

                articles.each(function(e){
                    var thisArticle = $(this);

                    thisArticle.on('mouseover', function () {

                        var imageHolder = articlesImages.eq(e);

                        if (!thisArticle.hasClass('hovered')){
                            thisArticle.siblings().removeClass('hovered');
                            imageHolder.siblings().removeClass('hovered');

                            thisArticle.addClass('hovered');
                            imageHolder.addClass('hovered');
                        }
                    });
                });

            });
        }
    }

})(jQuery);

