<?php

if ( ! function_exists( 'caledon_addon_map_testimonials_meta' ) ) {
	function caledon_addon_map_testimonials_meta() {
		$testimonial_meta_box = codebean_create_meta_box(
			array(
				'scope' => array( 'testimonials' ),
				'title' => esc_html__( 'Testimonial', 'caledon-addon' ),
				'name'  => 'testimonial_meta'
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_testimonial_title',
				'type'        => 'text',
				'label'       => esc_html__( 'Title', 'caledon-addon' ),
				'description' => esc_html__( 'Enter testimonial title', 'caledon-addon' ),
				'parent'      => $testimonial_meta_box,
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_testimonial_text',
				'type'        => 'text',
				'label'       => esc_html__( 'Text', 'caledon-addon' ),
				'description' => esc_html__( 'Enter testimonial text', 'caledon-addon' ),
				'parent'      => $testimonial_meta_box,
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_testimonial_author',
				'type'        => 'text',
				'label'       => esc_html__( 'Author', 'caledon-addon' ),
				'description' => esc_html__( 'Enter author name', 'caledon-addon' ),
				'parent'      => $testimonial_meta_box,
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_testimonial_author_position',
				'type'        => 'text',
				'label'       => esc_html__( 'Author Position', 'caledon-addon' ),
				'description' => esc_html__( 'Enter author job position', 'caledon-addon' ),
				'parent'      => $testimonial_meta_box,
			)
		);
	}
	
	add_action( 'codebean_action_meta_boxes_map', 'caledon_addon_map_testimonials_meta', 95 );
}