<div class="testimonial-wrap clearfix <?php echo esc_attr($holder_classes); ?>">
    <div class="testimonials cdb-owl-carousel" <?php echo codebean_get_inline_attrs( $data_attr ) ?>>

    <?php if ( $query_results->have_posts() ):
        while ( $query_results->have_posts() ) : $query_results->the_post();
            $title    = get_post_meta( get_the_ID(), 'cdb_testimonial_title', true );
            $text     = get_post_meta( get_the_ID(), 'cdb_testimonial_text', true );
            $author   = get_post_meta( get_the_ID(), 'cdb_testimonial_author', true );
            $position = get_post_meta( get_the_ID(), 'cdb_testimonial_author_position', true );

            $current_id = get_the_ID();
    ?>

            <div class="testimonial-content" id="testimonial-<?php echo esc_attr( $current_id ) ?>">
                <div class="testimonial-content-inner">
                    <?php if ( $quote ) { ?>
                        <div class="testimonial-quote-decoration"><?php echo codebean_icon_collections()->renderIcon( 'fa fa-quote-left', 'font_awesome', array( 'icon_attributes' => array( 'class' => 'testimonial-decoration-icon' ) ) ); ?></div>
                    <?php } ?>
                    <?php if ( ! empty( $title ) ) { ?>
                        <h3 class="testimonial-title"><?php echo esc_html( $title ); ?></h3>
                    <?php } ?>
                    <?php if ( ! empty( $text ) ) { ?>
                        <p class="testimonial-paragraph"><?php echo esc_html( $text ); ?></p>
                    <?php } ?>
                    <?php if ( $image && has_post_thumbnail() ) { ?>
                        <div class="testimonial-photo">
                            <?php echo get_the_post_thumbnail( get_the_ID(), array( 66, 66 ) ); ?>
                        </div>
                    <?php } ?>
                    <?php if ( ! empty( $author ) ) { ?>
                        <h4 class="testimonial-author">
                            <span class="testimonial-name"><?php echo esc_html( $author ); ?></span>
                            <?php if ( ! empty( $position ) ) { ?>
                                <span class="testimonial-company"><?php echo esc_html( $position ); ?></span>
                            <?php } ?>
                        </h4>
                    <?php } ?>
                </div>
            </div>

    <?php
        endwhile;
    else:
        echo esc_html__( 'Sorry, no posts matched your criteria.', 'caledon-addon' );
    endif;

    wp_reset_postdata();
    ?>

    </div>
</div>