(function($) {
	'use strict';
	
	var countdown = {};
	cdbTheme.modules.countdown = countdown;
	
	countdown.codebeanCountDown = codebeanCountDown;
	
	
	countdown.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		codebeanCountDown();
	}

    var countDownInView = function(el) {
        setTimeout(function(){
            el.appear(function(){
                el.addClass('in-view');
            },{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
        },30);
    };
	
	/**
	 * Countdown Shortcode
	 */
	function codebeanCountDown() {
		var countdowns = $('.cdb-countdown-wrap');
		
		if (countdowns.length) {
			countdowns.each(function(){
                var _this = $(this),
                    date = _this.data('date'),
                    onfinishHtml = _this.data('finish-text'),
                    html = _this.find('.dfd-countdown-html').html();

                _this.find('.dfd-countdown-html').remove();

                countDownInView(_this);

                _this.countdown(date).on('update.countdown', function (event) {
                    $(this).html(event.strftime(html));
                }).on('finish.countdown', function () {
                    $(this).html(onfinishHtml);
                });
			});
		}
	}
	
})(jQuery);