<?php

if ( ! function_exists( 'caledon_addon_enqueue_scripts_for_countdown_shortcodes' ) ) {
	/**
	 * Function that includes all necessary 3rd party scripts for this shortcode
	 */
	function caledon_addon_enqueue_scripts_for_countdown_shortcodes() {
		wp_enqueue_script( 'countdown', CALEDON_ADDON_SHORTCODES_URL_PATH . '/countdown/assets/js/plugins/jquery.countdown.js', array( 'jquery' ), false, true );
	}
	
	add_action( 'codebean_action_enqueue_third_party_scripts', 'caledon_addon_enqueue_scripts_for_countdown_shortcodes' );
}


if( ! function_exists( 'cdb_vc_param_datetime_picker' ) && function_exists( 'vc_add_shortcode_param' ) ) {

	/**
	 * Function that create new datetime picker param for VC
	 */

	wp_enqueue_style('cdb-datetime-picker-styles', CALEDON_ADDON_SHORTCODES_URL_PATH.'/countdown/assets/css/date-time-picker.css');

	vc_add_shortcode_param( 'codebean_timepicker', 'cdb_vc_param_datetime_picker', CALEDON_ADDON_SHORTCODES_URL_PATH . '/countdown/assets/js/plugins/bootstrap-datetimepicker.js' );

	function cdb_vc_param_datetime_picker( $settings, $value ) {
		$uniqid = uniqid();
		$holder_classes = array();
		$holder_classes[] = $settings['type'];
		$holder_classes[] = $settings['class'];
		$holder_classes[] = $settings['param_name'];

		ob_start();
		?>
		<div class="codebean-datetime"><input type="text" data-format="dd/MM/yyyy hh:mm:ss" readonly class="wpb_vc_param_value wpb-textinput textfield <?php echo esc_attr( implode( ' ', $holder_classes ) ) ?>" name="<?php echo esc_attr( $settings['param_name'] ); ?>" style="width:258px;" value="<?php echo esc_attr( $value ); ?>" /><span class="add-on"><span class="dashicons dashicons-calendar-alt"></span></span></div>
		<?php
		return ob_get_clean();
	}

}

if ( ! function_exists( 'caledon_addon_add_countdown_shortcodes' ) ) {
	function caledon_addon_add_countdown_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\Countdown\Countdown'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_countdown_shortcodes' );
}