<?php
$i    = 0;
$rand = rand( 0, 1000 );
?>
<div class="cdb-gallery-module container-list container-masonry-list  <?php echo esc_attr( $holder_classes ); ?>">
	<div class="fix-col-gap masonry-list-wrap">
		<div class="masonry-grid-sizer"></div>
		<div class="masonry-grid-gutter"></div>
		<?php foreach ( $images as $image ) { ?>
			<?php
			$image_classes    = '';
			$image_size_class = get_post_meta( $image['image_id'], 'image_gallery_masonry_image_size', true );
			$new_image_size   = $image_size;
			
			if ( ! empty( $image_size_class ) ) {
				$image_classes = esc_attr( $image_size_class );
				
				if ( $image_size_class === 'large-width-height' ) {
					$new_image_size = 'full';
				} else if ( $image_size_class === 'small' ) {
					$new_image_size = 'caledon_square_size';
				} else if ( $image_size_class === 'large-width' ) {
					$new_image_size = 'caledon_landscape_size';
				} else if ( $image_size_class === 'large-height' ) {
					$new_image_size = 'caledon_portrait_size';
				} else {
					$new_image_size = 'full';
				}
			}
			?>
			<div class="gallery-item col-gutter <?php echo esc_attr( $image_classes ); ?>">
				<div class="gallery_thumb">
					<?php if ( $image_behavior === 'lightbox' ) { ?>
						<a href="<?php echo esc_url( $image['url'] ); ?>" data-rel="prettyPhoto[image_gallery-<?php echo esc_attr( $rand ); ?>]" title="<?php echo esc_attr( $image['title'] ); ?>">
					<?php } else if ( $image_behavior === 'custom-link' && ! empty( $custom_links ) ) { ?>
						<a href="<?php echo esc_url( $custom_links[ $i ++ ] ); ?>" target="<?php echo esc_attr( $custom_link_target ); ?>" title="<?php echo esc_attr( $image['title'] ); ?>">
					<?php } ?>
						<?php if ( is_array( $image_size ) && count( $image_size ) ) :
							echo codebean_generate_thumbnail( $image['image_id'], null, $image_size[0], $image_size[1] );
						else:
							echo wp_get_attachment_image( $image['image_id'], $new_image_size );
						endif; ?>
					<?php if ( $image_behavior === 'lightbox' || $image_behavior === 'custom-link' ) { ?>
						</a>
					<?php } ?>
				</div>
			</div>
		<?php } ?>
	</div>
</div>