(function($) {
	'use strict';
	
	var itemShowcase = {};
	cdbTheme.modules.itemShowcase = itemShowcase;
	
	itemShowcase.servicesShowcase = servicesShowcase;
	
	
	itemShowcase.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		servicesShowcase();
	}
	
	/**
	 * Init item showcase shortcode
	 */
	function servicesShowcase() {
		var itemShowcase = $('.services-showcase');
		
		if (itemShowcase.length) {
			itemShowcase.each(function(){
				var thisItemShowcase = $(this),
					leftItems = thisItemShowcase.find('.left'),
					rightItems = thisItemShowcase.find('.right'),
					itemImage = thisItemShowcase.find('.service-image-wrap');
				
				//logic
				leftItems.wrapAll( "<div class='service-unit-wrapper left-aligned' />");
				rightItems.wrapAll( "<div class='service-unit-wrapper right-aligned' />");
				thisItemShowcase.animate({opacity:1},200);
				
				setTimeout(function(){
					thisItemShowcase.appear(function(){
						itemImage.addClass('in-view');
						thisItemShowcase.on('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend',
							function(e) {
								if(cdbTheme.windowWidth > 1200) {
									itemAppear('.left-aligned .service-unit');
									itemAppear('.right-aligned .service-unit');
								} else {
									itemAppear('.service-unit');
								}
							});
					},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
				},100);
				
				//appear animation trigger
				function itemAppear(itemCSSClass) {
					thisItemShowcase.find(itemCSSClass).each(function(i){
						var thisListItem = $(this);
						setTimeout(function(){
							thisListItem.addClass('in-view');
						}, i*150);
					});
				}
			});
		}
	}
	
})(jQuery);