(function($) {
	'use strict';
	
	var progressBar = {};
	cdbTheme.modules.progressBar = progressBar;
	
	progressBar.progressBars = progressBars;
	
	
	progressBar.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		progressBars();
	}
	
	/*
	 **	Horizontal progress bars shortcode
	 */
	function progressBars() {
		var progressBar = $('.cdb-progressbar ');
		
		if (progressBar.length) {
			progressBar.each(function () {
				var thisBar = $(this),
					thisBarContent = thisBar.find('.meter'),
					progressBar = thisBar.find('.progressbar-value'),
					percentage = thisBarContent.data('percentage');
				
				thisBar.appear(function () {
					progressBarNumberCounter(progressBar, percentage);
					
					thisBarContent.css('width', '0%').animate({'width': percentage + '%'}, 2000);
					
					if (thisBar.hasClass('number-animated')) {
						progressBar.css('left', '0%').animate({'left': percentage + '%'}, 2000);
					}
				});
			});
		}
	}
	
	/*
	 **	Counter for horizontal progress bars percent from zero to defined percent
	 */
	function progressBarNumberCounter(progressBar, percentageValue){
		var percentage = parseFloat(percentageValue);
		
		if(progressBar.length) {
			progressBar.each(function() {
				var thisPercent = $(this);
				thisPercent.css('opacity', '1');
				
				thisPercent.countTo({
					from: 0,
					to: percentage,
					speed: 2000,
					refreshInterval: 50
				});
			});
		}
	}
	
})(jQuery);