<?php

if ( ! function_exists( 'caledon_addon_enqueue_scripts_for_vertical_split_slider_shortcodes' ) ) {
	/**
	 * Function that includes all necessary 3rd party scripts for this shortcode
	 */
	function caledon_addon_enqueue_scripts_for_vertical_split_slider_shortcodes() {
		wp_enqueue_script( 'multiscroll', CALEDON_ADDON_SHORTCODES_URL_PATH . '/vertical-split-slider/assets/js/plugins/jquery.multiscroll.min.js', array( 'jquery' ), false, true );
	}
	
	add_action( 'codebean_action_enqueue_third_party_scripts', 'caledon_addon_enqueue_scripts_for_vertical_split_slider_shortcodes' );
}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_CodeBean_Vertical_Split_Slider extends WPBakeryShortCodesContainer {}
	class WPBakeryShortCode_CodeBean_Vertical_Split_Slider_Left_Panel extends WPBakeryShortCodesContainer {}
	class WPBakeryShortCode_CodeBean_Vertical_Split_Slider_Right_Panel extends WPBakeryShortCodesContainer {}
	class WPBakeryShortCode_CodeBean_Vertical_Split_Slider_Content_Item extends WPBakeryShortCodesContainer {}
}

if ( ! function_exists( 'caledon_addon_add_vertical_split_screen_slider_shortcodes' ) ) {
	function caledon_addon_add_vertical_split_screen_slider_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\VerticalSplitSlider\VerticalSplitSlider',
			'CaledonAddon\CPT\Shortcodes\VerticalSplitSliderContentItem\VerticalSplitSliderContentItem',
			'CaledonAddon\CPT\Shortcodes\VerticalSplitSliderLeftPanel\VerticalSplitSliderLeftPanel',
			'CaledonAddon\CPT\Shortcodes\VerticalSplitSliderRightPanel\VerticalSplitSliderRightPanel'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_vertical_split_screen_slider_shortcodes' );
}

if ( ! function_exists( 'caledon_addon_set_vertical_split_slider_custom_style_for_vc_shortcodes' ) ) {
	/**
	 * Function that set custom css style for vertical split slider shortcode
	 */
	function caledon_addon_set_vertical_split_slider_custom_style_for_vc_shortcodes( $style ) {
		$current_style = '.vc_shortcodes_container.wpb_codebean_vertical_split_slider_left_panel,
		.vc_shortcodes_container.wpb_codebean_vertical_split_slider_right_panel {
			background-color: #f4f4f4;
		}';
		
		$style .= $current_style;
		
		return $style;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcodes_custom_style', 'caledon_addon_set_vertical_split_slider_custom_style_for_vc_shortcodes' );
}