(function($) {
	'use strict';
	
	var animationHolder = {};
	cdbTheme.modules.animationHolder = animationHolder;
	
	animationHolder.animationBox = animationBox;
	
	
	animationHolder.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		animationBox();
	}
	
	/*
	 *	Init animation holder shortcode
	 */
	function animationBox(){
		var elements = $('.zoomIn, .fadeInDown, .fadeIn, .fadeInLeft, .fadeInRight, .fadeInUp, .fadeInDown, .flipIn, .rotateX, .rotateZ, .translateY, .cdb-fade-in, .leftRotateX'),
			animationClass,
			animationData,
			animationDelay;
		
		if(elements.length){
			elements.each(function(){
				var thisElement = $(this);
				
				thisElement.appear(function() {
					animationData = thisElement.data('animation-type');
					animationDelay = parseInt(thisElement.data('animation-delay'));
					
					if(typeof animationData !== 'undefined' && animationData !== '') {
						animationClass = animationData;
						var newClass = 'in-view';
						
						setTimeout(function(){
							thisElement.addClass(newClass);
						},animationDelay);
					}
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
})(jQuery);