(function($) {
	'use strict';
	
	var iconListItem = {};
	cdbTheme.modules.iconListItem = iconListItem;
	
	iconListItem.cdbIconList = cdbIconList;
	
	
	iconListItem.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		cdbIconList().init();
	}
	
	/**
	 * Button object that initializes icon list with animation
	 * @type {Function}
	 */
	var cdbIconList = function() {
		var iconList = $('.animate-list');
		
		/**
		 * Initializes icon list animation
		 * @param list current slider
		 */
		var iconListInit = function(list) {
			setTimeout(function(){
				list.appear(function(){
					list.addClass('in-view');
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			},30);
		};
		
		return {
			init: function() {
				if(iconList.length) {
					iconList.each(function() {
						iconListInit($(this));
					});
				}
			}
		};
	};
	
})(jQuery);