<?php

if ( ! function_exists( 'caledon_addon_add_social_share_shortcodes' ) ) {
	function caledon_addon_add_social_share_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'CaledonAddon\CPT\Shortcodes\SocialShare\SocialShare'
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'codebean_filter_add_vc_shortcode', 'caledon_addon_add_social_share_shortcodes' );
}

if ( ! function_exists( 'codebean_get_social_share_html' ) ) {
	/**
	 * Calls button shortcode with given parameters and returns it's output
	 *
	 * @param $params
	 * @return mixed|string
	 */
	function codebean_get_social_share_html( $params = array() ) {
		if ( codebean_core_plugin_installed() ) {
			return codebean_execute_shortcode( 'codebean_social_share', $params );
		}
	}
}

if ( ! function_exists( 'codebean_the_excerpt_max_charlength' ) ) {
	/**
	 * Function that sets character length for social share shortcode
	 *
	 * @param $charlength string original text
	 * @return string shortened text
	 */
	function codebean_the_excerpt_max_charlength( $charlength ) {
		$twitter_via_meta = codebean_options()->getOptionValue( 'twitter_via' );
		$via              = ! empty( $twitter_via_meta ) ? ' via ' . esc_attr( $twitter_via_meta ) : '';
		
		$excerpt_text = get_the_excerpt();
		$excerpt      = esc_html( strip_shortcodes( $excerpt_text ) );
		$charlength   = 139 - ( mb_strlen( $via ) + $charlength );
		
		if ( mb_strlen( $excerpt ) > $charlength ) {
			$subex   = mb_substr( $excerpt, 0, $charlength );
			$exwords = explode( ' ', $subex );
			$excut   = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
			
			if ( $excut < 0 ) {
				return mb_substr( $subex, 0, $excut );
			} else {
				return $subex;
			}
		} else {
			return $excerpt;
		}
	}
}