<?php

if ( ! function_exists( 'codebean_content_responsive_styles' ) ) {
	/**
	 * Generates content responsive custom styles
	 */
	function codebean_content_responsive_styles() {
		$content_style = array();
		
		$padding_mobile = codebean_options()->getOptionValue( 'content_padding_mobile' );
		if ( $padding_mobile !== '' ) {
			$content_style['padding'] = $padding_mobile;
		}
		
		$content_selector = array(
			'.page-wrap .page-wrap-inner > .cdb-grid > .cdb-grid-box',
			'.page-wrap .page-wrap-inner > .fw-container > .fw-container-inner',
		);
		
		echo codebean_dynamic_css( $content_selector, $content_style );
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_1024', 'codebean_content_responsive_styles' );
}

if ( ! function_exists( 'codebean_h1_responsive_styles3' ) ) {
	function codebean_h1_responsive_styles3() {
		$selector = array(
			'h1'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h1_responsive', '_3' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_768_1024', 'codebean_h1_responsive_styles3' );
}

if ( ! function_exists( 'codebean_h2_responsive_styles3' ) ) {
	function codebean_h2_responsive_styles3() {
		$selector = array(
			'h2'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h2_responsive', '_3' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_768_1024', 'codebean_h2_responsive_styles3' );
}

if ( ! function_exists( 'codebean_h3_responsive_styles3' ) ) {
	function codebean_h3_responsive_styles3() {
		$selector = array(
			'h3'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h3_responsive', '_3' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_768_1024', 'codebean_h3_responsive_styles3' );
}

if ( ! function_exists( 'codebean_h4_responsive_styles3' ) ) {
	function codebean_h4_responsive_styles3() {
		$selector = array(
			'h4'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h4_responsive', '_3' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_768_1024', 'codebean_h4_responsive_styles3' );
}

if ( ! function_exists( 'codebean_h5_responsive_styles3' ) ) {
	function codebean_h5_responsive_styles3() {
		$selector = array(
			'h5'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h5_responsive', '_3' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_768_1024', 'codebean_h5_responsive_styles3' );
}

if ( ! function_exists( 'codebean_h6_responsive_styles3' ) ) {
	function codebean_h6_responsive_styles3() {
		$selector = array(
			'h6'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h6_responsive', '_3' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_768_1024', 'codebean_h6_responsive_styles3' );
}

if ( ! function_exists( 'codebean_h1_responsive_styles' ) ) {
	function codebean_h1_responsive_styles() {
		$selector = array(
			'h1'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h1_responsive' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680_768', 'codebean_h1_responsive_styles' );
}

if ( ! function_exists( 'codebean_h2_responsive_styles' ) ) {
	function codebean_h2_responsive_styles() {
		$selector = array(
			'h2'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h2_responsive' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680_768', 'codebean_h2_responsive_styles' );
}

if ( ! function_exists( 'codebean_h3_responsive_styles' ) ) {
	function codebean_h3_responsive_styles() {
		$selector = array(
			'h3'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h3_responsive' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680_768', 'codebean_h3_responsive_styles' );
}

if ( ! function_exists( 'codebean_h4_responsive_styles' ) ) {
	function codebean_h4_responsive_styles() {
		$selector = array(
			'h4'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h4_responsive' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680_768', 'codebean_h4_responsive_styles' );
}

if ( ! function_exists( 'codebean_h5_responsive_styles' ) ) {
	function codebean_h5_responsive_styles() {
		$selector = array(
			'h5'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h5_responsive' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680_768', 'codebean_h5_responsive_styles' );
}

if ( ! function_exists( 'codebean_h6_responsive_styles' ) ) {
	function codebean_h6_responsive_styles() {
		$selector = array(
			'h6'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h6_responsive' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680_768', 'codebean_h6_responsive_styles' );
}

if ( ! function_exists( 'codebean_text_responsive_styles' ) ) {
	function codebean_text_responsive_styles() {
		$selector = array(
			'body',
			'p'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'text', '_res1' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680_768', 'codebean_text_responsive_styles' );
}

if ( ! function_exists( 'codebean_h1_responsive_styles2' ) ) {
	function codebean_h1_responsive_styles2() {
		$selector = array(
			'h1'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h1_responsive', '_2' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680', 'codebean_h1_responsive_styles2' );
}

if ( ! function_exists( 'codebean_h2_responsive_styles2' ) ) {
	function codebean_h2_responsive_styles2() {
		$selector = array(
			'h2'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h2_responsive', '_2' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680', 'codebean_h2_responsive_styles2' );
}

if ( ! function_exists( 'codebean_h3_responsive_styles2' ) ) {
	function codebean_h3_responsive_styles2() {
		$selector = array(
			'h3'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h3_responsive', '_2' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680', 'codebean_h3_responsive_styles2' );
}

if ( ! function_exists( 'codebean_h4_responsive_styles2' ) ) {
	function codebean_h4_responsive_styles2() {
		$selector = array(
			'h4'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h4_responsive', '_2' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680', 'codebean_h4_responsive_styles2' );
}

if ( ! function_exists( 'codebean_h5_responsive_styles2' ) ) {
	function codebean_h5_responsive_styles2() {
		$selector = array(
			'h5'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h5_responsive', '_2' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680', 'codebean_h5_responsive_styles2' );
}

if ( ! function_exists( 'codebean_h6_responsive_styles2' ) ) {
	function codebean_h6_responsive_styles2() {
		$selector = array(
			'h6'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'h6_responsive', '_2' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680', 'codebean_h6_responsive_styles2' );
}

if ( ! function_exists( 'codebean_text_responsive_styles2' ) ) {
	function codebean_text_responsive_styles2() {
		$selector = array(
			'body',
			'p'
		);
		
		$styles = codebean_get_responsive_typography_styles( 'text', '_res2' );
		
		if ( ! empty( $styles ) ) {
			echo codebean_dynamic_css( $selector, $styles );
		}
	}
	
	add_action( 'codebean_action_style_dynamic_responsive_680', 'codebean_text_responsive_styles2' );
}