(function ($) {
    "use strict";

    window.cdbTheme = {};
    cdbTheme.modules = {};

    cdbTheme.scroll = 0;
    cdbTheme.window = $(window);
    cdbTheme.document = $(document);
    cdbTheme.windowWidth = $(window).width();
    cdbTheme.windowHeight = $(window).height();
    cdbTheme.body = $('body');
    cdbTheme.html = $('html, body');
    cdbTheme.htmlEl = $('html');
    cdbTheme.dropDownMenuHeightSet = false;
    cdbTheme.standardHeaderType = '';
    cdbTheme.minVideoWidth = 1500;
    cdbTheme.videoWidthOriginal = 1280;
    cdbTheme.videoHeightOriginal = 720;
    cdbTheme.videoRatio = 1.61;
    cdbTheme.animationEnd = animationEventEnd();
    cdbTheme.transitionEnd = transitionEventEnd();

    cdbTheme.cdbThemeDocumentReady = cdbThemeDocumentReady;
    cdbTheme.cdbThemeWindowLoad = cdbThemeWindowLoad;
    cdbTheme.cdbThemeWindowResize = cdbThemeWindowResize;
    cdbTheme.cdbThemeWindowScroll = cdbThemeWindowScroll;

    $(document).ready(cdbThemeDocumentReady);
    $(window).load(cdbThemeWindowLoad);
    $(window).resize(cdbThemeWindowResize);
    $(window).scroll(cdbThemeWindowScroll);

    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        cdbTheme.scroll = $(window).scrollTop();
 
        //set global variable for header style which we will use in various functions
        if (cdbTheme.body.hasClass('dark-header')) {
            cdbTheme.standardHeaderType = 'dark-header';
        }
        if (cdbTheme.body.hasClass('light-header')) {
            cdbTheme.standardHeaderType = 'light-header';
        }
    }

    /* 
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {

    }

    /* 
     All functions to be called on $(window).resize() should be in this function
     */
    function cdbThemeWindowResize() {
        cdbTheme.windowWidth = $(window).width();
        cdbTheme.windowHeight = $(window).height();
    }

    /* 
     All functions to be called on $(window).scroll() should be in this function
     */
    function cdbThemeWindowScroll() {
        cdbTheme.scroll = $(window).scrollTop();
    }

    //set boxed layout width variable for various calculations

    switch (true) {
        case cdbTheme.body.hasClass('container-1300'):
            cdbTheme.boxedLayoutWidth = 1350;
            //cdbTheme.gridWidth = 1300;
            break;
        case cdbTheme.body.hasClass('container-1200'):
            cdbTheme.boxedLayoutWidth = 1250;
            //cdbTheme.gridWidth = 1200;
            break;
        case cdbTheme.body.hasClass('container-1000'):
            cdbTheme.boxedLayoutWidth = 1050;
            //cdbTheme.gridWidth = 1000;
            break;
        case cdbTheme.body.hasClass('container-800'):
            cdbTheme.boxedLayoutWidth = 850;
            //cdbTheme.gridWidth = 800;
            break;
        default :
            cdbTheme.boxedLayoutWidth = 1150;
            //cdbTheme.gridWidth = 1100;
            break;
    }

    cdbTheme.gridWidth = function () {
        var gridWidth = 1100;

        switch (true) {
            case cdbTheme.body.hasClass('container-1300') && cdbTheme.windowWidth > 1400:
                gridWidth = 1300;
                break;
            case cdbTheme.body.hasClass('container-1200') && cdbTheme.windowWidth > 1300:
                gridWidth = 1200;
                break;
            case cdbTheme.body.hasClass('container-1000') && cdbTheme.windowWidth > 1200:
                gridWidth = 1200;
                break;
            case cdbTheme.body.hasClass('container-800') && cdbTheme.windowWidth > 1024:
                gridWidth = 800;
                break;
            default :
        }

        return gridWidth;
    };

    
    function animationEventEnd(){
        var el = document.createElement("animationDetector");

        var animations = {
            "animation"      : "animationend",
            "OAnimation"     : "oAnimationEnd",
            "MozAnimation"   : "animationend",
            "WebkitAnimation": "webkitAnimationEnd"
        }

        for (var t in animations){
            if (el.style[t] !== undefined){
              return animations[t];
            }
        }
    }

    function transitionEventEnd() {
        var el = document.createElement('transitionDetector'),
            transEndEventNames = {
                'WebkitTransition' : 'webkitTransitionEnd',// Saf 6, Android Browser
                'MozTransition'    : 'transitionend',      // only for FF < 15
                'transition'       : 'transitionend'       // IE10, Opera, Chrome, FF 15+, Saf 7+
            };

        for(var t in transEndEventNames){
            if( el.style[t] !== undefined ){
                return transEndEventNames[t];
            }
        }
    }

})(jQuery);
(function($) {
	"use strict";

    var common = {};
    cdbTheme.modules.common = common;

    common.codebeanFluidVideo = codebeanFluidVideo;
    common.cdbThemeEnableScroll = cdbThemeEnableScroll;
    common.cdbThemeDisableScroll = cdbThemeDisableScroll;
    common.codebeanOwlCarousel = codebeanOwlCarousel;
    common.parallaxInitialize = parallaxInitialize;
    common.selfHostedVideoPlayer = selfHostedVideoPlayer;
    common.selfHostedVideoSize = selfHostedVideoSize;
    common.prettyPhotoInit = prettyPhotoInit;
	common.sidebarWidgetFixed = sidebarWidgetFixed;
    common.getLoadMoreData = getLoadMoreData;
    common.setLoadMoreAjaxData = setLoadMoreAjaxData;
    common.setFixedImageProportionSize = setFixedImageProportionSize;
    common.cdbThemeInitPerfectScrollbar = cdbThemeInitPerfectScrollbar;

    common.cdbThemeDocumentReady = cdbThemeDocumentReady;
    common.cdbThemeWindowLoad = cdbThemeWindowLoad;
    common.cdbThemeWindowResize = cdbThemeWindowResize;

    $(document).ready(cdbThemeDocumentReady);
    $(window).load(cdbThemeWindowLoad);
    $(window).resize(cdbThemeWindowResize);

    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    iconOnHover().init();
	    macSmoothScrollOff();
	    menuLinks().init();
	    backToTop();
	    backToTopShowHide();
	    selfHostedVideoPlayer();
	    selfHostedVideoSize();
	    codebeanFluidVideo();
	    codebeanOwlCarousel();
	    pagePreloader();
	    prettyPhotoInit();
	    searchAjaxWidget();
	    dashboardForm();
		gridMasonryLayout();
		activeBackgroundColor();
		pageSmoothTransition();
    }

    /* 
        All functions to be called on $(window).load() should be in this function
    */
    function cdbThemeWindowLoad() {
	    parallaxInitialize();
		sidebarWidgetFixed().init();
		parallaxInitializeElements();
    }

    /* 
        All functions to be called on $(window).resize() should be in this function
    */
    function cdbThemeWindowResize() {
	    gridMasonryLayout();
    	selfHostedVideoSize();
    }
	
	/*
	 ** Disable smooth scroll for mac if smooth scroll is enabled
	 */
	function macSmoothScrollOff() {
		var os = navigator.appVersion.toLowerCase();
		
		if (os.indexOf('mac') > -1 && cdbTheme.body.hasClass('smooth-scroll-on')) {
			cdbTheme.body.removeClass('smooth-scroll-on');
		}
	}
	
	function cdbThemeDisableScroll() {
		if (window.addEventListener) {
			window.addEventListener('DOMMouseScroll', mouseWheel, false);
		}
		
		window.onmousewheel = document.onmousewheel = mouseWheel;
		document.onkeydown = keyDown;
	}
	
	function cdbThemeEnableScroll() {
		if (window.removeEventListener) {
			window.removeEventListener('DOMMouseScroll', mouseWheel, false);
		}
		
		window.onmousewheel = document.onmousewheel = document.onkeydown = null;
	}
	
	function mouseWheel(e) {
		preventDefaultFunc(e);
	}
	
	function keyDown(e) {
		var keys = [37, 38, 39, 40];
		
		for (var i = keys.length; i--;) {
			if (e.keyCode === keys[i]) {
				preventDefaultFunc(e);
				return;
			}
		}
	}
	
	function preventDefaultFunc(e) {
		e = e || window.event;
		if (e.preventDefault) {
			e.preventDefault();
		}
		e.returnValue = false;
	}

    function itemsParallax(){
        if (!cdbTheme.htmlEl.hasClass('touch')) {
            setTimeout(function(){
                ParallaxScroll.init();
            }, 100); //wait for calcs
        }
    }
	
	/*
	 **	Anchor functionality
	 */
	var menuLinks = function() {
		/**
		 * Set active state on clicked anchor
		 * @param anchor, clicked anchor
		 */
		var setActiveState = function(anchor){
			var headers = $('.menu-wrapper, .mobile-menu, .fullscreen-nav');
			
			headers.each(function(){
				var currentHeader = $(this);
				
				if (anchor.parents(currentHeader).length) {
					currentHeader.find('.menu-active-unit').removeClass('menu-active-unit');
					anchor.parent().addClass('menu-active-unit');
					
					currentHeader.find('a').removeClass('active-item');
					anchor.addClass('active-item');
				}
			});
		};

		/**
		 * Check anchor active state on scroll
		 */
		var checkActiveStateOnScroll = function(){
			var anchorData = $('[data-page-section]'),
				anchorElement,
				siteURL = window.location.href.split('#')[0];
			
			if (siteURL.substr(-1) !== '/') {
				siteURL += '/';
			}
			
			anchorData.waypoint( function(direction) {
				if(direction === 'down') {
					if ($(this.element).length > 0) {
						anchorElement = $(this.element).data("page-section");
					} else {
						anchorElement = $(this).data("page-section");
					}
				
					setActiveState($("a[href='"+siteURL+"#"+anchorElement+"']"));
				}
			}, { offset: '50%' });
			
			anchorData.waypoint( function(direction) {
				if(direction === 'up') {
					if ($(this.element).length > 0) {
						anchorElement = $(this.element).data("page-section");
					} else {
						anchorElement = $(this).data("page-section");
					}
					
					setActiveState($("a[href='"+siteURL+"#"+anchorElement+"']"));
				}
			}, { offset: function(){
				return -($(this.element).outerHeight() - 150);
			} });
		};
		
		/**
		 * Check anchor active state on load
		 */
		var checkActiveStateOnLoad = function(){
			var hash = window.location.hash.split('#')[1];
			
			if(hash !== "" && $('[data-page-section="'+hash+'"]').length > 0){
				anchorClickOnLoad(hash);
			}
		};
		
		/**
		 * Handle anchor on load
		 */
		var anchorClickOnLoad = function ($this) {
			var scrollAmount,
				anchor = $('.menu-wrapper a, .mobile-menu a, .fullscreen-nav a'),
				hash = $this,
				anchorData = hash !== '' ? $('[data-page-section="' + hash + '"]') : '';
			
			if (hash !== '' && anchorData.length > 0) {
				var anchoredElementOffset = anchorData.offset().top;
				scrollAmount = anchoredElementOffset - theme_global_vars.vars.cdb_admin_bar;
				
				if(anchor.length) {
					anchor.each(function(){
						var thisAnchor = $(this);
						
						if(thisAnchor.attr('href').indexOf(hash) > -1) {
							setActiveState(thisAnchor);
						}
					});
				}
				
				cdbTheme.html.stop().animate({
					scrollTop: Math.round(scrollAmount)
				}, 1000, function () {
					//change hash tag in url
					if (history.pushState) {
						history.pushState(null, '', '#' + hash);
					}
				});
				
				return false;
			}
		};
		
		/**
		 * Handle anchor click
		 */
		var anchorClick = function () {
			cdbTheme.document.on("click", ".menu-wrapper a, .fullscreen-nav a, .btn, .page-link, .mobile-menu a", function (e) {
				e.preventDefault();

				var scrollAmount,
					anchor = $(this),
					hash = anchor.prop("hash").split('#')[1],
					anchorData = hash !== '' ? $('[data-page-section="' + hash + '"]') : '';
				
				if (hash !== '' && anchorData.length > 0) {
					var anchoredElementOffset = anchorData.offset().top;
					scrollAmount = anchoredElementOffset - theme_global_vars.vars.cdb_admin_bar;
					
					setActiveState(anchor);
					
					cdbTheme.html.stop().animate({
						scrollTop: Math.round(scrollAmount)
					}, 600, function () {
						//change hash tag in url
						if (history.pushState) {
							history.pushState(null, '', '#' + hash);
						}
					});
					
					return false;
				}
			});
		};
		
		return {
			init: function () {
				if ($('[data-page-section]').length) {
					anchorClick();
					checkActiveStateOnScroll();
					
					$(window).load(function () {
						checkActiveStateOnLoad();
					});
				}
			}
		};
	};
	
	function backToTop() {
		var backToTopButton = $('#scroll-to-top');
		backToTopButton.on('click', function (e) {
			e.preventDefault();
			cdbTheme.html.animate({scrollTop: 0}, 800);
		});
	}
	
	function backToTopShowHide() {
		cdbTheme.window.scroll(function () {
			var b = $(this).scrollTop(),
				c = $(this).height(),
				d;
			
			if (b > 0) {
				d = b + c / 2;
			} else {
				d = 1;
			}
			
			if (d < 1e3) {
				backToTopButton('disabled');
			} else {
				backToTopButton('active');
			}
		});
	}
	
	function backToTopButton(a) {
		var b = $("#scroll-to-top");
		b.removeClass('disabled active');
		if (a === 'active') {
			b.addClass('active');
		} else {
			b.addClass('disabled');
		}
	}
	
	function selfHostedVideoPlayer() {
		var players = $('.self-hosted-video');
		
		if (players.length) {
			players.mediaelementplayer({
				audioWidth: '100%'
			});
		}
	}
	
	function selfHostedVideoSize(){
		var selfVideoHolder = $('.blog-post-self-hosted-video .blog-post-video-inner');
		
		if(selfVideoHolder.length) {
			selfVideoHolder.each(function(){
				var thisVideo = $(this),
					videoWidth = thisVideo.closest('.blog-post-self-hosted-video').outerWidth(),
					videoHeight = videoWidth / cdbTheme.videoRatio;
				
				if(navigator.userAgent.match(/(Android|iPod|iPhone|iPad|IEMobile|Opera Mini)/)){
					thisVideo.parent().width(videoWidth);
					thisVideo.parent().height(videoHeight);
				}
				
				thisVideo.width(videoWidth);
				thisVideo.height(videoHeight);
				
				thisVideo.find('video, .mejs-overlay, .mejs-poster').width(videoWidth);
				thisVideo.find('video, .mejs-overlay, .mejs-poster').height(videoHeight);
			});
		}
	}
	
	function codebeanFluidVideo() {
        fluidvids.init({
			selector: ['iframe'],
			players: ['www.youtube.com', 'player.vimeo.com']
		});
	}
	
	function pageSmoothTransition() {

		if (cdbTheme.body.hasClass('smooth-page-shifts')) {

			//check for preload animation
			if (cdbTheme.body.hasClass('smooth-page-shifts-preloader')) {
				var loader = $('body > .smooth-page-loader.ajax-theme-loader'),
					logoLoader = $('.page-loader-letter'),
					revSlider= $('#main-rev-wrap .rev_slider');

				var loaderCallback = function() {
					if ($('.homepages-wrap').length) {
						cdbTheme.body.addClass('on-homepage');
					}
				}

				var removeLoader = function(delay, duration) {
					loader.delay(delay).fadeOut(duration, 'easeOutCirc', loaderCallback);

					$(window).on('bind', 'pageshow', function (event) {
						if (event.originalEvent.persisted) {
							loader.delay(delay).fadeOut(duration, 'easeOutCirc', loaderCallback);
						}
					});
				}

				var removeLogoLetter = function() {
					logoLoader.one('animationiteration webkitAnimationIteration', function() {
						logoLoader.addClass('page-loaded');
						logoLoader.find('.loader-decoration').one(cdbTheme.transitionEnd, function() {
							logoLoader.addClass('off');
							removeLoader(300, 400);
						})
					});
				}
				
				if (logoLoader.length) {
					if (revSlider.length) {
						revSlider.bind('revolution.slide.onchange', function() {
							removeLogoLetter();
						});
					} else {
						$(window).on('load', function() {
							removeLogoLetter();
						}); 
					}
				} else {
					$(window).load(function() {
						removeLoader(0, 500);
					}); 
				}
			}

			//check for fade out animation
			if (cdbTheme.body.hasClass('smooth-page-shifts-fadeout')) {
				var linkItem = $('a');
				
				linkItem.on('click', function (e) {
					var a = $(this);

					if ((a.parents('.mini-cart-dropdown').length || a.parent('.product-remove').length) && a.hasClass('remove')) {
						return;
					}

					if (
						e.which === 1 && // check if the left mouse button has been pressed
						a.attr('href').indexOf(window.location.host) >= 0 && // check if the link is to the same domain
						(typeof a.data('rel') === 'undefined') && //Not pretty photo link
						(typeof a.attr('rel') === 'undefined') && //Not VC pretty photo link
                        (!a.hasClass('lightbox-active')) && //Not lightbox plugin active
						(typeof a.attr('target') === 'undefined' || a.attr('target') === '_self') && // check if the link opens in the same window
						(a.attr('href').split('#')[0] !== window.location.href.split('#')[0]) // check if it is an anchor aiming for a different page
					) {
						e.preventDefault();
						$('.site-container').fadeOut(800, 'easeInOutCirc', function () {
							window.location = a.attr('href');
						});
					}
				});
			}
		}
	}
	
	/*
	 *	Preload background images for elements that have 'prealoader-bg' class
	 */
	function pagePreloader(){
		var preloadBackHolder = $('.prealoader-bg');
		
		if(preloadBackHolder.length) {
			preloadBackHolder.each(function() {
				var preloadBackground = $(this);
				
				if(preloadBackground.css('background-image') !== '' && preloadBackground.css('background-image') !== 'none') {
					var bgUrl = preloadBackground.attr('style');
					
					bgUrl = bgUrl.match(/url\(["']?([^'")]+)['"]?\)/);
					bgUrl = bgUrl ? bgUrl[1] : "";
					
					if (bgUrl) {
						var backImg = new Image();
						backImg.src = bgUrl;
						$(backImg).load(function(){
							preloadBackground.removeClass('prealoader-bg');
						});
					}
				} else {
					$(window).load(function(){ preloadBackground.removeClass('prealoader-bg'); }); //make sure that prealoader-bg class is removed from elements with forced background none in css
				}
			});
		}
	}
	
	function prettyPhotoInit() {
		var markupWhole = '<div class="pp_pic_holder"> \
                        <div class="ppt">&nbsp;</div> \
                        <div class="pp_top"> \
                            <div class="pp_left"></div> \
                            <div class="pp_middle"></div> \
                            <div class="pp_right"></div> \
                        </div> \
                        <div class="pp_content_container"> \
                            <div class="pp_left"> \
                            <div class="pp_right"> \
                                <div class="pp_content"> \
                                    <div class="pp_loaderIcon"></div> \
                                    <div class="pp_fade"> \
                                        <a href="#" class="pp_expand" title="Expand the image">Expand</a> \
                                        <div class="pp_hoverContainer"> \
                                            <a class="pp_next" href="#"><span class="fa fa-angle-right"></span></a> \
                                            <a class="pp_previous" href="#"><span class="fa fa-angle-left"></span></a> \
                                        </div> \
                                        <div id="pp_full_res"></div> \
                                        <div class="pp_details"> \
                                            <div class="pp_nav"> \
                                                <a href="#" class="pp_arrow_previous">Previous</a> \
                                                <p class="currentTextHolder">0/0</p> \
                                                <a href="#" class="pp_arrow_next">Next</a> \
                                            </div> \
                                            <p class="pp_description"></p> \
                                            {pp_social} \
                                            <a class="pp_close" href="#">Close</a> \
                                        </div> \
                                    </div> \
                                </div> \
                            </div> \
                            </div> \
                        </div> \
                        <div class="pp_bottom"> \
                            <div class="pp_left"></div> \
                            <div class="pp_middle"></div> \
                            <div class="pp_right"></div> \
                        </div> \
                    </div> \
                    <div class="pp_overlay"></div>';
		
		$("a[data-rel^='prettyPhoto']").prettyPhoto({
			hook: 'data-rel',
			animation_speed: 'normal', /* fast/slow/normal */
			slideshow: false, /* false OR interval time in ms */
			autoplay_slideshow: false, /* true/false */
			opacity: 0.80, /* Value between 0 and 1 */
			show_title: true, /* true/false */
			allow_resize: true, /* Resize the photos bigger than viewport. true/false */
			horizontal_padding: 0,
			default_width: 960,
			default_height: 540,
			counter_separator_label: '/', /* The separator for the gallery counter 1 "of" 2 */
			theme: 'pp_default', /* light_rounded / dark_rounded / light_square / dark_square / facebook */
			hideflash: false, /* Hides all the flash object on a page, set to TRUE if flash appears over prettyPhoto */
			wmode: 'opaque', /* Set the flash wmode attribute */
			autoplay: true, /* Automatically start videos: True/False */
			modal: false, /* If set to true, only the close button will close the window */
			overlay_gallery: false, /* If set to true, a gallery will overlay the fullscreen image on mouse over */
			keyboard_shortcuts: true, /* Set to false if you open forms inside prettyPhoto */
			deeplinking: false,
			custom_markup: '',
			social_tools: false,
			markup: markupWhole
		});
	}

    function searchAjaxWidget() {
        var searchPostTypeHolder = $('.search-post-ajax-wrap');

        if (searchPostTypeHolder.length) {
            searchPostTypeHolder.each(function () {
                var thisSearch = $(this),
                    searchField = thisSearch.find('.search-post-type-field'),
                    resultsHolder = thisSearch.siblings('.search-ajax-results'),
                    searchLoading = thisSearch.find('.search-ajax-loader'),
                    searchIcon = thisSearch.find('.search-ajax-icon');

                searchLoading.addClass('d-hidden');

                var postType = thisSearch.data('post-type'),
                    keyPressTimeout;

                searchField.on('keyup paste', function() {
                    var field = $(this);
                    field.attr('autocomplete','off');
                    searchLoading.removeClass('d-hidden');
                    searchIcon.addClass('d-hidden');
                    clearTimeout(keyPressTimeout);

                    keyPressTimeout = setTimeout( function() {
                        var searchTerm = field.val();
                        
                        if(searchTerm.length < 3) {
                            resultsHolder.html('');
                            resultsHolder.fadeOut();
                            searchLoading.addClass('d-hidden');
                            searchIcon.removeClass('d-hidden');
                        } else {
                            var ajaxData = {
                                action: 'codebean_search_post_types',
                                term: searchTerm,
                                postType: postType
                            };

                            $.ajax({
                                type: 'POST',
                                data: ajaxData,
                                url: theme_global_vars.vars.ajax_url,
                                success: function (data) {
                                    var response = JSON.parse(data);
                                    if (response.status === 'success') {
                                        searchLoading.addClass('d-hidden');
                                        searchIcon.removeClass('d-hidden');
                                        resultsHolder.html(response.data.html);
                                        resultsHolder.fadeIn();
                                    }
                                },
                                error: function(XMLHttpRequest, textStatus, errorThrown) {
                                    console.log("Status: " + textStatus);
                                    console.log("Error: " + errorThrown);
                                    searchLoading.addClass('d-hidden');
                                    searchIcon.removeClass('d-hidden');
                                    resultsHolder.fadeOut();
                                }
                            });
                        }
                    }, 500);
                });

                searchField.on('focusout', function () {
                    searchLoading.addClass('d-hidden');
                    searchIcon.removeClass('d-hidden');
                    resultsHolder.fadeOut();
                });
            });
        }
    }
	
	/**
	 * Initializes load more data params
	 * @param container with defined data params
	 * return array
	 */
	function getLoadMoreData(container){
		var dataList = container.data(),
			returnValue = {};
		
		for (var property in dataList) {
			if (dataList.hasOwnProperty(property)) {
				if (typeof dataList[property] !== 'undefined' && dataList[property] !== false) {
					returnValue[property] = dataList[property];
				}
			}
		}
		
		return returnValue;
	}
	
	/**
	 * Sets load more data params for ajax function
	 * @param container with defined data params
	 * @param action with defined action name
	 * return array
	 */
	function setLoadMoreAjaxData(container, action) {
		var returnValue = {
			action: action
		};
		
		for (var property in container) {
			if (container.hasOwnProperty(property)) {
				
				if (typeof container[property] !== 'undefined' && container[property] !== false) {
					returnValue[property] = container[property];
				}
			}
		}
		
		return returnValue;
	}
	
	/*
	 ** Init Masonry List Layout
	 */
	function gridMasonryLayout() {
		var holder = $('.container-masonry-list');
		
		if (holder.length) {
			holder.each(function () {
				var thisHolder = $(this),
					masonry = thisHolder.find('.masonry-list-wrap'),
					size = thisHolder.find('.masonry-grid-sizer').width();
				
				masonry.waitForImages(function () {
					masonry.isotope({
						layoutMode: 'packery',
						itemSelector: '.col-gutter',
						percentPosition: true,
						masonry: {
							columnWidth: '.masonry-grid-sizer',
							gutter: '.masonry-grid-gutter'
						}
					});
					
					if (thisHolder.find('.constrained-masonry-unit').length || thisHolder.hasClass('masonry-constrained')) {
						setFixedImageProportionSize(masonry, masonry.find('.col-gutter'), size, true);
					}
					
					setTimeout(function () {
						parallaxInitialize();
					}, 600);
					
					masonry.isotope('layout').css('opacity', 1);
				});
			});
		}
	}
	
	/**
	 * Initializes size for fixed image proportion - masonry layout
	 */
	function setFixedImageProportionSize(container, item, size, isFixedEnabled) {
		if (container.hasClass('masonry-constrained') || isFixedEnabled === true) {
			var padding = parseInt(item.css('paddingLeft'), 10),
				newSize = size - 2 * padding,
				defaultMasonryItem = container.find('.masonry-ratio-small'),
				largeWidthMasonryItem = container.find('.masonry-ratio-large-width'),
				largeHeightMasonryItem = container.find('.masonry-ratio-large-height'),
				largeWidthHeightMasonryItem = container.find('.masonry-ratio-large-width-height');

			defaultMasonryItem.css('height', newSize);
			largeHeightMasonryItem.css('height', Math.round(2 * (newSize + padding)));

			if (cdbTheme.windowWidth > 680) {
				largeWidthMasonryItem.css('height', newSize);
				largeWidthHeightMasonryItem.css('height', Math.round(2 * (newSize + padding)));
			} else {
				largeWidthMasonryItem.css('height', Math.round(newSize / 2));
				largeWidthHeightMasonryItem.css('height', newSize);
			}
		}
	}

	/**
	 * Object that represents icon with hover data
	 * @returns {{init: Function}} function that initializes icon's functionality
	 */
	var iconOnHover = function() {
		//get all icons on page
		var icons = $('.icon-with-hover');
		
		/**
		 * Function that triggers icon hover color functionality
		 */
		var iconHoverColor = function(icon) {
			if(typeof icon.data('hover-color') !== 'undefined') {
				var changeIconColor = function(event) {
					event.data.icon.css('color', event.data.color);
				};
				
				var hoverColor = icon.data('hover-color'),
					originalColor = icon.css('color');
				
				if(hoverColor !== '') {
					icon.on('mouseenter', {icon: icon, color: hoverColor}, changeIconColor);
					icon.on('mouseleave', {icon: icon, color: originalColor}, changeIconColor);
				}
			}
		};
		
		return {
			init: function() {
				if(icons.length) {
					icons.each(function() {
						iconHoverColor($(this));
					});
				}
			}
		};
	};
	
	/*
	 ** Init parallax
	 */
	function parallaxInitialize(){
		var parallaxHolder = $('.row-parallax-wrap');
		
		if(parallaxHolder.length){
			parallaxHolder.each(function() {
				var parallaxElement = $(this),
					image = parallaxElement.data('parallax-bg-image'),
					speed = parallaxElement.data('parallax-bg-speed') * 0.4,
					height = 0;
				
				if (typeof parallaxElement.data('parallax-bg-height') !== 'undefined' && parallaxElement.data('parallax-bg-height') !== false) {
					height = parseInt(parallaxElement.data('parallax-bg-height'));
				}
				
				parallaxElement.css({'background-image': 'url('+image+')'});
				
				if(height > 0) {
					parallaxElement.css({'min-height': height+'px', 'height': height+'px'});
				}
				
				parallaxElement.parallax('50%', speed);
			});
		}
	}
	
	/*
	 **  Init sticky sidebar widget
	 */
	function sidebarWidgetFixed(){
		var sswHolder = $('.sidebar-sticky-widget'),
			headerHolder = $('.main-header-wrapper'),
			headerHeight = headerHolder.length ? headerHolder.outerHeight() : 0,
			widgetTopOffset = 0,
			widgetTopPosition = 0,
			sidebarHeight = 0,
			sidebarWidth = 0,
			objectsCollection = [];
		
		function addObjectItems() {
			if (sswHolder.length) {
				sswHolder.each(function () {
					var thisSswHolder = $(this),
						mainSidebarHolder = thisSswHolder.parents('aside.cdb-sidebar'),
						widgetiseSidebarHolder = thisSswHolder.parents('.wpb_widgetised_column'),
						sidebarHolder = '',
						sidebarHolderHeight = 0;
					
					widgetTopOffset = thisSswHolder.offset().top;
					widgetTopPosition = thisSswHolder.position().top;
					sidebarHeight = 0;
					sidebarWidth = 0;
					
					if (mainSidebarHolder.length) {
						sidebarHeight = mainSidebarHolder.outerHeight();
						sidebarWidth = mainSidebarHolder.outerWidth();
						sidebarHolder = mainSidebarHolder;
						sidebarHolderHeight = mainSidebarHolder.parent().parent().outerHeight();
						
						var blogHolder = mainSidebarHolder.parent().parent().find('.blog-loop-wrap');
						if (blogHolder.length) {
							sidebarHolderHeight -= parseInt(blogHolder.css('marginBottom'));
						}
					} else if (widgetiseSidebarHolder.length) {
						sidebarHeight = widgetiseSidebarHolder.outerHeight();
						sidebarWidth = widgetiseSidebarHolder.outerWidth();
						sidebarHolder = widgetiseSidebarHolder;
						sidebarHolderHeight = widgetiseSidebarHolder.parents('.vc_row').outerHeight();
					}
					
					objectsCollection.push({
						'object': thisSswHolder,
						'offset': widgetTopOffset,
						'position': widgetTopPosition,
						'height': sidebarHeight,
						'width': sidebarWidth,
						'sidebarHolder': sidebarHolder,
						'sidebarHolderHeight': sidebarHolderHeight
					});
				});
			}
		}
		
		function initStickySidebarWidget() {
			
			if (objectsCollection.length) {
				$.each(objectsCollection, function (i) {
					var thisSswHolder = objectsCollection[i].object,
						thisWidgetTopOffset = objectsCollection[i].offset,
						thisWidgetTopPosition = objectsCollection[i].position,
						thisSidebarHeight = objectsCollection[i].height,
						thisSidebarWidth = objectsCollection[i].width,
						thisSidebarHolder = objectsCollection[i].sidebarHolder,
						thisSidebarHolderHeight = objectsCollection[i].sidebarHolderHeight;
					
					if (cdbTheme.body.hasClass('sticky-on-scroll')) {
						var fixedHeader = $('.main-fixed-header.is-stuck');
						
						if (fixedHeader.length) {
							headerHeight = fixedHeader.outerHeight() + theme_global_vars.vars.cdb_admin_bar;
						}
					} else if (cdbTheme.body.hasClass('no-behavior')) {
						headerHeight = theme_global_vars.vars.cdb_admin_bar;
					}
					
					if (cdbTheme.windowWidth > 1024 && thisSidebarHolder.length) {
						var sidebarPosition = -(thisWidgetTopPosition - headerHeight),
							sidebarHeight = thisSidebarHeight - thisWidgetTopPosition - 40; // 40 is bottom margin of widget holder
						
						//move sidebar up when hits the end of section row
						var rowSectionEndInViewport = thisSidebarHolderHeight + thisWidgetTopOffset - headerHeight - thisWidgetTopPosition - theme_global_vars.vars.top_bar_height;
						
						if ((cdbTheme.scroll >= thisWidgetTopOffset - headerHeight) && thisSidebarHeight < thisSidebarHolderHeight) {
							if (thisSidebarHolder.hasClass('sidebar-is-sticky')) {
								thisSidebarHolder.css({'top': sidebarPosition + 'px'});
							} else {
								thisSidebarHolder.addClass('sidebar-is-sticky').css({
									'position': 'fixed',
									'top': sidebarPosition + 'px',
									'width': thisSidebarWidth,
									'margin-top': '-10px'
								}).animate({'margin-top': '0'}, 200);
							}
							
							if (cdbTheme.scroll + sidebarHeight >= rowSectionEndInViewport) {
								var absBottomPosition = thisSidebarHolderHeight - sidebarHeight + sidebarPosition - headerHeight;
								
								thisSidebarHolder.css({
									'position': 'absolute',
									'top': absBottomPosition + 'px'
								});
							} else {
								if (thisSidebarHolder.hasClass('sidebar-is-sticky')) {
									thisSidebarHolder.css({
										'position': 'fixed',
										'top': sidebarPosition + 'px'
									});
								}
							}
						} else {
							thisSidebarHolder.removeClass('sidebar-is-sticky').css({
								'position': 'relative',
								'top': '0',
								'width': 'auto'
							});
						}
					} else {
						thisSidebarHolder.removeClass('sidebar-is-sticky').css({
							'position': 'relative',
							'top': '0',
							'width': 'auto'
						});
					}
				});
			}
		}
		
		return {
			init: function () {
				addObjectItems();
				initStickySidebarWidget();
				
				$(window).scroll(function () {
					initStickySidebarWidget();
				});
			},
			reInit: initStickySidebarWidget
		};
	}

    /**
     * Init Owl Carousel
     */
    function codebeanOwlCarousel() {
        var sliders = $('.cdb-owl-carousel');

        if (sliders.length) {
            sliders.each(function(){
                var slider = $(this),
                    owlSlider = $(this),
	                slideItemsNumber = slider.children().length,
	                numberOfItems = 1,
	                loop = true,
	                autoplay = true,
	                autoplayHoverPause = true,
	                sliderSpeed = 5000,
	                sliderSpeedAnimation = 600,
	                margin = 0,
	                responsiveMargin = 0,
	                responsiveMargin1 = 0,
	                stagePadding = 0,
	                stagePaddingEnabled = false,
	                center = false,
	                autoWidth = false,
	                animateInClass = false, // keyframe css animation
	                animateOutClass = false, // keyframe css animation
	                navigation = true,
	                pagination = false,
	                thumbnail = false,
                    thumbnailSlider,
	                sliderIsCPTList = !!slider.hasClass('items-on-carousel'),
	                sliderDataHolder = sliderIsCPTList ? slider.parent() : slider;  // this is condition for cpt to set list to be slider
	
	            if (typeof slider.data('number-of-items') !== 'undefined' && slider.data('number-of-items') !== false && ! sliderIsCPTList) {
		            numberOfItems = slider.data('number-of-items');
	            }
	            if (typeof sliderDataHolder.data('number-of-columns') !== 'undefined' && sliderDataHolder.data('number-of-columns') !== false && sliderIsCPTList) {
		            switch (sliderDataHolder.data('number-of-columns')) {
			            case 'one':
				            numberOfItems = 1;
				            break;
			            case 'two':
				            numberOfItems = 2;
				            break;
			            case 'three':
				            numberOfItems = 3;
				            break;
			            case 'four':
				            numberOfItems = 4;
				            break;
			            case 'five':
				            numberOfItems = 5;
				            break;
			            case 'six':
				            numberOfItems = 6;
				            break;
			            default :
				            numberOfItems = 4;
				            break;
		            }
	            }
	            if (sliderDataHolder.data('enable-loop') === 'no') {
		            loop = false;
	            }
	            if (sliderDataHolder.data('enable-autoplay') === 'no') {
		            autoplay = false;
	            }
	            if (sliderDataHolder.data('enable-autoplay-hover-pause') === 'no') {
		            autoplayHoverPause = false;
	            }
	            if (typeof sliderDataHolder.data('slider-speed') !== 'undefined' && sliderDataHolder.data('slider-speed') !== false) {
		            sliderSpeed = sliderDataHolder.data('slider-speed');
	            }
	            if (typeof sliderDataHolder.data('slider-speed-animation') !== 'undefined' && sliderDataHolder.data('slider-speed-animation') !== false) {
		            sliderSpeedAnimation = sliderDataHolder.data('slider-speed-animation');
	            }
	            if (typeof sliderDataHolder.data('slider-margin') !== 'undefined' && sliderDataHolder.data('slider-margin') !== false) {
		            if (sliderDataHolder.data('slider-margin') === 'no') {
			            margin = 0;
		            } else {
			            margin = sliderDataHolder.data('slider-margin');
		            }
	            } else {
		            if(slider.parent().hasClass('cdb-huge-col-gap')) {
			            margin = 60;
		            } else if (slider.parent().hasClass('cdb-large-col-gap')) {
			            margin = 50;
		            } else if (slider.parent().hasClass('cdb-medium-col-gap')) {
			            margin = 40;
		            } else if (slider.parent().hasClass('cdb-normal-col-gap')) {
			            margin = 30;
		            } else if (slider.parent().hasClass('cdb-small-col-gap')) {
			            margin = 20;
		            } else if (slider.parent().hasClass('cdb-tiny-col-gap')) {
			            margin = 10;
		            }
	            }
	            if (sliderDataHolder.data('slider-padding') === 'yes') {
		            stagePaddingEnabled = true;
		            stagePadding = parseInt(slider.outerWidth() * 0.28);
		            margin = 50;
	            }
	            if (sliderDataHolder.data('enable-center') === 'yes') {
		            center = true;
	            }
	            if (sliderDataHolder.data('enable-auto-width') === 'yes') {
		            autoWidth = true;
	            }
	            if (typeof sliderDataHolder.data('slider-animate-in') !== 'undefined' && sliderDataHolder.data('slider-animate-in') !== false) {
		            animateInClass = sliderDataHolder.data('slider-animate-in');
	            }
	            if (typeof sliderDataHolder.data('slider-animate-out') !== 'undefined' && sliderDataHolder.data('slider-animate-out') !== false) {
                    animateOutClass = sliderDataHolder.data('slider-animate-out');
	            }
	            if (sliderDataHolder.data('enable-navigation') === 'no') {
		            navigation = false;
	            }
	            if (sliderDataHolder.data('enable-pagination') === 'yes') {
		            pagination = true;
	            }

	            if (sliderDataHolder.data('enable-thumbnail') === 'yes') {
                    thumbnail = true;
	            }

	            if(thumbnail && !pagination) {
                    /* page.index works only when pagination is enabled, so we add through html, but hide via css */
	                pagination = true;
                    owlSlider.addClass('caledon-slider-hide-pagination');
                }

	            if(navigation && pagination) {
		            slider.addClass('caledon-slider-has-both-nav');
	            }

	            if (slideItemsNumber <= 1) {
		            loop       = false;
		            autoplay   = false;
		            navigation = false;
		            pagination = false;
	            }

	            var responsiveNumberOfItems1 = 1,
		            responsiveNumberOfItems2 = 2,
		            responsiveNumberOfItems3 = 3,
		            responsiveNumberOfItems4 = numberOfItems,
		            responsiveNumberOfItems5 = numberOfItems;

	            if (numberOfItems < 3) {
		            responsiveNumberOfItems2 = numberOfItems;
		            responsiveNumberOfItems3 = numberOfItems;
	            }

	            if (numberOfItems > 4) {
		            responsiveNumberOfItems4 = 4;
	            }
	
	            if (numberOfItems > 5) {
		            responsiveNumberOfItems5 = 5;
	            }

	            if (stagePaddingEnabled || margin > 30) {
		            responsiveMargin = 20;
		            responsiveMargin1 = 30;
	            }

	            if (margin > 0 && margin <= 30) {
		            responsiveMargin = margin;
		            responsiveMargin1 = margin;
	            }

	            slider.waitForImages(function () {
		            owlSlider = slider.owlCarousel({
			            items: numberOfItems,
			            loop: loop,
			            autoplay: autoplay,
			            autoplayHoverPause: autoplayHoverPause,
			            autoplayTimeout: sliderSpeed,
			            smartSpeed: sliderSpeedAnimation,
			            margin: margin,
			            stagePadding: stagePadding,
			            center: center,
			            autoWidth: autoWidth,
			            animateIn: animateInClass,
			            animateOut: animateOutClass,
			            dots: pagination,
			            nav: navigation,
			            navText: [
				            '<span class="carousel-prev-icon ion-ios-arrow-left"></span>',
				            '<span class="carousel-next-icon ion-ios-arrow-right"></span>'
			            ],
			            responsive: {
				            0: {
					            items: responsiveNumberOfItems1,
					            margin: responsiveMargin,
					            stagePadding: 0,
					            center: false,
					            autoWidth: false
				            },
				            681: {
					            items: responsiveNumberOfItems2,
					            margin: responsiveMargin1
				            },
				            769: {
					            items: responsiveNumberOfItems3,
					            margin: responsiveMargin1
				            },
				            1025: {
					            items: responsiveNumberOfItems4
				            },
				            1281: {
					            items: responsiveNumberOfItems5
				            },
				            1367: {
					            items: numberOfItems
				            }
			            },
			            onInitialize: function () {
				            slider.css('visibility', 'visible');
				            parallaxInitialize();
                            if(thumbnail) {
                                thumbnailSlider.find('.caledon-slider-thumbnail-item:first-child').addClass('active');
                            }
			            },
                        onTranslate: function(e) {
                            if(thumbnail) {
                                var index = e.page.index + 1;
                                thumbnailSlider.find('.caledon-slider-thumbnail-item.active').removeClass('active');
                                thumbnailSlider.find('.caledon-slider-thumbnail-item:nth-child(' + index + ')').addClass('active');
                            }
                        },
			            onDrag: function (e) {
				            if (cdbTheme.body.hasClass('smooth-page-shifts-fadeout')) {
					            var sliderIsMoving = e.isTrigger > 0;
					
					            if (sliderIsMoving) {
						            slider.addClass('caledon-slider-is-moving');
					            }
				            }
			            },
			            onDragged: function () {
				            if (cdbTheme.body.hasClass('smooth-page-shifts-fadeout') && slider.hasClass('caledon-slider-is-moving')) {
					
					            setTimeout(function () {
						            slider.removeClass('caledon-slider-is-moving');
					            }, 500);
				            }
			            }
		            });
	            });

                if(thumbnail) {
                    thumbnailSlider = slider.parent().find('.caledon-slider-thumbnail');

                    var numberOfThumbnails = parseInt(thumbnailSlider.data('thumbnail-count'));
                    var numberOfThumbnailsClass = '';

                    switch (numberOfThumbnails % 6) {
                        case 2 :
                            numberOfThumbnailsClass = 'two';
                            break;
                        case 3 :
                            numberOfThumbnailsClass = 'three';
                            break;
                        case 4 :
                            numberOfThumbnailsClass = 'four';
                            break;
                        case 5 :
                            numberOfThumbnailsClass = 'five';
                            break;
                        case 0 :
                            numberOfThumbnailsClass = 'six';
                            break;
                        default :
                            numberOfThumbnailsClass = 'six';
                            break;
                    }

                    if(numberOfThumbnailsClass !== '') {
                        thumbnailSlider.addClass('caledon-slider-columns-' + numberOfThumbnailsClass);
                    }

                    thumbnailSlider.find('.caledon-slider-thumbnail-item').on('click' ,function () {
                        $(this).siblings('.active').removeClass('active');
                        $(this).addClass('active');
                        owlSlider.trigger('to.owl.carousel', [$(this).index(), sliderSpeedAnimation]);
                    });
                }
            });
        }
    }

	function dashboardForm() {
		var forms = $('.cdb-dashboard-form');

		if (forms.length) {
			forms.each(function () {
				var thisForm = $(this),
					btnText = thisForm.find('button'),
					updatingBtnText = btnText.data('updating-text'),
					updatedBtnText = btnText.data('updated-text'),
					actionName = thisForm.data('action');

				thisForm.on('submit', function (e) {
					e.preventDefault();
					var prevBtnText = btnText.html(),
						gallery = $(this).find('.cdb-dashboard-gallery-upload-hidden'),
						namesArray = [];

					btnText.html(updatingBtnText);

					//get data
					var formData = new FormData();

					//get files
					gallery.each(function () {
						var thisGallery = $(this),
							thisName = thisGallery.attr('name'),
							thisRepeaterID = thisGallery.attr('id'),
							thisFiles = thisGallery[0].files,
							newName;

						//this part is needed for repeater with image uploads
						//adding specific names so they can be sorted in regular files and files in repeater
						if (thisName.indexOf("[") !== '-1') {
							newName = thisName.substring(0, thisName.indexOf("[")) + '_cdb_regarray_';

							var firstIndex = thisRepeaterID.indexOf('['),
								lastIndex = thisRepeaterID.indexOf(']'),
								index = thisRepeaterID.substring(firstIndex + 1, lastIndex);

							namesArray.push(newName);
							newName = newName + index + '_';
						} else {
							newName = thisName + '_cdb_reg_';
						}

						//if file not sent, send dummy file - so repeater fields are sent
						if (thisFiles.length === 0) {
							formData.append(newName, new File([""], "dummy-file.txt", {
								type: "text/plain"
							}));
						}

						for (var i = 0; i < thisFiles.length; i++) {
							var allowedTypes = ['image/png','image/jpg','image/jpeg','application/pdf'];
							//security purposed - check if there is more than one dot in file name, also check whether the file type is in allowed types
							if (thisFiles[i].name.match(/\./g).length === 1 && $.inArray(thisFiles[i].type, allowedTypes) !== -1) {
								formData.append(newName + i, thisFiles[i]);
							}
						}
					});

					formData.append('action', actionName);

					//get data from form
					var otherData = $(this).serialize();
					formData.append('data', otherData);

					$.ajax({
						type: 'POST',
						data: formData,
						contentType: false,
						processData: false,
						url: theme_global_vars.vars.ajax_url,
						success: function (data) {
							var response;
							response = JSON.parse(data);

							// append ajax response html
							cdbTheme.modules.socialLogin.renderAjaxResponseMessage(response);
							if (response.status === 'success') {
								btnText.html(updatedBtnText);
								window.location = response.redirect;
							} else {
								btnText.html(prevBtnText);
							}
						}
					});

					return false;
				});
			});
		}
	}

    /**
     * Init Perfect Scrollbar
     */
    function cdbThemeInitPerfectScrollbar() {
        var defaultParams = {
            wheelSpeed: 0.6,
            suppressScrollX: true
        };

        var scrollInitalize = function (holder) {
            var ps = new PerfectScrollbar(holder.selector, defaultParams);
            $(window).resize(function () {
                ps.update();
            });
        };

        return {
            init: function (holder) {
                scrollInitalize(holder);
            }
        };
	}
	
    /**
    * Init Parallax Items
    */
  	function parallaxInitializeElements() {
		var parallaxIntances = $("[data-parallax]");

		if (parallaxIntances.length && !cdbTheme.htmlEl.hasClass('touch')) {
			ParallaxScroll.init(); //initialzation removed from plugin js file to have it run only on non-touch devices
		}
	}

	/*
    * Init Element in View
    */
    function elementInViewport(element) {
    	$(window).scroll(function(){
    		if (cdbTheme.scroll > element.offset().top - cdbTheme.windowHeight && cdbTheme.scroll < element.offset().top + element.height()) {
    			if (!element.hasClass('in-view')) {
    				element.addClass('in-view');
    			}
    		} else {
    			if (element.hasClass('in-view')) {
    				element.removeClass('in-view');
    			}
    		}
    	});
    }
	 
    /**
    * Dynamic Background Color 
    */
   	function activeBackgroundColor() {
		var bgrndIntances = $("[data-custom-background]");

		if (cdbTheme.body.hasClass('active-bg-color') && bgrndIntances.length) {
			$('.page-wrap-inner').append('<div id="cdb-custom-backgrounds"></div>');
			var holder =  $('#cdb-custom-backgrounds'),
				scrollBuffer = cdbTheme.scroll,
				scrollingDown = true,
				currentScroll, instancesInView, activeEl;
			
			//add bgrnd divs
			bgrndIntances.each(function(){
				elementInViewport($(this));
			});

			//calculate scroll direction
			var scrollDirection = function() {
				currentScroll = cdbTheme.scroll;
				
				if (currentScroll > scrollBuffer){
					scrollingDown = true;
				} else {
					scrollingDown = false;
				}
				scrollBuffer = currentScroll;
			};

			holder.css('background-color', bgrndIntances.first().attr('data-custom-background'));

			//colors change logic
			$(window).on('scroll', function() {
				scrollDirection();
				instancesInView = bgrndIntances.filter('.in-view');

				if (instancesInView.length) {
					if (scrollingDown) {
						activeEl = instancesInView.last();
					} else {
						activeEl = instancesInView.first();
					}

					holder.css('background-color') !== activeEl.attr('data-custom-background') &&
						holder.css('background-color', activeEl.attr('data-custom-background'));
				}	
			});	
		}
	}

})(jQuery);
(function($) {
	"use strict";

    var blog = {};
    cdbTheme.modules.blog = blog;

    blog.cdbThemeDocumentReady = cdbThemeDocumentReady;
    blog.cdbThemeWindowLoad = cdbThemeWindowLoad;
    blog.cdbThemeWindowScroll = cdbThemeWindowScroll;

    $(document).ready(cdbThemeDocumentReady);
    $(window).load(cdbThemeWindowLoad);
    $(window).scroll(cdbThemeWindowScroll);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
        audioPlayerInitialize();
    }

    /* 
        All functions to be called on $(window).load() should be in this function
    */
    function cdbThemeWindowLoad() {
	    blogPagination().init();
    }

    /* 
        All functions to be called on $(window).scroll() should be in this function
    */
    function cdbThemeWindowScroll() {
	    blogPagination().scroll();
    }

    /**
    * Init audio player for Blog list and single pages
    */
    function audioPlayerInitialize() {
	    var players = $('audio.blog-post-audio');
	
	    if (players.length) {
		    players.mediaelementplayer({
			    audioWidth: '100%'
		    });
	    }
    }
	
	/**
	 * Initializes blog pagination functions
	 */
	function blogPagination(){
		var holder = $('.blog-loop-wrap');
		
		var initLoadMorePagination = function(thisHolder) {
			var loadMoreButton = thisHolder.find('.blog-load-more a');
			
			loadMoreButton.on('click', function(e) {
				e.preventDefault();
				e.stopPropagation();
				
				initMainPagFunctionality(thisHolder);
			});
		};
		
		var initInifiteScrollPagination = function(thisHolder) {
			var blogListHeight = thisHolder.outerHeight(),
				blogListTopOffest = thisHolder.offset().top,
				blogListPosition = blogListHeight + blogListTopOffest - theme_global_vars.vars.cdb_admin_bar;
			
			if(!thisHolder.hasClass('blog-loop-pagination-infinite-scroll-started') && cdbTheme.scroll + cdbTheme.windowHeight > blogListPosition) {
				initMainPagFunctionality(thisHolder);
			}
		};
		
		var initMainPagFunctionality = function(thisHolder) {
			var thisHolderInner = thisHolder.children('.blog-loop-wrap-inner'),
				nextPage,
				maxNumPages;
			
			if (typeof thisHolder.data('max-num-pages') !== 'undefined' && thisHolder.data('max-num-pages') !== false) {
				maxNumPages = thisHolder.data('max-num-pages');
			}
			
			if(thisHolder.hasClass('blog-loop-pagination-infinite-scroll')) {
				thisHolder.addClass('blog-loop-pagination-infinite-scroll-started');
			}
			
			var loadMoreDatta = cdbTheme.modules.common.getLoadMoreData(thisHolder),
				loadingItem = thisHolder.find('.blog-loading');
			
			nextPage = loadMoreDatta.nextPage;
			
			if(nextPage <= maxNumPages){
				loadingItem.addClass('show');
				
				var ajaxData = cdbTheme.modules.common.setLoadMoreAjaxData(loadMoreDatta, 'codebean_blog_load_more');
				
				$.ajax({
					type: 'POST',
					data: ajaxData,
					url: theme_global_vars.vars.ajax_url,
					success: function (data) {
						nextPage++;
						
						thisHolder.data('next-page', nextPage);

						var response = $.parseJSON(data),
							responseHtml =  response.html;

						thisHolder.waitForImages(function(){
							if(thisHolder.hasClass('container-masonry-list')){
								isotopeAddNewContent(thisHolderInner, loadingItem, responseHtml);
								cdbTheme.modules.common.setFixedImageProportionSize(thisHolder, thisHolder.find('article'), thisHolderInner.find('.masonry-grid-sizer').width());
							} else {
								galleryAddNewContent(thisHolderInner, loadingItem, responseHtml);
							}
							
							setTimeout(function() {
								audioPlayerInitialize();
								cdbTheme.modules.common.codebeanOwlCarousel();
								cdbTheme.modules.common.codebeanFluidVideo();
                                cdbTheme.modules.common.selfHostedVideoPlayer();
                                cdbTheme.modules.common.selfHostedVideoSize();
								
								if (typeof cdbTheme.modules.common.sidebarWidgetFixed === 'function') {
									cdbTheme.modules.common.sidebarWidgetFixed().reInit();
								}

                                // Trigger event.
                                $( document.body ).trigger( 'blog_list_load_more_trigger' );

							}, 400);
						});
						
						if(thisHolder.hasClass('blog-loop-pagination-infinite-scroll-started')) {
							thisHolder.removeClass('blog-loop-pagination-infinite-scroll-started');
						}
					}
				});
			}
			
			if(nextPage === maxNumPages){
				thisHolder.find('.blog-load-more').hide();
			}
		};
		
		var isotopeAddNewContent = function(thisHolderInner, loadingItem, responseHtml) {
			thisHolderInner.append(responseHtml).isotope('reloadItems').isotope({sortBy: 'original-order'});
			loadingItem.removeClass('show');
			
			setTimeout(function() {
				thisHolderInner.isotope('layout');
			}, 600);
		};
		
		var galleryAddNewContent = function(thisHolderInner, loadingItem, responseHtml) {
			loadingItem.removeClass('show');
			thisHolderInner.append(responseHtml);
		};
		
		return {
			init: function() {
				if(holder.length) {
					holder.each(function() {
						var thisHolder = $(this);
						
						if(thisHolder.hasClass('blog-loop-pagination-load-more')) {
							initLoadMorePagination(thisHolder);
						}
						
						if(thisHolder.hasClass('blog-loop-pagination-infinite-scroll')) {
							initInifiteScrollPagination(thisHolder);
						}
					});
				}
			},
			scroll: function() {
				if(holder.length) {
					holder.each(function() {
						var thisHolder = $(this);
						
						if(thisHolder.hasClass('blog-loop-pagination-infinite-scroll')) {
							initInifiteScrollPagination(thisHolder);
						}
					});
				}
			}
		};
	}

})(jQuery);
(function ($) {
	"use strict";
	
	var footer = {};
    cdbTheme.modules.footer = footer;
	
	footer.cdbThemeWindowLoad = cdbThemeWindowLoad;
	
	$(window).load(cdbThemeWindowLoad);
	
	/*
	 All functions to be called on $(window).load() should be in this function
	 */
	 
	function cdbThemeWindowLoad() {
		uncoveringFooter();
	}
	
	function uncoveringFooter() {
		var uncoverFooter = $('body:not(.error404) .fixed-footer-holder');

		if (uncoverFooter.length && !cdbTheme.htmlEl.hasClass('touch')) {

			var footer = $('footer'),
				footerHeight = footer.outerHeight(),
				content = $('.page-wrap');
			
			var uncoveringCalcs = function () {
				content.css('margin-bottom', footerHeight);
				footer.css('height', footerHeight);
			};


			//set
			uncoveringCalcs();
			
			$(window).resize(function () {
				//recalc
				footerHeight = footer.find('.footer-widgetized-area').outerHeight();
				uncoveringCalcs();
			});
		}
	}
	
})(jQuery);
(function($) {
	"use strict";
	
	var header = {};
	cdbTheme.modules.header = header;
	
	header.dropdownMenuPosition     = dropdownMenuPosition;
	header.megaMenuOffsets = megaMenuOffsets;
	
	header.cdbThemeDocumentReady = cdbThemeDocumentReady;
	header.cdbThemeWindowLoad = cdbThemeWindowLoad;

    header.behaviour = '';
	
	$(document).ready(cdbThemeDocumentReady);
	$(window).load(cdbThemeWindowLoad);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		dropdownMenuPosition();
		setTimeout(function(){
			simpleDropDown();
		}, 100);

        if(cdbTheme.windowWidth > 1024) {
            fixedHeader();
        }
	}
	
	/*
	 All functions to be called on $(window).load() should be in this function
	 */
	function cdbThemeWindowLoad() {
		megaMenuOffsets();
	}
	
	/**
	 * Set dropdown position
	 */
	function dropdownMenuPosition() {
		var menuItems = $('.menu-dropdown > ul > li.simple-dropdown.menu-item-has-children');
		
		if (menuItems.length) {
			menuItems.each(function (i) {
				var thisItem = $(this),
					menuItemPosition = thisItem.offset().left,
					dropdownHolder = thisItem.find('.sub-menu-dropdown'),
					dropdownMenuItem = dropdownHolder.find('.sub-menu-holder ul'),
					dropdownMenuWidth = dropdownMenuItem.outerWidth(),
					menuItemFromLeft = cdbTheme.windowWidth - menuItemPosition;
				
				if (cdbTheme.body.hasClass('boxed-site-layout')) {
					menuItemFromLeft = cdbTheme.boxedLayoutWidth - (menuItemPosition - (cdbTheme.windowWidth - cdbTheme.boxedLayoutWidth ) / 2);
				}
				
				var dropDownMenuFromLeft; //has to stay undefined because 'dropDownMenuFromLeft < dropdownMenuWidth' conditional will be true
				
				if (thisItem.find('li.sub').length > 0) {
					dropDownMenuFromLeft = menuItemFromLeft - dropdownMenuWidth;
				}
				
				dropdownHolder.removeClass('right');
				dropdownMenuItem.removeClass('right');
				if (menuItemFromLeft < dropdownMenuWidth || dropDownMenuFromLeft < dropdownMenuWidth) {
					dropdownHolder.addClass('right');
					dropdownMenuItem.addClass('right');
				}
			});
		}
	}
	
	/**
	 * Set dropdown wide position
	 */
	function megaMenuOffsets(){
		var menuItems = $(".menu-dropdown > ul > li.megamenu-dropdown");
		
		if(menuItems.length) {
			menuItems.each( function(i) {
                var menuItem = $(this);
				var menuItemSubMenu = menuItem.find('.sub-menu-dropdown');
				
				if(menuItemSubMenu.length && !menuItemSubMenu.hasClass('left_position') && !menuItemSubMenu.hasClass('right_position')) {
					menuItemSubMenu.css('left', 0);
					
					var left_position = menuItemSubMenu.offset().left;
					
					if(cdbTheme.body.hasClass('boxed-site-layout')) {
                        //boxed layout case
                        var boxedWidth = $('.boxed-site-layout .site-wrapper .site-container').outerWidth();
						left_position = left_position - (cdbTheme.windowWidth - boxedWidth) / 2;
						menuItemSubMenu.css({'left': -left_position, 'width': boxedWidth});

					} else if(cdbTheme.body.hasClass('mega-dropdown-wrapper-in-container')) {
                        //wide dropdown in grid case
                        menuItemSubMenu.css({'left': -left_position + (cdbTheme.windowWidth - cdbTheme.gridWidth()) / 2 - 40, 'width': cdbTheme.gridWidth() - 80 });
                    }
                    else {
                        //wide dropdown full width case
                        menuItemSubMenu.css({'left': -left_position + 40, 'width': cdbTheme.windowWidth - 80});
					}
				}
			});
		}
	}
	
	function simpleDropDown() {
		var menu_items = $('.menu-dropdown > ul > li');
		
		menu_items.each(function() {
			var thisItem = $(this);
			
			if(thisItem.find('.sub-menu-dropdown').length) {
				thisItem.waitForImages(function(){
					var dropDownHolder = thisItem.find('.sub-menu-dropdown'),
						dropDownHolderHeight = !cdbTheme.dropDownMenuHeightSet ? dropDownHolder.outerHeight() : 0;

                    if(thisItem.hasClass('wide')) {
                        var tallest = 0,
                            dropDownSecondItem = dropDownHolder.find('> .inner > ul > li');

                        dropDownSecondItem.each(function() {
                            var thisHeight = $(this).outerHeight();

                            if(thisHeight > tallest) {
                                tallest = thisHeight;
                            }
                        });

                        dropDownSecondItem.css('height', '').height(tallest);

                        if (!cdbTheme.dropDownMenuHeightSet) {
                            dropDownHolderHeight = dropDownHolder.outerHeight();
                        }
                    }

                    if (!cdbTheme.dropDownMenuHeightSet) {
                        dropDownHolder.height(0);
                    }
					
					if(navigator.userAgent.match(/(iPod|iPhone|iPad)/)) {
						thisItem.on("touchstart mouseenter", function() {
							dropDownHolder.css({
								'height': dropDownHolderHeight,
								'overflow': 'visible',
								'visibility': 'visible',
								'opacity': '1'
							});
							menu_items.addClass('sub-menu-hover');
						}).on("mouseleave", function() {
							dropDownHolder.css({
								'height': '0px',
								'overflow': 'hidden',
								'visibility': 'hidden',
								'opacity': '0'
							});
                            menu_items.removeClass('sub-menu-hover');
						});
					} else {
						var config = {
							interval: 0,
							over: function () {
								setTimeout(function () {
									dropDownHolder.addClass('dropdown-visible');
                                    menu_items.addClass('sub-menu-hover');
								}, 150);
							},
							timeout: 150,
							out: function () {
								dropDownHolder.removeClass('dropdown-visible');
                                menu_items.removeClass('sub-menu-hover');
							}
						};

						thisItem.hoverIntent(config);
					}
				});
			}
		});
		
		$('.menu-dropdown ul li.megamenu-dropdown ul li a').on('click', function(e) {
			if (e.which === 1){
				var $this = $(this);
				
				setTimeout(function() {
					$this.mouseleave();
				}, 500);
			}
		});
		
		cdbTheme.dropDownMenuHeightSet = true;
	}

    /**
	 * Show/Hide header on sticky (fixed)
     */
    function fixedHeader() {
        var header = $('.main-header-wrapper'),
            fixedHeaderWrapper = $('.main-fixed-header'),
            fixedMenuArea = fixedHeaderWrapper.children('.row-menu-container'),
            fixedMenuAreaHeight = fixedMenuArea.outerHeight(),
            sliderHolder = $('.caledon-slider'),
            revSliderHeight = sliderHolder.length ? sliderHolder.outerHeight() : 0;

        var headerMenuAreaOffset = fixedHeaderWrapper.length ? fixedHeaderWrapper.offset().top - theme_global_vars.vars.cdb_admin_bar : 0;

        if (cdbTheme.body.hasClass('sticky-on-scroll')) {
            cdbTheme.modules.header.behaviour = 'sticky-on-scroll';
            var headerFixed = function(){

                if(cdbTheme.scroll <= headerMenuAreaOffset) {
                    fixedHeaderWrapper.removeClass('is-stuck');
                    cdbTheme.body.removeClass('fixed-header-active');
                    header.css('margin-bottom', '0');
                } else {
                    fixedHeaderWrapper.addClass('is-stuck');
                    cdbTheme.body.addClass('fixed-header-active');
                    header.css('margin-bottom', fixedMenuAreaHeight + 'px');
                }
            };

            headerFixed();

            $(window).scroll(function() {
                headerFixed();
            });
		}
    }
	
})(jQuery);
(function($) {
    'use strict';

    var like = {};
    
    like.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /**
    *  All functions to be called on $(document).ready() should be in this function
    **/
    function cdbThemeDocumentReady() {
        codebeanLike();
    }

    function codebeanLike() {
        $(document).on('click','.likes', function() {
            var likeLink = $(this),
                id = likeLink.attr('id'),
                type;

            if ( likeLink.hasClass('liked') ) {
                return false;
            }

            if (typeof likeLink.data('type') !== 'undefined') {
                type = likeLink.data('type');
            }

            var dataToPass = {
                action: 'codebean_like',
                likes_id: id,
                type: type
            };

            var like = $.post(theme_global_vars.vars.ajax_url, dataToPass, function( data ) {
                likeLink.html(data).addClass('liked').attr('title', 'You already like this!');
            });

            return false;
        });
    }
    
})(jQuery);
(function($) {
    "use strict";

    var sidearea = {};
    cdbTheme.modules.sidearea = sidearea;

    sidearea.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    offCanvasSidebar();
    }
	
	/**
	 * Show/hide Off Canvas Sidebar
	 */
    function offCanvasSidebar() {
		var wrapper = $('.site-wrapper'),
			sideMenu = $('.off-canvas-sidebar'),
			sideMenuButtonOpen = $('a.off-canvas-sidebar-button'),
			cssClass,
			//Flags
			slideFromRight = false,
			slideWithContent = false,
			slideUncovered = false;
		
		if (cdbTheme.body.hasClass('off-canvas-sidebar-slide-from-right')) {
			$('.js-off-canvas-overlay').remove();
			cssClass = 'off-canvas-sidebar-active';
			wrapper.prepend('<div class="js-off-canvas-overlay"/>');
			slideFromRight = true;
		} else if (cdbTheme.body.hasClass('off-canvas-sidebar-slide-with-content')) {
			cssClass = 'off-canvas-sidebar-open';
			slideWithContent = true;
		} else if (cdbTheme.body.hasClass('off-canvas-sidebar-uncovered-from-content')) {
			cssClass = 'off-canvas-sidebar-active';
			slideUncovered = true;
		}
		
		$('a.off-canvas-sidebar-button, a.off-canvas-sidebar-close').on('click', function (e) {
			e.preventDefault();
	
	        if (!sideMenuButtonOpen.hasClass('opened')) {
		        sideMenuButtonOpen.addClass('opened');
		        cdbTheme.body.addClass(cssClass);
		
		        if (slideFromRight) {
			        $('.site-wrapper .js-off-canvas-overlay').on('click', function () {
				        cdbTheme.body.removeClass('off-canvas-sidebar-active');
				        sideMenuButtonOpen.removeClass('opened');
			        });
		        }
		
		        if (slideUncovered) {
			        sideMenu.css({
				        'visibility': 'visible'
			        });
		        }
		
		        var currentScroll = $(window).scrollTop();
		        $(window).scroll(function () {
			        if (Math.abs(cdbTheme.scroll - currentScroll) > 400) {
				        cdbTheme.body.removeClass(cssClass);
				        sideMenuButtonOpen.removeClass('opened');
				        if (slideUncovered) {
					        var hideSideMenu = setTimeout(function () {
						        sideMenu.css({'visibility': 'hidden'});
						        clearTimeout(hideSideMenu);
					        }, 400);
				        }
			        }
		        });
            } else {
	            sideMenuButtonOpen.removeClass('opened');
	            cdbTheme.body.removeClass(cssClass);
	
	            if (slideUncovered) {
		            var hideSideMenu = setTimeout(function () {
			            sideMenu.css({'visibility': 'hidden'});
			            clearTimeout(hideSideMenu);
		            }, 400);
	            }
            }
	
	        if (slideWithContent) {
		        e.stopPropagation();
		
		        wrapper.on('click', function () {
			        e.preventDefault();
			        sideMenuButtonOpen.removeClass('opened');
			        cdbTheme.body.removeClass('off-canvas-sidebar-open');
		        });
	        }
        });

        if(sideMenu.length){
            cdbTheme.modules.common.cdbThemeInitPerfectScrollbar().init(sideMenu);
        }
    }

})(jQuery);

(function ($) {
	"use strict";
	
	var subscribePopup = {};
	cdbTheme.modules.subscribePopup = subscribePopup;
	
	subscribePopup.cdbThemeWindowLoad = cdbThemeWindowLoad;
	
	$(window).load(cdbThemeWindowLoad);
	
	/*
	 All functions to be called on $(window).load() should be in this function
	 */
	function cdbThemeWindowLoad() {
		contentPopup();
	}
	
	function contentPopup() {
		var popupOpener = $('.subscribe-popup-wrap'),
			popupClose = $('.subscribe-popup-close');
		
		if (popupOpener.length) {
			var popupPreventHolder = popupOpener.find('.avoid-popup-button'),
				disabledPopup = 'no';
			
			if (popupPreventHolder.length) {
				var isLocalStorage = popupOpener.hasClass('avoid-popup-button-cookies'),
					popupPreventInput = popupPreventHolder.find('.avoid-popup-icon'),
					preventValue = popupPreventInput.data('value');
				
				if (isLocalStorage) {
					disabledPopup = localStorage.getItem('disabledPopup');
					sessionStorage.removeItem('disabledPopup');
				} else {
					disabledPopup = sessionStorage.getItem('disabledPopup');
					localStorage.removeItem('disabledPopup');
				}
				
				popupPreventHolder.children().on('click', function (e) {
					if ( preventValue !== 'yes' ) {
						preventValue = 'yes';
						popupPreventInput.addClass('active').data('value', 'yes');
					} else {
						preventValue = 'no';
						popupPreventInput.removeClass('active').data('value', 'no');
					}
					
					if (preventValue === 'yes') {
						if (isLocalStorage) {
							localStorage.setItem('disabledPopup', 'yes');
						} else {
							sessionStorage.setItem('disabledPopup', 'yes');
						}
					} else {
						if (isLocalStorage) {
							localStorage.setItem('disabledPopup', 'no');
						} else {
							sessionStorage.setItem('disabledPopup', 'no');
						}
					}
				});
			}
			
			if (disabledPopup !== 'yes') {
				if (cdbTheme.body.hasClass('subscribe-popup-opened')) {
					cdbTheme.body.removeClass('subscribe-popup-opened');
					cdbTheme.modules.common.cdbThemeEnableScroll();
				} else {
					cdbTheme.body.addClass('subscribe-popup-opened');
					cdbTheme.modules.common.cdbThemeDisableScroll();
				}
				
				popupClose.on('click', function (e) {
					e.preventDefault();
					
					cdbTheme.body.removeClass('subscribe-popup-opened');
					cdbTheme.modules.common.cdbThemeEnableScroll();
				});
				
				//Close on escape
				$(document).keyup(function (e) {
					if (e.keyCode === 27) { //KeyCode for ESC button is 27
						cdbTheme.body.removeClass('subscribe-popup-opened');
						cdbTheme.modules.common.cdbThemeEnableScroll();
					}
				});
			}
		}
	}
	
})(jQuery);
(function($) {
    "use strict";

    var title = {};
    cdbTheme.modules.title = title;

    title.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    parallaxPageTitle();
    }

    /*
     **	Title image with parallax effect
     */
	function parallaxPageTitle() {
		var parallaxBackground = $('.page-title-wrap.background-parallax');
		
		if (parallaxBackground.length > 0 && cdbTheme.windowWidth > 1024) {
			var parallaxBackgroundWithZoomOut = parallaxBackground.hasClass('background-parallax-zoom-out'),
				titleHeight = parseInt(parallaxBackground.data('height')),
				imageWidth = parseInt(parallaxBackground.data('background-width')),
				parallaxRate = titleHeight / 10000 * 7,
				parallaxYPos = -(cdbTheme.scroll * parallaxRate),
				adminBarHeight = theme_global_vars.vars.cdb_admin_bar;
			
			parallaxBackground.css({'background-position': 'center ' + (parallaxYPos + adminBarHeight) + 'px'});
			
			if (parallaxBackgroundWithZoomOut) {
				parallaxBackgroundWithZoomOut.css({'background-size': imageWidth - cdbTheme.scroll + 'px auto'});
			}
			
			//set position of background on window scroll
			$(window).scroll(function () {
				parallaxYPos = -(cdbTheme.scroll * parallaxRate);
				parallaxBackground.css({'background-position': 'center ' + (parallaxYPos + adminBarHeight) + 'px'});
				
				if (parallaxBackgroundWithZoomOut) {
					parallaxBackgroundWithZoomOut.css({'background-size': imageWidth - cdbTheme.scroll + 'px auto'});
				}
			});
		}
	}

})(jQuery);

(function($) {
    'use strict';

    var woocommerce = {};
    cdbTheme.modules.woocommerce = woocommerce;

    woocommerce.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
        wooQuantityButtons();
        select2Initalize();
	    wooSingleProductLightbox();
    }
	
    /*
    ** Init quantity buttons to increase/decrease products for cart
    */
	function wooQuantityButtons() {
		$(document).on('click', '.quantity-minus, .quantity-plus', function (e) {
			e.stopPropagation();
			
			var button = $(this),
				inputField = button.siblings('.quantity-input'),
				step = parseFloat(inputField.data('step')),
				max = parseFloat(inputField.data('max')),
				minus = false,
				inputValue = parseFloat(inputField.val()),
				newInputValue;
			
			if (button.hasClass('quantity-minus')) {
				minus = true;
			}
			
			if (minus) {
				newInputValue = inputValue - step;
				if (newInputValue >= 1) {
					inputField.val(newInputValue);
				} else {
					inputField.val(0);
				}
			} else {
				newInputValue = inputValue + step;
				if (max === undefined) {
					inputField.val(newInputValue);
				} else {
					if (newInputValue >= max) {
						inputField.val(max);
					} else {
						inputField.val(newInputValue);
					}
				}
			}
			
			inputField.trigger('change');
		});
	}

    /*
    ** Init select2 script for select html dropdowns
    */
	function select2Initalize() {
		var orderByDropDown = $('.woocommerce-ordering .orderby');
		if (orderByDropDown.length) {
			orderByDropDown.select2({
				minimumResultsForSearch: Infinity
			});
		}
		
		var variableProducts = $('.codebean-shop-page .page-wrap .variations td.value select');
		if (variableProducts.length) {
			variableProducts.select2();
		}
		
		var shippingCountryCalc = $('#calc_shipping_country');
		if (shippingCountryCalc.length) {
			shippingCountryCalc.select2();
		}
		
		var shippingStateCalc = $('.cart-collaterals .shipping select#calc_shipping_state');
		if (shippingStateCalc.length) {
			shippingStateCalc.select2();
		}
	}
	
	/*
	 ** Init Product Single Pretty Photo attributes
	 */
	function wooSingleProductLightbox() {
		var item = $('.shop-single-page.product-single-img-has-pretty-photo .images .woocommerce-product-gallery__image');
		
		if(item.length) {
			item.children('a').attr('data-rel', 'prettyPhoto[woo_single_pretty_photo]');
			
			if (typeof cdbTheme.modules.common.prettyPhotoInit === "function") {
				cdbTheme.modules.common.prettyPhotoInit();
			}
		}
	}

})(jQuery);
(function($) {
    "use strict";

    var blogListSC = {};
    cdbTheme.modules.blogListSC = blogListSC;
    
    blogListSC.cdbThemeWindowLoad = cdbThemeWindowLoad;
    blogListSC.cdbThemeWindowScroll = cdbThemeWindowScroll;

    $(window).load(cdbThemeWindowLoad);
    $(window).scroll(cdbThemeWindowScroll);

    /*
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {
        blogPaginationShortcode().init();
    }

    /*
     All functions to be called on $(window).scroll() should be in this function
     */
    function cdbThemeWindowScroll() {
        blogPaginationShortcode().scroll();
    }

    /**
     * Init blog list shortcode pagination functions
     */
    function blogPaginationShortcode(){
        var holder = $('.blog-shortcode');

        var initStandardPagination = function(thisHolder) {
            var standardLink = thisHolder.find('.blog-shortcode-standard-pagination li');

            if(standardLink.length) {
                standardLink.each(function(){
                    var thisLink = $(this).children('a'),
                        pagedLink = 1;

                    thisLink.on('click', function(e) {
                        e.preventDefault();
                        e.stopPropagation();

                        if (typeof thisLink.data('paged') !== 'undefined' && thisLink.data('paged') !== false) {
                            pagedLink = thisLink.data('paged');
                        }

                        initMainPagFunctionality(thisHolder, pagedLink);
                    });
                });
            }
        };

        var initLoadMorePagination = function(thisHolder) {
            var loadMoreButton = thisHolder.find('.blog-load-more a');

            loadMoreButton.on('click', function(e) {
                e.preventDefault();
                e.stopPropagation();

                initMainPagFunctionality(thisHolder);
            });
        };

        var initInifiteScrollPagination = function(thisHolder) {
            var blogListHeight = thisHolder.outerHeight(),
                blogListTopOffest = thisHolder.offset().top,
                blogListPosition = blogListHeight + blogListTopOffest - theme_global_vars.vars.cdb_admin_bar;

            if(!thisHolder.hasClass('blog-pagination-infinite-scroll-started') && cdbTheme.scroll + cdbTheme.windowHeight > blogListPosition) {
                initMainPagFunctionality(thisHolder);
            }
        };

        var initMainPagFunctionality = function(thisHolder, pagedLink) {
            var thisHolderInner = thisHolder.find('.blog-shortcode-list'),
                nextPage,
                maxNumPages;

            if (typeof thisHolder.data('max-num-pages') !== 'undefined' && thisHolder.data('max-num-pages') !== false) {
                maxNumPages = thisHolder.data('max-num-pages');
            }

            if(thisHolder.hasClass('blog-pagination-standard-shortcodes')) {
                thisHolder.data('next-page', pagedLink);
            }

            if(thisHolder.hasClass('blog-pagination-infinite-scroll')) {
                thisHolder.addClass('blog-pagination-infinite-scroll-started');
            }

            var loadMoreDatta = cdbTheme.modules.common.getLoadMoreData(thisHolder),
                loadingItem = thisHolder.find('.blog-loading');

            nextPage = loadMoreDatta.nextPage;

            if(nextPage <= maxNumPages){
                if(thisHolder.hasClass('blog-pagination-standard-shortcodes')) {
                    loadingItem.addClass('show standard-pagination-trigger');
                    thisHolder.addClass('blog-pagination-standard-shortcodes-animate');
                } else {
                    loadingItem.addClass('show');
                }

                var ajaxData = cdbTheme.modules.common.setLoadMoreAjaxData(loadMoreDatta, 'codebean_blog_shortcode_load_more');

                $.ajax({
                    type: 'POST',
                    data: ajaxData,
                    url: theme_global_vars.vars.ajax_url,
                    success: function (data) {
                        if(!thisHolder.hasClass('blog-pagination-standard-shortcodes')) {
                            nextPage++;
                        }

                        thisHolder.data('next-page', nextPage);

                        var response = $.parseJSON(data),
                            responseHtml =  response.html;

                        if(thisHolder.hasClass('blog-pagination-standard-shortcodes')) {
                            defaultPaginationNextLink(thisHolder, maxNumPages, nextPage);

                            thisHolder.waitForImages(function(){
                                if(thisHolder.hasClass('blog-shortcode-masonry')){
                                    isotopeHtmlNewContent(thisHolder, thisHolderInner, loadingItem, responseHtml);
                                } else {
                                    galleryHtmlNewContent(thisHolder, thisHolderInner, loadingItem, responseHtml);

                                    if (typeof cdbTheme.modules.common.sidebarWidgetFixed === 'function') {
                                        cdbTheme.modules.common.sidebarWidgetFixed().reInit();
                                    }
                                }
                            });
                        } else {
                            thisHolder.waitForImages(function(){
                                if(thisHolder.hasClass('blog-shortcode-masonry')){
                                    isotopeAddNewContent(thisHolderInner, loadingItem, responseHtml);
                                } else {
                                    galleryAddNewContent(thisHolderInner, loadingItem, responseHtml);

                                    if (typeof cdbTheme.modules.common.sidebarWidgetFixed === 'function') {
                                        cdbTheme.modules.common.sidebarWidgetFixed().reInit();
                                    }
                                }
                            });
                        }

                        if(thisHolder.hasClass('blog-pagination-infinite-scroll-started')) {
                            thisHolder.removeClass('blog-pagination-infinite-scroll-started');
                        }
                    }
                });
            }

            if(nextPage === maxNumPages){
                thisHolder.find('.blog-load-more').hide();
            }
        };

        var defaultPaginationNextLink = function(thisHolder, maxNumPages, nextPage) {
            var standardPagHolder = thisHolder.find('.blog-shortcode-standard-pagination'),
                standardPagNumericItem = standardPagHolder.find('li.page-num'),
                standardPagPrevItem = standardPagHolder.find('li.previous-page a'),
                standardPagNextItem = standardPagHolder.find('li.next-page a');

            standardPagNumericItem.removeClass('active');
            standardPagNumericItem.eq(nextPage-1).addClass('active');

            standardPagPrevItem.data('paged', nextPage-1);
            standardPagNextItem.data('paged', nextPage+1);

            if(nextPage > 1) {
                standardPagPrevItem.css({'opacity': '1'});
            } else {
                standardPagPrevItem.css({'opacity': '0'});
            }

            if(nextPage === maxNumPages) {
                standardPagNextItem.css({'opacity': '0'});
            } else {
                standardPagNextItem.css({'opacity': '1'});
            }
        };

        var isotopeHtmlNewContent = function(thisHolder, thisHolderInner, loadingItem, responseHtml) {
            thisHolderInner.html(responseHtml).isotope('reloadItems').isotope({sortBy: 'original-order'});
            loadingItem.removeClass('show standard-pagination-trigger');
            thisHolder.removeClass('blog-pagination-standard-shortcodes-animate');

            setTimeout(function() {
                thisHolderInner.isotope('layout');

                if (typeof cdbTheme.modules.common.sidebarWidgetFixed === 'function') {
                    cdbTheme.modules.common.sidebarWidgetFixed().reInit();
                }
            }, 600);
        };

        var galleryHtmlNewContent = function(thisHolder, thisHolderInner, loadingItem, responseHtml) {
            loadingItem.removeClass('show standard-pagination-trigger');
            thisHolder.removeClass('blog-pagination-standard-shortcodes-animate');
            thisHolderInner.html(responseHtml);
        };

        var isotopeAddNewContent = function(thisHolderInner, loadingItem, responseHtml) {
            thisHolderInner.append(responseHtml).isotope('reloadItems').isotope({sortBy: 'original-order'});
            loadingItem.removeClass('show');

            setTimeout(function() {
                thisHolderInner.isotope('layout');

                if (typeof cdbTheme.modules.common.sidebarWidgetFixed === 'function') {
                    cdbTheme.modules.common.sidebarWidgetFixed().reInit();
                }
            }, 600);
        };

        var galleryAddNewContent = function(thisHolderInner, loadingItem, responseHtml) {
            loadingItem.removeClass('show');
            thisHolderInner.append(responseHtml);
        };

        return {
            init: function() {
                if(holder.length) {
                    holder.each(function() {
                        var thisHolder = $(this);

                        if(thisHolder.hasClass('blog-pagination-standard-shortcodes')) {
                            initStandardPagination(thisHolder);
                        }

                        if(thisHolder.hasClass('blog-pagination-load-more')) {
                            initLoadMorePagination(thisHolder);
                        }

                        if(thisHolder.hasClass('blog-pagination-infinite-scroll')) {
                            initInifiteScrollPagination(thisHolder);
                        }
                    });
                }
            },
            scroll: function() {
                if(holder.length) {
                    holder.each(function() {
                        var thisHolder = $(this);

                        if(thisHolder.hasClass('blog-pagination-infinite-scroll')) {
                            initInifiteScrollPagination(thisHolder);
                        }
                    });
                }
            }
        };
    }

})(jQuery);
(function($) {
    "use strict";

    var headerMinimal = {};
    cdbTheme.modules.headerMinimal = headerMinimal;

    TweenMax.defaultEase = new BezierEasing(0.35, 0.3, 0.2, 0.85);
	
	headerMinimal.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
        overlayMenu();
    }


    /**
     * Init Fullscreen Menu
     */
    function overlayMenu() {
	    var popupMenuOpener = $( 'a.full-screen-menu-button');
	    
        if (popupMenuOpener.length) {
            var popupMenuHolderOuter = $(".full-screen-menu"),
                cssClass,
                header = $('.main-header-wrapper'),
                darkLogo = header.find('.logo-main, .logo-dark'),
                lightLogo = header.find('.logo-light'),
            //Flags for type of animation
                fadeRight = false,
                fadeTop = false,
            //Widgets
                widgetBelowNav = $('.full-screen-menu-footer div > *'),
            //Menu
                menuItems = $('.full-screen-menu nav > ul > li > a > span'),
                menuItemWithChild =  $('.fullscreen-nav > ul li.has_sub > a'),
                menuItemWithoutChild = $('.fullscreen-nav ul li:not(.has_sub) a'),
                tl = new TimelineMax({paused: true});

            tl
                .set( header, { className: '+=hide-bg-color' } )
                .to( popupMenuHolderOuter, 0.7, { width: '100%' } )
                .staggerTo(menuItems, 0.2, { y: 0 }, 0.1, "start" )
                .staggerTo(widgetBelowNav, 0.2, { y: 0 }, 0.1, "start" )
                .set( popupMenuOpener, { className: '+=fullscreen-button-open' }, "start");

            //set height of popup holder and initialize perfectScrollbar
            cdbTheme.modules.common.cdbThemeInitPerfectScrollbar().init(popupMenuHolderOuter);

            //set height of popup holder on resize
            $(window).resize(function() {
                popupMenuHolderOuter.height(cdbTheme.windowHeight);
            });

            if (cdbTheme.body.hasClass('animate-to-right')) {
                cssClass = 'animate-nav-right';
                fadeRight = true;
            } else if (cdbTheme.body.hasClass('animate-to-top')) {
                cssClass = 'animate-nav-top';
                fadeTop = true;
            }

            // Open popup menu
            popupMenuOpener.on('click',function(e){
                e.preventDefault();

                if (!popupMenuOpener.hasClass('fullscreen-button-open')) {
                    cdbTheme.body.removeClass('fullscreen-menu-off').addClass('fullscreen-menu-is-open fullscreen-menu-on');
                    cdbTheme.body.removeClass(cssClass);
                    cdbTheme.modules.common.cdbThemeDisableScroll();

                    tl.timeScale(1).restart();

                    $(document).keyup(function(e){
                        if (e.keyCode === 27 ) {
                            cdbTheme.body.removeClass('fullscreen-menu-is-open fullscreen-menu-on').addClass('fullscreen-menu-off');
                            cdbTheme.body.addClass(cssClass);
                            cdbTheme.modules.common.cdbThemeEnableScroll();

                            tl.timeScale(2).reverse();

                            $("nav.fullscreen-nav ul.dropdown-menu").slideUp(200);
                        }
                    });
                } else {
                    popupMenuOpener.removeClass('fullscreen-button-open');
                    cdbTheme.body.removeClass('fullscreen-menu-is-open fullscreen-menu-on').addClass('fullscreen-menu-off');
                    cdbTheme.body.addClass(cssClass);
                    cdbTheme.modules.common.cdbThemeEnableScroll();

                    tl.timeScale(1.5).reverse();

                    $("nav.fullscreen-nav ul.dropdown-menu").slideUp(200);
                }
            });


            //logic for open sub menus in popup menu
            menuItemWithChild.on('tap click', function(e) {
                e.preventDefault();

                var thisItem = $(this),
	                thisItemParent = thisItem.parent(),
					thisItemParentSiblingsWithDrop = thisItemParent.siblings('.menu-item-has-children');

                if (thisItemParent.hasClass('has_sub')) {
	                var submenu = thisItemParent.find('> ul.dropdown-menu');
	
	                if (submenu.is(':visible')) {
		                submenu.slideUp(450, 'easeInOutQuint');
		                thisItemParent.removeClass('open_sub');
	                } else {
		                thisItemParent.addClass('open_sub');
		
		                if(thisItemParentSiblingsWithDrop.length === 0) {
			                submenu.slideDown(400, 'easeInOutQuint');
		                } else {
							thisItemParent.closest('li.menu-item').siblings().find('.menu-item').removeClass('open_sub');
			                thisItemParent.siblings().removeClass('open_sub').find('.dropdown-menu').slideUp(400, 'easeInOutQuint', function() {
				                submenu.slideDown(400, 'easeInOutQuint');
			                });
		                }
	                }
                }
                
                return false;
            });

            //if link has no submenu and if it's not dead, than open that link
            menuItemWithoutChild.on('click', function (e) {
                if(($(this).attr('href') !== "http://#") && ($(this).attr('href') !== "#")){
                    if (e.which === 1) {
                        popupMenuOpener.removeClass('fullscreen-button-opend');
                        cdbTheme.body.removeClass('fullscreen-menu-is-open');
                        cdbTheme.body.removeClass('fullscreen-menu-on').addClass('fullscreen-menu-off');
                        cdbTheme.body.addClass(cssClass);
                        $("nav.fullscreen-nav ul.dropdown-menu").slideUp(200);
                        cdbTheme.modules.common.cdbThemeEnableScroll();
                    }
                } else {
                    return false;
                }
            });
        }
    }

})(jQuery);
(function ($) {
	"use strict";
	
	var mobileHeader = {};
	cdbTheme.modules.mobileHeader = mobileHeader;
	
	mobileHeader.cdbThemeDocumentReady = cdbThemeDocumentReady;
	mobileHeader.cdbThemeWindowResize = cdbThemeWindowResize;
	
	$(document).ready(cdbThemeDocumentReady);
	$(window).resize(cdbThemeWindowResize);
	
	/*
		All functions to be called on $(document).ready() should be in this function
	*/
	function cdbThemeDocumentReady() {
		mobileNavigation();
		mobileNavigationScroll();
		mobileHeaderFixed();
	}
	
	/*
        All functions to be called on $(window).resize() should be in this function
    */
	function cdbThemeWindowResize() {
		mobileNavigationScroll();
	}
	
	function mobileNavigation() {
		var navigationOpener = $('.mobile-header .mobile-toggle-holder'),
			navigationHolder = $('.mobile-header .mobile-menu'),
			dropdownOpener = $('.mobile-menu .dropdown-arrow, .mobile-menu h6, .mobile-menu a.empty-link');
		
		//whole mobile menu opening / closing
		if (navigationOpener.length && navigationHolder.length) {
			navigationOpener.on('tap click', function (e) {
				e.stopPropagation();
				e.preventDefault();

                if (!navigationHolder.hasClass('is-open')) {
                    navigationHolder.addClass('is-open');
                    navigationOpener.addClass('active');
                } else {
                    navigationHolder.removeClass('is-open');
                    navigationOpener.removeClass('active');
                }

			});
		}
		
		//dropdown opening / closing
		if (dropdownOpener.length) {
			dropdownOpener.each(function () {
				var thisItem = $(this);
				
				thisItem.on('tap click', function (e) {
                    e.stopPropagation();
                    e.preventDefault();

					var thisItemParent = thisItem.parent('li'),
						thisItemParentSiblingsWithDrop = thisItemParent.siblings('.menu-item-has-children');
					
					if (thisItemParent.hasClass('has_sub')) {
						var submenu = thisItemParent.find('> ul.dropdown-menu');
						
						if (submenu.is(':visible')) {
							submenu.slideUp(450, 'easeInOutQuint');
							thisItemParent.removeClass('open');
						} else {
							thisItemParent.addClass('open');
							
							if (thisItemParentSiblingsWithDrop.length === 0) {
								thisItemParent.find('.dropdown-menu').slideUp(400, 'easeInOutQuint', function () {
									submenu.slideDown(400, 'easeInOutQuint');
								});
							} else {
								thisItemParent.siblings().removeClass('open').find('.dropdown-menu').slideUp(400, 'easeInOutQuint', function () {
									submenu.slideDown(400, 'easeInOutQuint');
								});
							}
						}
					}
				});
			});
		}
		
		$('.mobile-menu a, .mobile-site-logo a').on('click tap', function (e) {
			if ($(this).attr('href') !== 'http://#' && $(this).attr('href') !== '#') {
				navigationHolder.slideUp(450, 'easeInOutQuint');
				navigationOpener.removeClass("active");
			}
		});
	}
	
	function mobileNavigationScroll() {
		if (cdbTheme.windowWidth <= 1024) {
			var mobileHeader = $('.mobile-header'),
				mobileHeaderHeight = mobileHeader.length ? mobileHeader.height() : 0,
				navigationHolder = mobileHeader.find('.mobile-menu'),
				navigationHeight = navigationHolder.outerHeight(),
				windowHeight = cdbTheme.windowHeight - 73;

			//init scrollable menu
			var scrollHeight = windowHeight;

			navigationHolder.height(scrollHeight);
			if(navigationHolder.length) {
                cdbTheme.modules.common.cdbThemeInitPerfectScrollbar().init(navigationHolder);
            }
		}
	}
	
	function mobileHeaderFixed() {
		var mobileHeader = $('.mobile-header'),
			mobileMenuOpener = mobileHeader.find('.mobile-toggle-holder'),
			mobileHeaderHeight = mobileHeader.length ? mobileHeader.outerHeight() : 0;
		
		if (cdbTheme.body.hasClass('page-wrap-is-behind-header') && mobileHeaderHeight > 0 && cdbTheme.windowWidth <= 1024) {
			$('.page-wrap').css('marginTop', -mobileHeaderHeight);
		}
		
		if (cdbTheme.body.hasClass('mobile-header-sticky')) {
			var stickyAppearAmount,
				adminBar = $('#wpadminbar');
			
			var docYScroll1 = $(document).scrollTop();
			stickyAppearAmount = mobileHeaderHeight + theme_global_vars.vars.cdb_admin_bar;
			
			$(window).scroll(function () {
				var docYScroll2 = $(document).scrollTop();
				
				if (docYScroll2 > stickyAppearAmount) {
					mobileHeader.addClass('is-scrolled-down');
				} else {
					mobileHeader.removeClass('is-scrolled-down');
				}
				
				if ((docYScroll2 > docYScroll1 && docYScroll2 > stickyAppearAmount && !mobileMenuOpener.hasClass('active')) || (docYScroll2 < stickyAppearAmount)) {
					mobileHeader.removeClass('is-scrolled-up');
					mobileHeader.css('margin-bottom', 0);
					
					if (adminBar.length) {
						mobileHeader.find('.mobile-header-inner').css('top', 0);
					}
				} else {
					mobileHeader.addClass('is-scrolled-up');
					mobileHeader.css('margin-bottom', stickyAppearAmount);
				}
				
				docYScroll1 = $(document).scrollTop();
			});
		}
	}
	
})(jQuery);
(function($) {
    "use strict";

    var searchCoversHeader = {};
    cdbTheme.modules.searchCoversHeader = searchCoversHeader;

    searchCoversHeader.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    searchOverlayHeader();
    }
	
	/**
	 * Init Search Types
	 */
	function searchOverlayHeader() {
        if ( cdbTheme.body.hasClass( 'search-fit-header-on' ) ) {

            var searchOpener = $('a.search-button');

            if (searchOpener.length > 0) {
                searchOpener.each(function() {
                   var thisOpener = $(this);
                    thisOpener.on('click', function (e) {
                        e.preventDefault();

                        var thisSearchOpener = $(this),
                            searchFormHeight,
                            searchFormHeaderHolder = $('.main-header-wrapper'),
                            searchFormTopHeaderHolder = $('.top-bar'),
                            searchFormFixedHeaderHolder = searchFormHeaderHolder.find('.main-fixed-header.is-stuck'),
                            searchFormMobileHeaderHolder = $('.mobile-header'),
                            searchForm = $('.search-fit-header'),
                            searchFormIsInTopHeader = !!thisSearchOpener.parents('.top-bar').length,
                            searchFormIsInFixedHeader = !!thisSearchOpener.parents('.main-fixed-header.is-stuck').length,
                            searchFormIsInMobileHeader = !!thisSearchOpener.parents('.mobile-header').length;

                        searchForm.removeClass('is-open');

                        //Find search form position in header and height
                        if (searchFormIsInTopHeader) {
                            searchFormHeight = theme_global_vars.vars.top_bar_height;
                            searchFormTopHeaderHolder.find('.search-fit-header').addClass('is-open');

                        } else if (searchFormIsInFixedHeader) {
                            searchFormHeight = searchFormFixedHeaderHolder.outerHeight();
                            searchFormHeaderHolder.children('.search-fit-header').addClass('is-open');

                        } else if (searchFormIsInMobileHeader) {
                            if (searchFormMobileHeaderHolder.hasClass('is-scrolled-up')) {
                                searchFormHeight = searchFormMobileHeaderHolder.children('.mobile-header-inner').outerHeight();
                            } else {
                                searchFormHeight = searchFormMobileHeaderHolder.outerHeight();
                            }

                            searchFormMobileHeaderHolder.find('.search-fit-header').addClass('is-open');

                        } else {
                            searchFormHeight = searchFormHeaderHolder.outerHeight();
                            searchFormHeaderHolder.children('.search-fit-header').addClass('is-open');
                        }

                        if (searchForm.hasClass('is-open')) {
                            searchForm.height(searchFormHeight).stop(true).fadeIn(600).find('input[type="text"]').focus();
                        }

                        searchForm.find('.search-close-button').on('click', function (e) {
                            e.preventDefault();
                            searchForm.stop(true).fadeOut(450);
                        });

                        searchForm.blur(function () {
                            searchForm.stop(true).fadeOut(450);
                        });

                        $(window).scroll(function () {
                            searchForm.stop(true).fadeOut(450);
                        });
                    });
                });
            }
        }
	}

})(jQuery);

(function($) {
    "use strict";

    var searchSlideFromHB = {};
    cdbTheme.modules.searchSlideFromHB = searchSlideFromHB;

    searchSlideFromHB.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    showSearchBelowHeader();
    }
	
	/**
	 * Init Search Types
	 */
	function showSearchBelowHeader() {
        if ( cdbTheme.body.hasClass( 'show-below-header' ) ) {

            var searchOpener = $('a.search-button');

            if (searchOpener.length > 0) {
                //Check for type of search
                searchOpener.on('click', function (e) {
                    e.preventDefault();

                    var thisSearchOpener = $(this),
                        searchIconPosition = parseInt(cdbTheme.windowWidth - thisSearchOpener.offset().left - thisSearchOpener.outerWidth());

                    if (cdbTheme.body.hasClass('boxed-site-layout') && cdbTheme.windowWidth > 1024) {
                        searchIconPosition -= parseInt((cdbTheme.windowWidth - $('.boxed-site-layout .site-wrapper .site-container').outerWidth()) / 2);
                    }

                    var searchFormHeaderHolder = $('.main-header-wrapper'),
                        searchFormTopOffset = '100%',
                        searchFormTopHeaderHolder = $('.top-bar'),
                        searchFormFixedHeaderHolder = searchFormHeaderHolder.find('.main-fixed-header.is-stuck'),
                        searchFormMobileHeaderHolder = $('.mobile-header'),
                        searchForm = $('.top-search-wrapper'),
                        searchFormIsInTopHeader = !!thisSearchOpener.parents('.top-bar').length,
                        searchFormIsInFixedHeader = !!thisSearchOpener.parents('.main-fixed-header.is-stuck').length,
                        searchFormIsInMobileHeader = !!thisSearchOpener.parents('.mobile-header').length;

                    searchForm.removeClass('is-open');

                    //Find search form position in header and height
                    if (searchFormIsInTopHeader) {
                        searchFormTopHeaderHolder.find('.top-search-wrapper').addClass('is-open');

                    } else if (searchFormIsInFixedHeader) {
                        searchFormTopOffset = searchFormFixedHeaderHolder.outerHeight() + theme_global_vars.vars.cdb_admin_bar;
                        searchFormHeaderHolder.children('.top-search-wrapper').addClass('is-open');

                    } else if (searchFormIsInMobileHeader) {
                        if (searchFormMobileHeaderHolder.hasClass('is-scrolled-up')) {
                            searchFormTopOffset = searchFormMobileHeaderHolder.children('.mobile-header-inner').outerHeight() + theme_global_vars.vars.cdb_admin_bar;
                        }
                        searchFormMobileHeaderHolder.find('.top-search-wrapper').addClass('is-open');

                    } else {
                        searchFormHeaderHolder.children('.top-search-wrapper').addClass('is-open');
                    }

                    if (searchForm.hasClass('is-open')) {
                        searchForm.css({
                            'right': searchIconPosition,
                            'top': searchFormTopOffset
                        }).stop(true).slideToggle('600', 'swing');
                    }

                    //Close on escape
                    $(document).keyup(function (e) {
                        if (e.keyCode === 27) { //KeyCode for ESC button is 27
                            searchForm.stop(true).fadeOut(0);
                        }
                    });

                    $(window).scroll(function () {
                        searchForm.stop(true).fadeOut(0);
                    });
                });
            }
        }
	}

})(jQuery);

(function($) {
    'use strict';

    var portfolio = {};
    cdbTheme.modules.portfolio = portfolio;
	
    portfolio.cdbThemeWindowLoad = cdbThemeWindowLoad;
	
    $(window).load(cdbThemeWindowLoad);
	
	/*
	 All functions to be called on $(window).load() should be in this function
	 */
	function cdbThemeWindowLoad() {
		portfolioDetailsSticky().init();
        portfolioHoverFollowMousePointer();
	}
	
	var portfolioDetailsSticky = function () {
		var info = $('.portfolio-details-sticky .portfolio-single-content .portfolio-single-sticky-column');
		
		if (info.length) {
			var infoHolder = info.parent(),
				infoHolderOffset = infoHolder.offset().top,
				infoHolderHeight = infoHolder.height(),
				mediaHolder = $('.portfolio-single-gallery-wrap'),
				mediaHolderHeight = mediaHolder.height(),
				header = $('.header-appear, .main-fixed-header'),
				headerHeight = (header.length) ? header.height() : 0,
				constant = 30; //30 to prevent mispositioned
		}
		
		var infoHolderPosition = function () {
			if (info.length && mediaHolderHeight >= infoHolderHeight) {
				if (cdbTheme.scroll >= infoHolderOffset - headerHeight - theme_global_vars.vars.cdb_admin_bar - constant) {
					var marginTop = cdbTheme.scroll - infoHolderOffset + theme_global_vars.vars.cdb_admin_bar + headerHeight + constant;
					// if scroll is initially positioned below mediaHolderHeight
					if (marginTop + infoHolderHeight > mediaHolderHeight) {
						marginTop = mediaHolderHeight - infoHolderHeight + constant;
					}
					info.stop().css({
						top: marginTop
					});
				}
			}
		};
		
		var recalculateInfoHolderPosition = function () {
			if (info.length && mediaHolderHeight >= infoHolderHeight) {
				//Calculate header height if header appears
				if (cdbTheme.scroll > 0 && header.length) {
					headerHeight = header.height();
				}
				
				if (cdbTheme.scroll >= infoHolderOffset - headerHeight - theme_global_vars.vars.cdb_admin_bar - constant) {
					if (cdbTheme.scroll + headerHeight + theme_global_vars.vars.cdb_admin_bar + constant + infoHolderHeight < infoHolderOffset + mediaHolderHeight) {
						info.stop().css({
							top: (cdbTheme.scroll - infoHolderOffset + theme_global_vars.vars.cdb_admin_bar + headerHeight + constant)
						});
						//Reset header height
						headerHeight = 0;
					} else {
						info.stop().css({
							top: mediaHolderHeight - infoHolderHeight
						});
					}
				} else {
					info.stop().css({
						top: 0
					});
				}
			}
		};
		
		return {
			init: function () {
				infoHolderPosition();
				$(window).scroll(function () {
					recalculateInfoHolderPosition();
				});
			}
		};
	};

    function portfolioHoverFollowMousePointer() {
        var portList = $('.style-float-details');

        if (portList.length) {
            cdbTheme.body.append('<div class="portfolio-caption-float-wrap">' +
                '<div class="portfolio-caption-float">' +
                '<span class="p-caption-categories"></span>' +
                '<span class="p-caption-title">Title</span>' +
                '</div>' +
                '</div>');

            var followInfoHolder = $('.portfolio-caption-float-wrap'),
                followInfoCategory = followInfoHolder.find('.p-caption-categories'),
                followInfoTitle = followInfoHolder.find('.p-caption-title');

            portList.each(function () {
                var thisPortList = $(this);

                if(thisPortList.hasClass('portfolio-caption-dark')) {
                    followInfoHolder.addClass('portfolio-caption-dark-info');
                }

                //info element position
                thisPortList.on('mousemove', function (e) {
                    followInfoHolder.css({
                        top: e.clientY,
                        left: e.clientX
                    });
                });

                //show/hide info element
                thisPortList.find('.portfolio-item').on('mouseenter', function () {
                    var thisArticleItem = $(this),
                        thisArticleItemTitle = thisArticleItem.find('.portfolio-item-title'),
                        thisArticleItemCategories = thisArticleItem.find('.portfolio-cat');

                    if(thisArticleItemCategories.length) {
                        thisArticleItemCategories.each(function(){
                            var thisArticleItemCategory = $(this);
                            followInfoCategory.append('<span class="portfolio-caption-category">' + thisArticleItemCategory.text() + '</span>');
                        });
                    }

                    if(thisArticleItemTitle.length) {
                        followInfoTitle.text(thisArticleItemTitle.text());
                    }

                    if (!followInfoHolder.hasClass('active')) {
                        followInfoHolder.addClass('active');
                    }

                }).on('mouseleave', function () {
                    if (followInfoHolder.hasClass('active')) {
                        followInfoHolder.removeClass('active');
                    }
                    $('.portfolio-caption-category').remove();
                });

                //check if info element is below or above the targeted portfolio list
                $(window).scroll(function(){
                    if (followInfoHolder.hasClass('active')) {
                        if (followInfoHolder.offset().top < thisPortList.offset().top || followInfoHolder.offset().top > thisPortList.offset().top + thisPortList.outerHeight()) {
                            followInfoHolder.removeClass('active');
                        }
                    }
                });
            });
        }
    }

})(jQuery);
(function($) {
    'use strict';
	
	var accordions = {};
	cdbTheme.modules.accordions = accordions;
	
	accordions.codebeanAccordions = codebeanAccordions;
	
	
	accordions.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		codebeanAccordions();
	}
	
	/**
	 * Init accordions shortcode
	 */
	function codebeanAccordions(){
		var accordion = $('.accordion-wrap');
		
		if(accordion.length){
			accordion.each(function(){
				var thisAccordion = $(this);

				if(thisAccordion.hasClass('type-accordion')){
					thisAccordion.accordion({
						animate: "swing",
						collapsible: true,
						active: 0,
						icons: "",
						heightStyle: "content"
					});
				}

				if(thisAccordion.hasClass('type-toggle')){
					var toggleAccordion = $(this),
						toggleAccordionTitle = toggleAccordion.find('.title-wrap'),
						toggleAccordionContent = toggleAccordionTitle.next();

					toggleAccordion.addClass("accordion ui-accordion ui-accordion-icons ui-widget ui-helper-reset");
					toggleAccordionTitle.addClass("ui-accordion-header ui-state-default ui-corner-top ui-corner-bottom");
					toggleAccordionContent.addClass("ui-accordion-content ui-helper-reset ui-widget-content ui-corner-bottom").hide();

					toggleAccordionTitle.each(function(){
						var thisTitle = $(this);
						
						thisTitle.hover(function(){
							thisTitle.toggleClass("ui-state-hover");
						});

						thisTitle.on('click',function(){
							thisTitle.toggleClass('ui-accordion-header-active ui-state-active ui-state-default ui-corner-bottom');
							thisTitle.next().toggleClass('ui-accordion-content-active').slideToggle(400);
						});
					});
				}
			});
		}
	}

})(jQuery);
(function($) {
	'use strict';
	
	var animationHolder = {};
	cdbTheme.modules.animationHolder = animationHolder;
	
	animationHolder.animationBox = animationBox;
	
	
	animationHolder.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		animationBox();
	}
	
	/*
	 *	Init animation holder shortcode
	 */
	function animationBox(){
		var elements = $('.zoomIn, .fadeInDown, .fadeIn, .fadeInLeft, .fadeInRight, .fadeInUp, .fadeInDown, .flipIn, .rotateX, .rotateZ, .translateY, .cdb-fade-in, .leftRotateX'),
			animationClass,
			animationData,
			animationDelay;
		
		if(elements.length){
			elements.each(function(){
				var thisElement = $(this);
				
				thisElement.appear(function() {
					animationData = thisElement.data('animation-type');
					animationDelay = parseInt(thisElement.data('animation-delay'));
					
					if(typeof animationData !== 'undefined' && animationData !== '') {
						animationClass = animationData;
						var newClass = 'in-view';
						
						setTimeout(function(){
							thisElement.addClass(newClass);
						},animationDelay);
					}
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
})(jQuery);
(function ($) {
	'use strict';

	var button = {};
	cdbTheme.modules.button = button;

	button.codeBeanButton = codeBeanButton;


	button.cdbThemeDocumentReady = cdbThemeDocumentReady;

	$(document).ready(cdbThemeDocumentReady);

	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		codeBeanButton().init();
	}

	/**
	 * Button object that initializes whole button functionality
	 * @type {Function}
	 */
	var codeBeanButton = function () {
		//all buttons on the page
		var buttons = $('.btn');

		/**
		 * Initializes button hover color
		 * @param button current button
		 */
		var buttonHoverColor = function (button) {
			if (typeof button.data('hover-color') !== 'undefined') {
				var changeButtonColor = function (event) {
					event.data.button.css('color', event.data.color);
				};

				var originalColor = button.css('color');
				var hoverColor = button.data('hover-color');

				button.on('mouseenter', { button: button, color: hoverColor }, changeButtonColor);
				button.on('mouseleave', { button: button, color: originalColor }, changeButtonColor);
			}
		};

		/**
		 * Initializes button hover background color
		 * @param button current button
		 */
		var buttonHoverBgColor = function (button) {
			if (typeof button.data('hover-bg-color') !== 'undefined') {
				var changeButtonBg = function (event) {
					event.data.button.css('background-color', event.data.color);
				};

				var originalBgColor = button.css('background-color');
				var hoverBgColor = button.data('hover-bg-color');

				button.on('mouseenter', { button: button, color: hoverBgColor }, changeButtonBg);
				button.on('mouseleave', { button: button, color: originalBgColor }, changeButtonBg);
			}
		};

		/**
		 * Initializes button border color
		 * @param button
		 */
		var buttonHoverBorderColor = function (button) {
			if (typeof button.data('hover-border-color') !== 'undefined') {
				var changeBorderColor = function (event) {
					event.data.button.css('border-color', event.data.color);
				};

				var originalBorderColor = button.css('borderTopColor'); //take one of the four sides
				var hoverBorderColor = button.data('hover-border-color');

				button.on('mouseenter', { button: button, color: hoverBorderColor }, changeBorderColor);
				button.on('mouseleave', { button: button, color: originalBorderColor }, changeBorderColor);
			}
		};

		return {
			init: function () {
				if (buttons.length) {
					buttons.not('.btn-solid').each(function () {
						buttonHoverColor($(this));
						buttonHoverBgColor($(this));
						buttonHoverBorderColor($(this));
					});
				}
			}
		};
	};

})(jQuery);
(function($) {
    'use strict';

    var cascadingimages = {};
    cdbTheme.modules.cascadingimages = cascadingimages;

    cascadingimages.cdbThemeDocumentReady = cdbThemeDocumentReady;
    cascadingimages.cascadingImages = cascadingImages;

    $(document).ready(cdbThemeDocumentReady);

    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        cascadingImages();
    }

    /**
     * Floating Images Calcs
     */
    function cascadingImages() {
        var fiShortcodes = $('.cdb-cascading-images');

        if (fiShortcodes.length) {
            var getProps = function(image) {
                image
                    .data('c', image.prop('naturalWidth')/image.prop('naturalHeight'))
                    .data('w', image.attr('data-width') ? parseInt(image.attr('data-width')) : 100)
                    .data('x', image.attr('data-x') ? image.attr('data-x') : 0)
                    .data('y', image.attr('data-y') ? image.attr('data-y') : 0);
            };
        
            var setSizes = function(image, holder) {
                image.css({
                    'width': image.data('w')/100*holder.width(),
                    'height': image.data('w')/100*holder.width()/image.data('c')
                });
            };
        
            var holderCalcs = function(holder, inner, mainImg, auxImg) {
                var mainW = mainImg.data('w')/100*holder.width(),
                    mainH = mainW/mainImg.data('c'),
                    auxY = parseInt(auxImg.data('y')),
                    auxX = parseInt(auxImg.data('x')),
                    auxWCorr = auxImg.width() + Math.abs(auxX)*mainImg.width()/100,
                    auxHCorr = auxImg.height() + Math.abs(auxY)*mainImg.height()/100;
        
                var widthVal =  mainW > auxWCorr ? mainW : auxWCorr,
                    heightVal = mainH > auxHCorr ? mainH : auxHCorr;

                inner.css({
                    'height': heightVal,
                    'width': widthVal
                });

                if (auxY > 0) {
                    mainImg.css({'top': 0});
                    auxImg.css({'top': auxY/100*mainH});
                } else {
                    mainImg.css({'bottom': 0});
                    auxImg.css({'bottom': Math.abs(auxY)/100*mainH});
                }
                if (auxX > 0) {
                    mainImg.css({'left': 0});
                    auxImg.css({'left': auxX/100*mainW});
                } else {
                    mainImg.css({'right': 0});
                    auxImg.css({'right': Math.abs(auxX)/100*mainW});
                }
            };
        
            fiShortcodes.each(function() {
                var holder = $(this),
                    inner = holder.find('.inner'),
                    mainImg = holder.find('.primary-image'),
                    auxImg = holder.find('.secondary-image');
            
                holder.waitForImages(function(){
                    getProps(mainImg);
                    getProps(auxImg);
                    setSizes(mainImg, holder);
                    setSizes(auxImg, holder);
                    holderCalcs(holder, inner, mainImg, auxImg);
                });
        
                $(window).on('resize', function() {
                    setSizes(mainImg, holder);
                    setSizes(auxImg, holder);
                    holderCalcs(holder, inner, mainImg, auxImg);
                });
            });
        }
    }
})(jQuery);

(function($) {
	'use strict';
	
	var countdown = {};
	cdbTheme.modules.countdown = countdown;
	
	countdown.codebeanCountDown = codebeanCountDown;
	
	
	countdown.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		codebeanCountDown();
	}

    var countDownInView = function(el) {
        setTimeout(function(){
            el.appear(function(){
                el.addClass('in-view');
            },{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
        },30);
    };
	
	/**
	 * Countdown Shortcode
	 */
	function codebeanCountDown() {
		var countdowns = $('.cdb-countdown-wrap');
		
		if (countdowns.length) {
			countdowns.each(function(){
                var _this = $(this),
                    date = _this.data('date'),
                    onfinishHtml = _this.data('finish-text'),
                    html = _this.find('.dfd-countdown-html').html();

                _this.find('.dfd-countdown-html').remove();

                countDownInView(_this);

                _this.countdown(date).on('update.countdown', function (event) {
                    $(this).html(event.strftime(html));
                }).on('finish.countdown', function () {
                    $(this).html(onfinishHtml);
                });
			});
		}
	}
	
})(jQuery);
(function($) {
	'use strict';
	
	var counter = {};
	cdbTheme.modules.counter = counter;
	
	counter.counterElement = counterElement;
	
	
	counter.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		counterElement();
	}
	
	/**
	 * Counter Shortcode
	 */
	function counterElement() {
		var counterHolder = $('.stat-counter');
		
		if (counterHolder.length) {
			counterHolder.each(function() {
				var thisCounterHolder = $(this),
					thisCounter = thisCounterHolder.find('.fact-number');
				
				thisCounterHolder.appear(function() {
					thisCounterHolder.css('opacity', '1');
					
					//Counter zero type
					if (thisCounter.hasClass('default-counter')) {
						var max = parseFloat(thisCounter.text());
						thisCounter.countTo({
							from: 0,
							to: max,
							speed: 1500,
							refreshInterval: 100
						});
					} else {
						thisCounter.absoluteCounter({
							speed: 2000,
							fadeInDelay: 1000
						});
					}
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
})(jQuery);
(function ($) {
	'use strict';
	
	var customFont = {};
	cdbTheme.modules.customFont = customFont;
	
	customFont.customHeadingFontSizes = customHeadingFontSizes;
	customFont.customHeadingAutoType = customHeadingAutoType;
	
	
	customFont.cdbThemeDocumentReady = cdbThemeDocumentReady;
	customFont.cdbThemeWindowLoad = cdbThemeWindowLoad;
	
	$(document).ready(cdbThemeDocumentReady);
	$(window).load(cdbThemeWindowLoad);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		customHeadingFontSizes();
	}
	
	/*
	 All functions to be called on $(window).load() should be in this function
	 */
	function cdbThemeWindowLoad() {
		customHeadingAutoType();
	}
	
	/*
	 **	Custom Font resizing style
	 */
	function customHeadingFontSizes() {
		var holder = $('.custom-heading');
		
		if (holder.length) {
			holder.each(function () {
				var thisItem = $(this),
					itemClass = '',
					smallLaptopStyle = '',
					ipadLandscapeStyle = '',
					ipadPortraitStyle = '',
					mobileLandscapeStyle = '',
					style = '',
					responsiveStyle = '';
				
				if (typeof thisItem.data('selector') !== 'undefined' && thisItem.data('selector') !== false) {
					itemClass = thisItem.data('selector');
				}
				
				if (typeof thisItem.data('font-size-1366') !== 'undefined' && thisItem.data('font-size-1366') !== false) {
					smallLaptopStyle += 'font-size: ' + thisItem.data('font-size-1366') + ' !important;';
				}
				if (typeof thisItem.data('font-size-1024') !== 'undefined' && thisItem.data('font-size-1024') !== false) {
					ipadLandscapeStyle += 'font-size: ' + thisItem.data('font-size-1024') + ' !important;';
				}
				if (typeof thisItem.data('font-size-768') !== 'undefined' && thisItem.data('font-size-768') !== false) {
					ipadPortraitStyle += 'font-size: ' + thisItem.data('font-size-768') + ' !important;';
				}
				if (typeof thisItem.data('font-size-680') !== 'undefined' && thisItem.data('font-size-680') !== false) {
					mobileLandscapeStyle += 'font-size: ' + thisItem.data('font-size-680') + ' !important;';
				}
				
				if (typeof thisItem.data('line-height-1366') !== 'undefined' && thisItem.data('line-height-1366') !== false) {
					smallLaptopStyle += 'line-height: ' + thisItem.data('line-height-1366') + ' !important;';
				}
				if (typeof thisItem.data('line-height-1024') !== 'undefined' && thisItem.data('line-height-1024') !== false) {
					ipadLandscapeStyle += 'line-height: ' + thisItem.data('line-height-1024') + ' !important;';
				}
				if (typeof thisItem.data('line-height-768') !== 'undefined' && thisItem.data('line-height-768') !== false) {
					ipadPortraitStyle += 'line-height: ' + thisItem.data('line-height-768') + ' !important;';
				}
				if (typeof thisItem.data('line-height-680') !== 'undefined' && thisItem.data('line-height-680') !== false) {
					mobileLandscapeStyle += 'line-height: ' + thisItem.data('line-height-680') + ' !important;';
				}
				
				if (smallLaptopStyle.length || ipadLandscapeStyle.length || ipadPortraitStyle.length || mobileLandscapeStyle.length) {
					
					if (smallLaptopStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 1366px) {.custom-heading." + itemClass + " { " + smallLaptopStyle + " } }";
					}
					if (ipadLandscapeStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 1024px) {.custom-heading." + itemClass + " { " + ipadLandscapeStyle + " } }";
					}
					if (ipadPortraitStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 768px) {.custom-heading." + itemClass + " { " + ipadPortraitStyle + " } }";
					}
					if (mobileLandscapeStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 680px) {.custom-heading." + itemClass + " { " + mobileLandscapeStyle + " } }";
					}
				}
				
				if (responsiveStyle.length) {
					style = '<style type="text/css">' + responsiveStyle + '</style>';
				}
				
				if (style.length) {
					$('head').append(style);
				}
			});
		}
	}
	
	/*
	 * Init Type out functionality for Custom Font shortcode
	 */
	function customHeadingAutoType() {
		var autotype_text = $('.autotype-entries');
		
		if (autotype_text.length) {
			autotype_text.each(function () {
				
				//vars
				var thisTyped = $(this),
					typedWrap = thisTyped.parent('.autotype-wrap'),
					customFontHolder = typedWrap.parent('.custom-heading'),
					str = [],
					string_1 = thisTyped.find('.autotype-entry-1').text(),
					string_2 = thisTyped.find('.autotype-entry-2').text(),
					string_3 = thisTyped.find('.autotype-entry-3').text(),
					string_4 = thisTyped.find('.autotype-entry-4').text();
				
				if (string_1.length) {
					str.push(string_1);
				}
				
				if (string_2.length) {
					str.push(string_2);
				}
				
				if (string_3.length) {
					str.push(string_3);
				}
				
				if (string_4.length) {
					str.push(string_4);
				}
				
				customFontHolder.appear(function () {
					thisTyped.typed({
						strings: str,
						typeSpeed: 90,
						backDelay: 700,
						loop: true,
						contentType: 'text',
						loopCount: false,
						cursorChar: '_'
					});
				}, {accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
})(jQuery);
(function($) {
    'use strict';

    var fullscreenCarousel = {};
    cdbTheme.modules.fullscreenCarousel = fullscreenCarousel;

    fullscreenCarousel.fullScreenCarousel = fullScreenCarousel;

    fullscreenCarousel.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);

    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        fullScreenCarousel();
    }

    /**
     * Init Fullscreen Carousel shortcode
     */
    function fullScreenCarousel() {
        var fullscreenCarousels = $('.fullscreen-carousel-wrap');

        if (fullscreenCarousels.length) {
            fullscreenCarousels.each(function(){
                var fullscreenCarousel = $(this),
                    items = fullscreenCarousel.find('.carousel-item'),
                    images = fullscreenCarousel.find('.carousel-background'),
                    nextTrigger = fullscreenCarousel.find('.carousel-next-trigger'),
                    mouseXBuffer;

                //fullscreen calcs
                var fullscreenCalcs = function() {
                    var heightVal = cdbTheme.windowHeight - fullscreenCarousel.offset().top;

                    if (cdbTheme.body.hasClass('site-borders-on')) {
                        var passepartoutSize = parseInt($('.site-wrapper').css('padding-top'));

                        heightVal -= passepartoutSize;
                    }

                    fullscreenCarousel.css('height', heightVal);
                }

                //item classes setup
                var prepItems = function() {
                    items.first().addClass('active').find('> div').css('transition','none');
                    fullscreenCarousel.css('visibility','visible');
                    setTimeout(function(){
                        items.filter('.active').next().addClass('next-item');
                    }, 200);
                }

                //slideshow logic start
                var startAnimating = function() {
                    fullscreenCarousel.addClass('is-loading');
                }

                var endAnimating = function() {
                    updateNav();

                    items.filter('.active').one(cdbTheme.transitionEnd,function(){
                        fullscreenCarousel.removeClass('is-loading');
                    });
                }

                var changeItem = function() {
                    startAnimating(); //before change

                    var nextIndex;

                    //loop
                    if (items.filter('.active').data('index') < items.length) {
                        nextIndex = items.filter('.active').next().data('index') - 1;
                    } else {
                        nextIndex = 0;
                    }

                    items.find('> div').removeAttr('style');
                    items.removeClass('previous-item');
                    items.filter('.active').addClass('previous-item');
                    items.removeClass('active next-item');
                    items.eq(nextIndex).addClass('active');
                    if (nextIndex < items.length - 1) {
                        items.filter('.active').next().addClass('next-item');
                    } else {
                        items.first().addClass('next-item');
                    }

                    endAnimating(); //after change
                }
                //slideshow logic end

                //change on click
                var slideshowTrigger = function() {
                    nextTrigger.on('click', function(e){
                        if (!fullscreenCarousel.hasClass('is-loading')) {
                            changeItem();         
                        }           
                    });

                    nextTrigger.on('mouseenter', function(){
                        fullscreenCarousel.addClass('hovered');
                    }).on('mouseleave', function(){
                        fullscreenCarousel.removeClass('hovered');
                    });
                }

                //change on scroll
                var slideshowScroll = function() {
                    if (fullscreenCarousel.hasClass('slide-on-scroll') && !cdbTheme.htmlEl.hasClass('touch')) {
                        var delta = 0;

                        fullscreenCarousel.mousewheel(function(e) {
                            e.preventDefault();

                            if (!fullscreenCarousel.hasClass('is-loading')) {
                                if (e.deltaY < 0) {
                                    delta = -1;
                                } else {
                                    delta = 1;
                                }

                                if (delta == -1 ) {
                                    changeItem();
                                }
                            }
                        });

                        fullscreenCarousel.on('wheel', function() { return false; });
                    }
                }

                //update indicators
                var updateNav = function() {
                    if (fullscreenCarousel.hasClass('indicators-active')) {
                        var bullets = fullscreenCarousel.find('.carousel-indicator'),
                            activeIndex = items.filter('.active').data('index') - 1;

                        bullets.removeClass('active');
                        bullets.eq(activeIndex).addClass('active');
                    }
                }

                //init
                fullscreenCarousel.waitForImages(function(){
                    fullscreenCalcs();
                    prepItems();
                    slideshowTrigger();
                    slideshowScroll();
                    updateNav();
                });

                $(window).resize(function(){
                    fullscreenCalcs();
                });
            });
        }
    }
})(jQuery);

(function($) {
	'use strict';
	
	var googleMap = {};
	cdbTheme.modules.googleMap = googleMap;
	
	googleMap.showGoogleMap = showGoogleMap;
	
	
	googleMap.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		showGoogleMap();
	}
	
	/*
	 **	Show Google Map
	 */
	function showGoogleMap(){
		var googleMap = $('.google-map-inner');
		
		if(googleMap.length){
			googleMap.each(function(){
				var element = $(this);
				
				var snazzyMapStyle = false;
				var snazzyMapCode  = '';
				if(typeof element.data('predefined-map-style') !== 'undefined' && element.data('predefined-map-style') === 'yes') {
					snazzyMapStyle = true;
					var snazzyMapHolder = element.parent().find('.predefined-map-style'),
						snazzyMapCodes  = snazzyMapHolder.val();
					
					if( snazzyMapHolder.length && snazzyMapCodes.length ) {
						snazzyMapCode = JSON.parse( snazzyMapCodes.replace(/`{`/g, '[').replace(/`}`/g, ']').replace(/``/g, '"').replace(/`/g, '') );
					}
				}
				
				var customMapStyle;
				if(typeof element.data('custom-map-style') !== 'undefined') {
					customMapStyle = element.data('custom-map-style');
				}
				
				var colorOverlay;
				if(typeof element.data('color-overlay') !== 'undefined' && element.data('color-overlay') !== false) {
					colorOverlay = element.data('color-overlay');
				}
				
				var saturation;
				if(typeof element.data('saturation') !== 'undefined' && element.data('saturation') !== false) {
					saturation = element.data('saturation');
				}
				
				var lightness;
				if(typeof element.data('lightness') !== 'undefined' && element.data('lightness') !== false) {
					lightness = element.data('lightness');
				}
				
				var zoom;
				if(typeof element.data('zoom') !== 'undefined' && element.data('zoom') !== false) {
					zoom = element.data('zoom');
				}
				
				var pin;
				if(typeof element.data('map-marker') !== 'undefined' && element.data('map-marker') !== false) {
					pin = element.data('map-marker');
				}
				
				var mapHeight;
				if(typeof element.data('height') !== 'undefined' && element.data('height') !== false) {
					mapHeight = element.data('height');
				}
				
				var uniqueId;
				if(typeof element.data('unique-id') !== 'undefined' && element.data('unique-id') !== false) {
					uniqueId = element.data('unique-id');
				}
				
				var scrollWheel;
				if(typeof element.data('scroll-wheel') !== 'undefined') {
					scrollWheel = element.data('scroll-wheel');
				}
				var addresses;
				if(typeof element.data('location') !== 'undefined' && element.data('location') !== false) {
					addresses = element.data('location');
				}
				
				var map = "map_"+ uniqueId;
				var geocoder = "geocoder_"+ uniqueId;
				var holderId = "cdb-map-"+ uniqueId;
				
				googleMapInitialize(snazzyMapStyle, snazzyMapCode, customMapStyle, colorOverlay, saturation, lightness, scrollWheel, zoom, holderId, mapHeight, pin,  map, geocoder, addresses);
			});
		}
	}
	
	/*
	 **	Init Google Map
	 */
	function googleMapInitialize(snazzyMapStyle, snazzyMapCode, customMapStyle, color, saturation, lightness, wheel, zoom, holderId, height, pin,  map, geocoder, data){
		
		if(typeof google !== 'object') {
			return;
		}
		
		var mapStyles = [];
		if(snazzyMapStyle && snazzyMapCode.length) {
			mapStyles = snazzyMapCode;
		} else {
			mapStyles = [
				{
					stylers: [
						{hue: color },
						{saturation: saturation},
						{lightness: lightness},
						{gamma: 1}
					]
				}
			];
		}
		
		var googleMapStyleId;
		
		if(snazzyMapStyle || customMapStyle === 'yes'){
			googleMapStyleId = 'custom-style';
		} else {
			googleMapStyleId = google.maps.MapTypeId.ROADMAP;
		}
		
		wheel = wheel === 'yes';
		
		var qoogleMapType = new google.maps.StyledMapType(mapStyles, {name: "Google Map"});
		
		geocoder = new google.maps.Geocoder();
		var latlng = new google.maps.LatLng(-34.397, 150.644);
		
		if (!isNaN(height)){
			height = height + 'px';
		}
		
		var myOptions = {
			zoom: zoom,
			scrollwheel: wheel,
			center: latlng,
			zoomControl: true,
			zoomControlOptions: {
				style: google.maps.ZoomControlStyle.SMALL,
				position: google.maps.ControlPosition.RIGHT_CENTER
			},
			scaleControl: false,
			scaleControlOptions: {
				position: google.maps.ControlPosition.LEFT_CENTER
			},
			streetViewControl: false,
			streetViewControlOptions: {
				position: google.maps.ControlPosition.LEFT_CENTER
			},
			panControl: false,
			panControlOptions: {
				position: google.maps.ControlPosition.LEFT_CENTER
			},
			mapTypeControl: false,
			mapTypeControlOptions: {
				mapTypeIds: [google.maps.MapTypeId.ROADMAP, 'custom-style'],
				style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR,
				position: google.maps.ControlPosition.LEFT_CENTER
			},
			mapTypeId: googleMapStyleId
		};
		
		map = new google.maps.Map(document.getElementById(holderId), myOptions);
		map.mapTypes.set('custom-style', qoogleMapType);
		
		var index;
		
		for (index = 0; index < data.length; ++index) {
			googleMapLocation(data[index], pin, map, geocoder);
		}
		
		var holderElement = document.getElementById(holderId);
		holderElement.style.height = height;
	}
	
	/*
	 **	Init Google Map Addresses
	 */
	function googleMapLocation(data, pin, map, geocoder){
		if (data === '') {
			return;
		}
		
		var contentString = '<div id="content">'+
			'<div id="siteNotice">'+
			'</div>'+
			'<div id="bodyContent">'+
			'<p>'+data+'</p>'+
			'</div>'+
			'</div>';
		
		var infowindow = new google.maps.InfoWindow({
			content: contentString
		});
		
		geocoder.geocode( { 'address': data}, function(results, status) {
			if (status === google.maps.GeocoderStatus.OK) {
				map.setCenter(results[0].geometry.location);
				var marker = new google.maps.Marker({
					map: map,
					position: results[0].geometry.location,
                    animation: google.maps.Animation.DROP,
					icon:  pin,
					title: data.store_title,
                    optimized: false
				});
				google.maps.event.addListener(marker, 'click', function() {
					infowindow.open(map,marker);
				});
				
				google.maps.event.addDomListener(window, 'resize', function() {
					map.setCenter(results[0].geometry.location);
				});
			}
		});
	}
	
})(jQuery);
(function($) {
	'use strict';
	
	var icon = {};
	cdbTheme.modules.icon = icon;
	
	icon.codeBeanIcon = codeBeanIcon;
	
	
	icon.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		codeBeanIcon().init();
	}
	
	/**
	 * Object that represents icon shortcode
	 * @returns {{init: Function}} function that initializes icon's functionality
	 */
	var codeBeanIcon = function() {
		var icons = $('.cdb-icon-shortcode');
		
		/**
		 * Function that triggers icon animation and icon animation delay
		 */
		var iconAnimation = function(icon) {
			if(icon.hasClass('cdb-icon-animation')) {
				icon.appear(function() {
					icon.parent('.icon-animate').addClass('icon-in-view');
				}, {accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			}
		};
		
		/**
		 * Function that triggers icon hover color functionality
		 */
		var iconHoverColor = function(icon) {
			if(typeof icon.data('hover-color') !== 'undefined') {
				var changeIconColor = function(event) {
					event.data.icon.css('color', event.data.color);
				};
				
				var iconElement = icon.find('.cdb-icon-element');
				var hoverColor = icon.data('hover-color');
				var originalColor = iconElement.css('color');
				
				if(hoverColor !== '') {
					icon.on('mouseenter', {icon: iconElement, color: hoverColor}, changeIconColor);
					icon.on('mouseleave', {icon: iconElement, color: originalColor}, changeIconColor);
				}
			}
		};
		
		/**
		 * Function that triggers icon holder background color hover functionality
		 */
		var iconHolderBackgroundHover = function(icon) {
			if(typeof icon.data('hover-background-color') !== 'undefined') {
				var changeIconBgColor = function(event) {
					event.data.icon.css('background-color', event.data.color);
				};
				
				var hoverBackgroundColor = icon.data('hover-background-color');
				var originalBackgroundColor = icon.css('background-color');
				
				if(hoverBackgroundColor !== '') {
					icon.on('mouseenter', {icon: icon, color: hoverBackgroundColor}, changeIconBgColor);
					icon.on('mouseleave', {icon: icon, color: originalBackgroundColor}, changeIconBgColor);
				}
			}
		};
		
		/**
		 * Function that initializes icon holder border hover functionality
		 */
		var iconHolderBorderHover = function(icon) {
			if(typeof icon.data('hover-border-color') !== 'undefined') {
				var changeIconBorder = function(event) {
					event.data.icon.css('border-color', event.data.color);
				};
				
				var hoverBorderColor = icon.data('hover-border-color');
				var originalBorderColor = icon.css('borderTopColor');
				
				if(hoverBorderColor !== '') {
					icon.on('mouseenter', {icon: icon, color: hoverBorderColor}, changeIconBorder);
					icon.on('mouseleave', {icon: icon, color: originalBorderColor}, changeIconBorder);
				}
			}
		};
		
		return {
			init: function() {
				if(icons.length) {
					icons.each(function() {
						iconAnimation($(this));
						iconHoverColor($(this));
						iconHolderBackgroundHover($(this));
						iconHolderBorderHover($(this));
					});
				}
			}
		};
	};
	
})(jQuery);
(function($) {
	'use strict';
	
	var iconListItem = {};
	cdbTheme.modules.iconListItem = iconListItem;
	
	iconListItem.cdbIconList = cdbIconList;
	
	
	iconListItem.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		cdbIconList().init();
	}
	
	/**
	 * Button object that initializes icon list with animation
	 * @type {Function}
	 */
	var cdbIconList = function() {
		var iconList = $('.animate-list');
		
		/**
		 * Initializes icon list animation
		 * @param list current slider
		 */
		var iconListInit = function(list) {
			setTimeout(function(){
				list.appear(function(){
					list.addClass('in-view');
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			},30);
		};
		
		return {
			init: function() {
				if(iconList.length) {
					iconList.each(function() {
						iconListInit($(this));
					});
				}
			}
		};
	};
	
})(jQuery);
(function($) {
    'use strict';

    var tripleFrameImageHighlight = {};
    cdbTheme.modules.tripleFrameImageHighlight = tripleFrameImageHighlight;

    tripleFrameImageHighlight.cdbThemeDocumentReady = cdbThemeDocumentReady;
    tripleFrameImageHighlight.frameImageSlider = frameImageSlider;

    $(document).ready(cdbThemeDocumentReady);

    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        frameImageSlider();
    }

    /**
     * Image Frame Slider
     */
    function frameImageSlider() {
        var tfihShortcodes = $('.frame-slider');

        if (tfihShortcodes.length) {
            var initClasses = function(c, l, r) {
                c.addClass('center');
                l.addClass('left');
                r.addClass('right');
            }

            var resetIndexes = function(c, l, r) {
                c.css('z-index', 30);
                l.css('z-index', 20);
                r.css('z-index', 20);
            }

            var setTriggerSize = function(holder,inner) {
                holder.find('div[class*="trigger"]').width(Math.round(inner.position().left));
            }

            var setPositioning = function(holder, inner) {
                var left = holder.find('.left'),
                    right = holder.find('.right'),
                    centered = holder.find('.center');

                var xOffset = inner.position().left;

                left.css({
                    'visibility': 'visible',
                    'transform-origin': '0% 50%',
                    'transform': 'matrix(.68,0,0,.68,-'+xOffset+',0)'
                });
                right.css({
                    'visibility': 'visible',
                    'transform-origin': '100% 50%',
                    'transform': 'matrix(.68,0,0,.68,'+xOffset+',0)'
                });
                centered.css({
                    'transform': 'matrix(1, 0, 0, 1, 0, 0)'
                });
            }

            var rotateAnimation = function(holder, inner, direction) {
                holder.data('animating', true);

                if (direction == 'left') {
                    var toFront = holder.find('.left'),
                        toBack = holder.find('.center'),
                        toPrep = holder.find('.right');

                    toPrep.removeClass('right').addClass('left');
                    toBack.removeClass('center').addClass('right');
                    toFront.removeClass('left').addClass('center');
                } else {
                    var toFront = holder.find('.right'),
                        toBack = holder.find('.center'),
                        toPrep = holder.find('.left');

                    toPrep.removeClass('left').addClass('right');
                    toBack.removeClass('center').addClass('left');
                    toFront.removeClass('right').addClass('center');
                }

                toPrep.css({
                    'z-index': 15,
                    'transform-origin': '0% 50%',
                    'transition': 'transform .5s, transform-origin .5s'
                });
                toBack.css({
                    'z-index': 25,
                    'transform-origin': '100% 50%',
                    'transition': 'transform 1s ease .2s, \
                                    transform-origin 1s ease .2s'
                });
                toFront.css({
                    'z-index': 20,
                    'transform-origin': '50% 50%',
                    'transition': 'transform .75s ease .5s, \
                                    transform-origin .75s ease .5s'
                });

                holder.find('a').css('pointer-events', 'none');
                setTimeout(function() {
                    holder.find('a').css('pointer-events', 'auto');
                    resetIndexes(toFront, toPrep, toBack);
                }, 500);

                toFront.one(cdbTheme.transitionEnd, function() {
                    holder.data('animating', false);
                    clearInterval(holder.data('autoplay'));
                    holder.data('autoplay', setInterval(function() {
                        navigate(holder, inner);
                    }, 3000));
                })
            }

            var navigate = function(holder, inner, event) {
                var direction,
                    linkActive = false;

                if (typeof event !== 'undefined') {
                    switch(event.target.className) {
                        case 'frame-slider-left-trigger':
                            direction = 'left';
                            break;
                        case 'frame-slider-right-trigger':
                            direction = 'right';
                            break;
                        case 'frame-slider-link':
                            linkActive = true;
                            holder.data('animating', false);
                            clearInterval(holder.data('autoplay'));
                            break;
                    }
                } else {
                    direction = 'right';
                }

                if (!linkActive) {
                    rotateAnimation(holder, inner, direction)
                    setPositioning(holder, inner);
                }
            }

            tfihShortcodes.each(function() {
                var holder = $(this),
                    inner = holder.find('.frame-slider-inner'),
                    centeredH = holder.find('.frame-slider-centered'),
                    leftH = holder.find('.frame-slider-left'),
                    rightH = holder.find('.frame-slider-right');

                //state
                holder
                    .data('animating', false)
                    .data('autoplay', false);

                initClasses(centeredH, leftH, rightH);
                resetIndexes(centeredH, leftH, rightH);
                setTriggerSize(holder, inner);

                holder.waitForImages(function() {
                    holder.appear(function() {
                        holder.css('visibility', 'visible');
                        setPositioning(holder, inner);
                        holder.data('autoplay', setInterval(function() {
                            navigate(holder, inner);
                        }, 3000));
                    }, {accX: 0, accY: theme_global_vars.vars.appear_element_amount});
                });

                holder.on('click', function(event) {
                    if (!holder.data('animating')) {
                        clearInterval(holder.data('autoplay'));
                        navigate(holder, inner, event);
                    }
                });

                if (holder.parent().hasClass('frame-slider-has-navigation')) {
                    var left = holder.parent().find('.nav-left'),
                        right = holder.parent().find('.nav-right');

                    left.on('click', function() {
                        if (!holder.data('animating')) {
                            rotateAnimation(holder, inner, 'left')
                            setPositioning(holder, inner);
                        }
                    });

                    right.on('click', function() {
                        if (!holder.data('animating')) {
                            rotateAnimation(holder, inner, 'right')
                            setPositioning(holder, inner);
                        }
                    });
                }

                $(window).on('resize', function() {
                    setPositioning(holder, inner);
                    setTriggerSize(holder, inner);
                    inner.find('>div').css('transition', 'none');
                })
            });
        }
    }
})(jQuery);

(function($) {
    'use strict';
    
    var imageMarquee = {};
    cdbTheme.modules.imageMarquee = imageMarquee;
    
    imageMarquee.imageHorizontalFreeScroll = imageHorizontalFreeScroll;
    
    imageMarquee.cdbThemeDocumentReady = cdbThemeDocumentReady;
    
    $(document).ready(cdbThemeDocumentReady);
    
    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        imageHorizontalFreeScroll();
    }
    
    /**
     * Init Text Marquee effect
     */
    function imageHorizontalFreeScroll() {
        var imageMarqueeShortcodes = $('.freescroll-viewport');

        if (imageMarqueeShortcodes.length) {
            imageMarqueeShortcodes.each(function(){
                var imageMarqueeShortcode = $(this),
                    marqueeElements = imageMarqueeShortcode.find('.the-img'),
                    originalItem = marqueeElements.filter('.initialized-img'),
                    auxItem = marqueeElements.filter('.duplicated-img');

                var marqueeEffect = function () {
	                requestAnimationFrame();
	                
                    var delta = 1, //pixel movement
                        speedCoeff = 0.8, // below 1 to slow down, above 1 to speed up
                        marqueeWidth = originalItem.width();

                    auxItem.css('width', marqueeWidth); //same width as the initial marquee element
                    auxItem.css('left', marqueeWidth); //set to the right of the initial marquee element

                    //movement loop
                    marqueeElements.each(function(i){
                        var marqueeElement = $(this),
                            currentPos = 0;

                        var infiniteFreeScrollEffect = function() {
                            currentPos -= delta;

                            //move marquee element
                            if (marqueeElement.position().left <= -marqueeWidth) {
                                marqueeElement.css('left', parseInt(marqueeWidth - delta));
                                currentPos = 0;
                            }

                            marqueeElement.css('transform','translate3d('+speedCoeff*currentPos+'px,0,0)');
	
	                        requestNextAnimationFrame(infiniteFreeScrollEffect);

                            $(window).resize(function(){
                                marqueeWidth = originalItem.width();
                                currentPos = 0;
                                originalItem.css('left',0); // reset
                    			auxItem.css('width', marqueeWidth); //same width as the initial marquee element
                                auxItem.css('left', marqueeWidth); //set to the right of the inital marquee element
                            });
                        }; 
                            
                        infiniteFreeScrollEffect();
                    });
                };

                imageMarqueeShortcode.waitForImages(function(){
	                marqueeEffect();
	            });
            });
        }
    }
    
    /*
     * Request Animation Frame shim
     */
	function requestAnimationFrame() {
		window.requestNextAnimationFrame =
			(function () {
				var originalWebkitRequestAnimationFrame,
					wrapper,
					callback,
					geckoVersion = 0,
					userAgent = navigator.userAgent,
					index = 0,
					self = this;
				
				// Workaround for Chrome 10 bug where Chrome
				// does not pass the time to the animation function
				
				if (window.webkitRequestAnimationFrame) {
					// Define the wrapper
					
					wrapper = function (time) {
						if (time === undefined) {
							time = +new Date();
						}
						
						self.callback(time);
					};
					
					// Make the switch
					
					originalWebkitRequestAnimationFrame = window.webkitRequestAnimationFrame;
					
					window.webkitRequestAnimationFrame = function (callback, element) {
						self.callback = callback;
						
						// Browser calls the wrapper and wrapper calls the callback
						
						originalWebkitRequestAnimationFrame(wrapper, element);
					};
				}
				
				// Workaround for Gecko 2.0, which has a bug in
				// mozRequestAnimationFrame() that restricts animations
				// to 30-40 fps.
				
				if (window.mozRequestAnimationFrame) {
					// Check the Gecko version. Gecko is used by browsers
					// other than Firefox. Gecko 2.0 corresponds to
					// Firefox 4.0.
					
					index = userAgent.indexOf('rv:');
					
					if (userAgent.indexOf('Gecko') != -1) {
						geckoVersion = userAgent.substr(index + 3, 3);
						
						if (geckoVersion === '2.0') {
							// Forces the return statement to fall through
							// to the setTimeout() function.
							
							window.mozRequestAnimationFrame = undefined;
						}
					}
				}
				
				return window.requestAnimationFrame   ||
					window.webkitRequestAnimationFrame ||
					window.mozRequestAnimationFrame    ||
					window.oRequestAnimationFrame      ||
					window.msRequestAnimationFrame     ||
					
					function (callback, element) {
						var start,
							finish;
						
						window.setTimeout( function () {
							start = +new Date();
							callback(start);
							finish = +new Date();
							
							self.timeout = 1000 / 60 - (finish - start);
							
						}, self.timeout);
					};
				}
			)();
	}

})(jQuery);
(function($) {
	'use strict';
	
	var itemShowcase = {};
	cdbTheme.modules.itemShowcase = itemShowcase;
	
	itemShowcase.servicesShowcase = servicesShowcase;
	
	
	itemShowcase.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		servicesShowcase();
	}
	
	/**
	 * Init item showcase shortcode
	 */
	function servicesShowcase() {
		var itemShowcase = $('.services-showcase');
		
		if (itemShowcase.length) {
			itemShowcase.each(function(){
				var thisItemShowcase = $(this),
					leftItems = thisItemShowcase.find('.left'),
					rightItems = thisItemShowcase.find('.right'),
					itemImage = thisItemShowcase.find('.service-image-wrap');
				
				//logic
				leftItems.wrapAll( "<div class='service-unit-wrapper left-aligned' />");
				rightItems.wrapAll( "<div class='service-unit-wrapper right-aligned' />");
				thisItemShowcase.animate({opacity:1},200);
				
				setTimeout(function(){
					thisItemShowcase.appear(function(){
						itemImage.addClass('in-view');
						thisItemShowcase.on('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend',
							function(e) {
								if(cdbTheme.windowWidth > 1200) {
									itemAppear('.left-aligned .service-unit');
									itemAppear('.right-aligned .service-unit');
								} else {
									itemAppear('.service-unit');
								}
							});
					},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
				},100);
				
				//appear animation trigger
				function itemAppear(itemCSSClass) {
					thisItemShowcase.find(itemCSSClass).each(function(i){
						var thisListItem = $(this);
						setTimeout(function(){
							thisListItem.addClass('in-view');
						}, i*150);
					});
				}
			});
		}
	}
	
})(jQuery);
(function($) {
	'use strict';
	
	var pieChart = {};
	cdbTheme.modules.pieChart = pieChart;
	
	pieChart.cdbPieChart = cdbPieChart;
	
	
	pieChart.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		cdbPieChart();
	}
	
	/**
	 * Init Pie Chart shortcode
	 */
	function cdbPieChart() {
		var pieChartHolder = $('.cdb-piecharts');
		
		if (pieChartHolder.length) {
			pieChartHolder.each(function () {
				var thisPieChartHolder = $(this),
                    pieChartHolderInner = thisPieChartHolder.find('.inner-circle'),
					pieChart = pieChartHolderInner.children('.piechart-number'),
					barColor = '#2b2b2b',
					trackColor = '#f7f7f7',
					lineWidth = 4,
					size = 170;
				
				if(typeof pieChart.data('size') !== 'undefined' && pieChart.data('size') !== '') {
					size = pieChart.data('size');
				}
				
				if(typeof pieChart.data('bar-color') !== 'undefined' && pieChart.data('bar-color') !== '') {
					barColor = pieChart.data('bar-color');
				}
				
				if(typeof pieChart.data('track-color') !== 'undefined' && pieChart.data('track-color') !== '') {
					trackColor = pieChart.data('track-color');
				}
				
				pieChart.appear(function() {
					initToCounterPieChart(pieChart);
					thisPieChartHolder.css('opacity', '1');
					
					pieChart.easyPieChart({
						barColor: barColor,
						trackColor: trackColor,
						scaleColor: false,
						lineCap: 'butt',
						lineWidth: lineWidth,
						animate: 1500,
						size: size
					});
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
	/*
	 **	Counter for pie chart number from zero to defined number
	 */
	function initToCounterPieChart(pieChart){
		var counter = pieChart.find('.piechart-value'),
			max = parseFloat(counter.text());
		
		counter.countTo({
			from: 0,
			to: max,
			speed: 1500,
			refreshInterval: 50
		});
	}
	
})(jQuery);
(function($) {
	'use strict';
	
	var process = {};
	cdbTheme.modules.process = process;
	
	process.processSteps = processSteps;
	
	
	process.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		processSteps();
	}
	
	/**
	 * Inti process shortcode on appear
	 */
	function processSteps() {
		var holder = $('.process-wrapper');
		
		if(holder.length) {
			holder.each(function(){
				var thisHolder = $(this);
				
				thisHolder.appear(function(){
					thisHolder.addClass('in-view');
				},{accX: 0, accY: theme_global_vars.vars.appear_element_amount});
			});
		}
	}
	
})(jQuery);
(function($) {
	'use strict';
	
	var progressBar = {};
	cdbTheme.modules.progressBar = progressBar;
	
	progressBar.progressBars = progressBars;
	
	
	progressBar.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		progressBars();
	}
	
	/*
	 **	Horizontal progress bars shortcode
	 */
	function progressBars() {
		var progressBar = $('.cdb-progressbar ');
		
		if (progressBar.length) {
			progressBar.each(function () {
				var thisBar = $(this),
					thisBarContent = thisBar.find('.meter'),
					progressBar = thisBar.find('.progressbar-value'),
					percentage = thisBarContent.data('percentage');
				
				thisBar.appear(function () {
					progressBarNumberCounter(progressBar, percentage);
					
					thisBarContent.css('width', '0%').animate({'width': percentage + '%'}, 2000);
					
					if (thisBar.hasClass('number-animated')) {
						progressBar.css('left', '0%').animate({'left': percentage + '%'}, 2000);
					}
				});
			});
		}
	}
	
	/*
	 **	Counter for horizontal progress bars percent from zero to defined percent
	 */
	function progressBarNumberCounter(progressBar, percentageValue){
		var percentage = parseFloat(percentageValue);
		
		if(progressBar.length) {
			progressBar.each(function() {
				var thisPercent = $(this);
				thisPercent.css('opacity', '1');
				
				thisPercent.countTo({
					from: 0,
					to: percentage,
					speed: 2000,
					refreshInterval: 50
				});
			});
		}
	}
	
})(jQuery);
(function($) {
    'use strict';

    var rotateBoxes = {};
    cdbTheme.modules.rotateBoxes = rotateBoxes;

    rotateBoxes.cdbThemeDocumentReady = cdbThemeDocumentReady;
    rotateBoxes.rotateBoxOnTouch = rotateBoxOnTouch;

    $(document).ready(cdbThemeDocumentReady);

    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        rotateBoxOnTouch();
    }

    /**
     * Init info box animation
     */
    function rotateBoxOnTouch(){
        var items = $('.rotate-boxes-wrap .rotate-box-item');

        if(items.length && cdbTheme.htmlEl.hasClass('touch')){
            items.each(function() {
                var _this = $(this);

                _this.on('click', function(){
                    $(this).toggleClass('touch-animate');
                });
            });
        }
    }

})(jQuery);
(function($) {
	'use strict';
	
	var tabs = {};
	cdbTheme.modules.tabs = tabs;
	
	tabs.codeBeanTabs = codeBeanTabs;
	
	
	tabs.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		codeBeanTabs();
	}
	
	/*
	 **	Init tabs shortcode
	 */
	function codeBeanTabs(){
		var tabs = $('.cdb-tabs');
		
		if(tabs.length){
			tabs.each(function(){
				var thisTabs = $(this);
				
				thisTabs.children('.cdb-tab-panel').each(function(index){
					index = index + 1;
					var that = $(this),
						link = that.attr('id'),
						navItem = that.parent().find('.cdb-tabs-nav li:nth-child('+index+') a'),
						navLink = navItem.attr('href');
					
					link = '#'+link;

					if(link.indexOf(navLink) > -1) {
						navItem.attr('href',link);
					}
				});
				
				thisTabs.tabs();

                $('.cdb-tabs a.external-link').unbind('click');
			});
		}
	}
	
})(jQuery);
(function($) {
    'use strict';
    
    var TextScrolling = {};
    cdbTheme.modules.TextScrolling = TextScrolling;
    
    TextScrolling.textScrollingInitialize = textScrollingInitialize;
	TextScrolling.resizeTextScrolling = resizeTextScrolling;
    
    TextScrolling.cdbThemeDocumentReady = cdbThemeDocumentReady;
    
    $(document).ready(cdbThemeDocumentReady);
    
    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        resizeTextScrolling();
        textScrollingInitialize();
    }
    
    /**
     * Init Text Marquee effect
     */
    function textScrollingInitialize() {
        var TextScrollingShortcodes = $('.text-scrolling');

        if (TextScrollingShortcodes.length) {
            TextScrollingShortcodes.each(function(){
                var TextScrollingShortcode = $(this),
                    marqueeElements = TextScrollingShortcode.find('.text-scrolling-unit'),
                    originalText = marqueeElements.filter('.initialized-text'),
                    auxText = marqueeElements.filter('.duplicated-text');

                var calcWidth = function(element) {
                    var width;

                    if (TextScrollingShortcode.outerWidth() > element.outerWidth()) {
                        width = TextScrollingShortcode.outerWidth();
                    } else {
                        width = element.outerWidth();
                    }

                    return width;
                };

                var marqueeEffect = function () {
	                requestAnimationFrame();
	                
                    var delta = 1, //pixel movement
                        speedCoeff = 1.6, // below 1 to slow down, above 1 to speed up
                        marqueeWidth = calcWidth(originalText);
                    marqueeElements.css({'width':marqueeWidth}); // set the same width to both elements
                    auxText.css('left', marqueeWidth); //set to the right of the initial marquee element

                    //movement loop
                    marqueeElements.each(function(i){
                        var marqueeElement = $(this),
                            currentPos = 0;

                        var infiniteFreeScrollEffect = function() {
                            currentPos -= delta;

                            //move marquee element
                            if (marqueeElement.position().left <= -marqueeWidth) {
                                marqueeElement.css('left', parseInt(marqueeWidth - delta));
                                currentPos = 0;
                            }

                            marqueeElement.css('transform','translate3d('+speedCoeff*currentPos+'px,0,0)');

	                        requestNextAnimationFrame(infiniteFreeScrollEffect);

                            $(window).resize(function(){
                                marqueeWidth = calcWidth(originalText);
                                currentPos = 0;
                                originalText.css('left',0);
                                auxText.css('left', marqueeWidth); //set to the right of the inital marquee element
                            });
                        }; 
                            
                        infiniteFreeScrollEffect();
                    });
                };

                marqueeEffect();
            });
        }
    }
    
    /*
     * Request Animation Frame shim
     */
	function requestAnimationFrame() {
		window.requestNextAnimationFrame =
			(function () {
				var originalWebkitRequestAnimationFrame,
					wrapper,
					callback,
					geckoVersion = 0,
					userAgent = navigator.userAgent,
					index = 0,
					self = this;
				
				// Workaround for Chrome 10 bug where Chrome
				// does not pass the time to the animation function
				
				if (window.webkitRequestAnimationFrame) {
					// Define the wrapper
					
					wrapper = function (time) {
						if (time === undefined) {
							time = +new Date();
						}
						
						self.callback(time);
					};
					
					// Make the switch
					
					originalWebkitRequestAnimationFrame = window.webkitRequestAnimationFrame;
					
					window.webkitRequestAnimationFrame = function (callback, element) {
						self.callback = callback;
						
						// Browser calls the wrapper and wrapper calls the callback
						originalWebkitRequestAnimationFrame(wrapper, element);
					};
				}
				
				// Workaround for Gecko 2.0, which has a bug in
				// mozRequestAnimationFrame() that restricts animations
				// to 30-40 fps.
				
				if (window.mozRequestAnimationFrame) {
					// Check the Gecko version. Gecko is used by browsers
					// other than Firefox. Gecko 2.0 corresponds to
					// Firefox 4.0.
					
					index = userAgent.indexOf('rv:');
					
					if (userAgent.indexOf('Gecko') !== -1) {
						geckoVersion = userAgent.substr(index + 3, 3);
						
						if (geckoVersion === '2.0') {
							// Forces the return statement to fall through
							// to the setTimeout() function.
							
							window.mozRequestAnimationFrame = undefined;
						}
					}
				}
				
				return window.requestAnimationFrame   ||
					window.webkitRequestAnimationFrame ||
					window.mozRequestAnimationFrame    ||
					window.oRequestAnimationFrame      ||
					window.msRequestAnimationFrame     ||
					
					function (callback, element) {
						var start,
							finish;
						
						window.setTimeout( function () {
							start = +new Date();
							callback(start);
							finish = +new Date();
							
							self.timeout = 1000 / 60 - (finish - start);
							
						}, self.timeout);
					};
				}
			)();
	}

	/*
	 **	Text Marquee resizing style
	 */
	function resizeTextScrolling() {
		var holder = $('.text-scrolling');

		if (holder.length) {
			holder.each(function () {
				var thisItem = $(this),
					itemClass = '',
					smallLaptopStyle = '',
					ipadLandscapeStyle = '',
					ipadPortraitStyle = '',
					mobileLandscapeStyle = '',
					style = '',
					responsiveStyle = '';

				if (typeof thisItem.data('unique-class') !== 'undefined' && thisItem.data('unique-class') !== false) {
					itemClass = thisItem.data('unique-class');
				}

				if (typeof thisItem.data('font-size-1366') !== 'undefined' && thisItem.data('font-size-1366') !== false) {
					smallLaptopStyle += 'font-size: ' + thisItem.data('font-size-1366') + ' !important;';
				}
				if (typeof thisItem.data('font-size-1024') !== 'undefined' && thisItem.data('font-size-1024') !== false) {
					ipadLandscapeStyle += 'font-size: ' + thisItem.data('font-size-1024') + ' !important;';
				}
				if (typeof thisItem.data('font-size-768') !== 'undefined' && thisItem.data('font-size-768') !== false) {
					ipadPortraitStyle += 'font-size: ' + thisItem.data('font-size-768') + ' !important;';
				}
				if (typeof thisItem.data('font-size-680') !== 'undefined' && thisItem.data('font-size-680') !== false) {
					mobileLandscapeStyle += 'font-size: ' + thisItem.data('font-size-680') + ' !important;';
				}

				if (typeof thisItem.data('line-height-1366') !== 'undefined' && thisItem.data('line-height-1366') !== false) {
					smallLaptopStyle += 'line-height: ' + thisItem.data('line-height-1366') + ' !important;';
				}
				if (typeof thisItem.data('line-height-1024') !== 'undefined' && thisItem.data('line-height-1024') !== false) {
					ipadLandscapeStyle += 'line-height: ' + thisItem.data('line-height-1024') + ' !important;';
				}
				if (typeof thisItem.data('line-height-768') !== 'undefined' && thisItem.data('line-height-768') !== false) {
					ipadPortraitStyle += 'line-height: ' + thisItem.data('line-height-768') + ' !important;';
				}
				if (typeof thisItem.data('line-height-680') !== 'undefined' && thisItem.data('line-height-680') !== false) {
					mobileLandscapeStyle += 'line-height: ' + thisItem.data('line-height-680') + ' !important;';
				}

				if (smallLaptopStyle.length || ipadLandscapeStyle.length || ipadPortraitStyle.length || mobileLandscapeStyle.length) {

					if (smallLaptopStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 1366px) {.text-scrolling." + itemClass + " { " + smallLaptopStyle + " } }";
					}
					if (ipadLandscapeStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 1024px) {.text-scrolling." + itemClass + " { " + ipadLandscapeStyle + " } }";
					}
					if (ipadPortraitStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 768px) {.text-scrolling." + itemClass + " { " + ipadPortraitStyle + " } }";
					}
					if (mobileLandscapeStyle.length) {
						responsiveStyle += "@media only screen and (max-width: 680px) {.text-scrolling." + itemClass + " { " + mobileLandscapeStyle + " } }";
					}
				}

				if (responsiveStyle.length) {
					style = '<style type="text/css">' + responsiveStyle + '</style>';
				}

				if (style.length) {
					$('head').append(style);
				}
			});
		}
	}

})(jQuery);
(function($) {
	'use strict';
	
	var vSplitSlider = {};
	cdbTheme.modules.vSplitSlider = vSplitSlider;
	
	vSplitSlider.splitSliderInitialize = splitSliderInitialize;
	
	
	vSplitSlider.cdbThemeDocumentReady = cdbThemeDocumentReady;
	
	$(document).ready(cdbThemeDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function cdbThemeDocumentReady() {
		splitSliderInitialize();
	}
	
	/*
	 **	Vertical Split Slider
	 */
	function splitSliderInitialize() {
		var slider = $('.sl-slider-wrapper'),
			progressBarFlag = true;
		
		if (slider.length) {
			if (cdbTheme.body.hasClass('sl-slider-active')) {
				cdbTheme.body.removeClass('sl-slider-active');
				$.fn.multiscroll.destroy();
			}
			
			slider.height(cdbTheme.windowHeight).animate({opacity: 1}, 300);
			
			var defaultHeaderStyle = '';
			if (cdbTheme.body.hasClass('light-header')) {
				defaultHeaderStyle = 'light';
			} else if (cdbTheme.body.hasClass('dark-header')) {
				defaultHeaderStyle = 'dark';
			}
			
			slider.multiscroll({
				scrollingSpeed: 700,
				easing: 'easeInOutQuart',
				navigation: true,
				useAnchorsOnLoad: false,
				sectionSelector: '.sl-slider-content',
				leftSelector: '.sl-slider-left-wrapper',
				rightSelector: '.sl-slider-right-wrapper',
				afterRender: function () {
					slSliderHeaderSwitchMode($('.sl-slider-left-wrapper .sl-slider-content:first-child').data('header-style'), defaultHeaderStyle);

					cdbTheme.body.addClass('sl-slider-active');
					
					var contactForm7 = $('div.wpcf7 > form');
					if (contactForm7.length) {
						contactForm7.each(function(){
							var thisForm = $(this);
							
							thisForm.find('.wpcf7-submit').off().on('click', function(e){
								e.preventDefault();
								wpcf7.submit(thisForm);
							});
						});
					}
					
					//prepare html for smaller screens - start //
					var vSplitSliderResponsive = $('<div class="sl-slider-responsive"></div>'),
						leftSide = slider.find('.sl-slider-left-wrapper > div'),
						rightSide = slider.find('.sl-slider-right-wrapper > div');
					
					slider.after(vSplitSliderResponsive);
					
					for (var i = 0; i < leftSide.length; i++) {
						vSplitSliderResponsive.append($(leftSide[i]).clone(true));
						vSplitSliderResponsive.append($(rightSide[leftSide.length - 1 - i]).clone(true));
					}
					
					//prepare google maps clones
					var googleMapHolder = $('.sl-slider-responsive .codebean-google-map');
					if (googleMapHolder.length) {
						googleMapHolder.each(function () {
							var map = $(this);
							map.empty();
							var num = Math.floor((Math.random() * 100000) + 1);
							map.attr('id', 'cdb-map-' + num);
							map.data('unique-id', num);
						});
					}
					
					if (typeof cdbTheme.modules.animationHolder.animationBox === "function") {
						cdbTheme.modules.animationHolder.animationBox();
					}
					
					if (typeof cdbTheme.modules.button.codeBeanButton === "function") {
						cdbTheme.modules.button.codeBeanButton().init();
					}
					
					if (typeof cdbTheme.modules.elementsHolder.contentBoxResponsiveStyles === "function") {
						cdbTheme.modules.elementsHolder.contentBoxResponsiveStyles();
					}
					
					if (typeof cdbTheme.modules.googleMap.showGoogleMap === "function") {
						cdbTheme.modules.googleMap.showGoogleMap();
					}
					
					if (typeof cdbTheme.modules.icon.codeBeanIcon === "function") {
						cdbTheme.modules.icon.codeBeanIcon().init();
					}
					
					if (progressBarFlag && typeof cdbTheme.modules.progressBar.progressBars === "function" && ($('.sl-slider-left-wrapper .sl-slider-content.active').find('.progress-bar').length || $('.sl-slider-right-wrapper .sl-slider-content.active').find('.progress-bar').length)) {
						cdbTheme.modules.progressBar.progressBars();
						progressBarFlag = false;
					}
				},
				onLeave: function (index, nextIndex) {

					if (progressBarFlag && typeof cdbTheme.modules.progressBar.progressBars === "function" && ($('.sl-slider-left-wrapper .sl-slider-content.active').find('.progress-bar').length || $('.sl-slider-right-wrapper .sl-slider-content.active').find('.progress-bar').length)) {
						setTimeout(function(){
							cdbTheme.modules.progressBar.progressBars();
						},700);

						progressBarFlag = false;
					}

					animationOnScroll(slider, nextIndex);
					slSliderHeaderSwitchMode($($('.sl-slider-left-wrapper .sl-slider-content')[nextIndex - 1]).data('header-style'), defaultHeaderStyle);
				}
			});
			
			if (cdbTheme.windowWidth <= 1024) {
				$.fn.multiscroll.destroy();
				cdbTheme.modules.progressBar.progressBars();
				progressBarFlag = false;
			} else {
				$.fn.multiscroll.build();
			}
			
			$(window).resize(function () {
				if (cdbTheme.windowWidth <= 1024) {
					$.fn.multiscroll.destroy();
					cdbTheme.modules.progressBar.progressBars();
					progressBarFlag = false;

				} else {
					$.fn.multiscroll.build();
				}
			});
		}
	}
	
	function animationOnScroll(slider, nextIndex) {
		
		if (slider.hasClass('sl-slider-true-on-scroll')) {
			
			if (nextIndex > 1 && !slider.hasClass('sl-slider-scrolled')) {
				slider.addClass('sl-slider-scrolled');
			} else if (nextIndex === 1 && slider.hasClass('sl-slider-scrolled')) {
				slider.removeClass('sl-slider-scrolled');
			}
		}
	}
	
	/*
	 **	Check slides on load and slide change for header style changing
	 */
	function slSliderHeaderSwitchMode(section_header_style, default_header_style) {
		if (section_header_style !== undefined && section_header_style !== '') {
			cdbTheme.body.removeClass('light-header dark-header').addClass( section_header_style + '-header');
		} else if (default_header_style !== '') {
			cdbTheme.body.removeClass('light-header dark-header').addClass( default_header_style + '-header');
		} else {
			cdbTheme.body.removeClass('light-header dark-header');
		}
	}
	
})(jQuery);
(function($) {
    'use strict';

    var portfolioFullScreen = {};
    cdbTheme.modules.portfolioFullScreen = portfolioFullScreen;

    portfolioFullScreen.cdbThemeWindowLoad = cdbThemeWindowLoad;

    $(window).load(cdbThemeWindowLoad);

    /*
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {
        portfolioFullScreenSlider();
    }

    /**
     * Initializes swiper slide for portfolio vertical slider
     */
    function portfolioFullScreenSlider() {

        var portfolioVertical = $('.portfolio-vertical-slider'),
            params = {
            nextButton: '.swiper-button-next',
            prevButton: '.swiper-button-prev',
            speed: 1000,
            pagination: '.swiper-pagination',
            paginationClickable: true,
            paginationType : 'fraction',
            paginationFractionRender: function (swiper, currentClassName, totalClassName) {
                return '<span class="' + currentClassName + '"></span>' +
                    ' - ' +
                    '<span class="' + totalClassName + '"></span>';
            },
            loop: true,
            effect: 'fade',
            dynamicMainBullets: 3,
            direction: 'vertical',
            keyboardControl: true,
            mousewheelControl: true,
            onInit: function(e) {
                var i = e.activeIndex,
                    color = e.slides.eq(i).data('color');
                if (!cdbTheme.body.hasClass(color)) {
                    cdbTheme.body.removeClass('color-scheme-light color-scheme-dark').addClass(color);
                }
                cdbTheme.window.on('orientationchange', function() {
                    e.update();
                });
            },
            onSlideChangeStart: function(e) {
                var color = $('.swiper-slide-active').data('color');

                cdbTheme.body.removeClass('color-scheme-light color-scheme-dark').addClass(color);
            }
        };

        if (portfolioVertical.length) {
            portfolioVertical.each(function () {
               var swiperSlider = new Swiper( portfolioVertical, params );
            });
        }

    }

})(jQuery);
(function($) {
    'use strict';

    var portfolioList = {};
    cdbTheme.modules.portfolioList = portfolioList;

    portfolioList.cdbThemeWindowLoad = cdbThemeWindowLoad;
    portfolioList.cdbThemeWindowScroll = cdbThemeWindowScroll;

    $(window).load(cdbThemeWindowLoad);
    $(window).scroll(cdbThemeWindowScroll);

    /*
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {
        portfolioFilters();
        portfolioItemsAnim();
	    portfolioPagination().init();
    }

    /*
     All functions to be called on $(window).scroll() should be in this function
     */
    function cdbThemeWindowScroll() {
	    portfolioPagination().scroll();
    }

    /**
     * Initializes portfolio list article animation
     */
    function portfolioItemsAnim(){
        var portList = $('.cdb-portfolio-grid.with-animation');

        if(portList.length){
            portList.each(function(){
                var thisPortList = $(this).children('.portfolio-wrap-inner');

                thisPortList.children('article').each(function(l) {
                    var thisArticle = $(this);

                    thisArticle.appear(function() {
                        thisArticle.addClass('show-item');

                        setTimeout(function(){
                            thisArticle.addClass('is-visible');
                        }, 1000);
                    },{accX: 0, accY: 0});
                });
            });
        }
    }

    /**
     * Initializes portfolio masonry filter
     */
    function portfolioFilters(){
        var filterHolder = $('.cdb-portfolio-grid .portfolio-filters-wrap');

        if(filterHolder.length){
            filterHolder.each(function(){
                var thisFilterHolder = $(this),
                    thisPortListHolder = thisFilterHolder.closest('.cdb-portfolio-grid'),
                    thisPortListInner = thisPortListHolder.find('.portfolio-wrap-inner'),
                    portListHasLoadMore = thisPortListHolder.hasClass('pagination-type-load-more') ? true : false;

                thisFilterHolder.find('.p-filter:first').addClass('active');
	            
	            if(thisPortListHolder.hasClass('portfolio-gallery')) {
		            thisPortListInner.isotope();
	            }

                thisFilterHolder.find('.p-filter').on('click', function(){
                    var thisFilter = $(this),
                        filterValue = thisFilter.attr('data-filter'),
                        filterClassName = filterValue.length ? filterValue.substring(1) : '',
	                    portListHasArticles = thisPortListInner.children().hasClass(filterClassName) ? true : false;

                    thisFilter.parent().children('.p-filter').removeClass('active');
                    thisFilter.addClass('active');
	
	                if(portListHasLoadMore && !portListHasArticles && filterValue.length) {
		                loadMorePortfolioFilter(thisPortListHolder, filterValue, filterClassName);
	                } else {
		                filterValue = filterValue.length === 0 ? '*' : filterValue;
                   
                        thisFilterHolder.parent().children('.portfolio-wrap-inner').isotope({ filter: filterValue });
	                    cdbTheme.modules.common.parallaxInitialize();
                    }
                });
            });
        }
    }

    /**
     * Initializes load more items if portfolio masonry filter item is empty
     */
    function loadMorePortfolioFilter($portfolioList, $filterValue, $filterClassName) {
        var thisPortList = $portfolioList,
            thisPortListInner = thisPortList.find('.portfolio-wrap-inner'),
            filterValue = $filterValue,
            filterClassName = $filterClassName,
            maxNumPages = 0;

        if (typeof thisPortList.data('max-num-pages') !== 'undefined' && thisPortList.data('max-num-pages') !== false) {
            maxNumPages = thisPortList.data('max-num-pages');
        }

        var	loadMoreDatta = cdbTheme.modules.common.getLoadMoreData(thisPortList),
            nextPage = loadMoreDatta.nextPage,
	        ajaxData = cdbTheme.modules.common.setLoadMoreAjaxData(loadMoreDatta, 'caledon_addon_portfolio_ajax_load_more'),
            loadingItem = thisPortList.find('.portfolio-loader');

        if(nextPage <= maxNumPages) {
            loadingItem.addClass('show filter-trigger');
            thisPortListInner.css('opacity', '0');

            $.ajax({
                type: 'POST',
                data: ajaxData,
                url: theme_global_vars.vars.ajax_url,
                success: function (data) {
                    nextPage++;
                    thisPortList.data('next-page', nextPage);
                    var response = $.parseJSON(data),
                        responseHtml = response.html;

                    thisPortList.waitForImages(function () {
                        thisPortListInner.append(responseHtml).isotope('reloadItems').isotope({sortBy: 'original-order'});
                        var portListHasArticles = !!thisPortListInner.children().hasClass(filterClassName);

                        if(portListHasArticles) {
                            setTimeout(function() {
	                            cdbTheme.modules.common.setFixedImageProportionSize(thisPortList, thisPortListInner.find('article'), thisPortListInner.find('.masonry-grid-sizer').width());
                                thisPortListInner.isotope('layout').isotope({filter: filterValue});
                                loadingItem.removeClass('show filter-trigger');

                                setTimeout(function() {
                                    thisPortListInner.css('opacity', '1');
                                    portfolioItemsAnim();
	                                cdbTheme.modules.common.parallaxInitialize();
                                }, 150);
                            }, 400);
                        } else {
                            loadingItem.removeClass('show filter-trigger');
                            loadMorePortfolioFilter(thisPortList, filterValue, filterClassName);
                        }
                    });
                }
            });
        }
    }
	
	/**
	 * Initializes portfolio pagination functions
	 */
	function portfolioPagination(){
		var portList = $('.cdb-portfolio-grid');
		
		var initStandardPagination = function(thisPortList) {
			var standardLink = thisPortList.find('.portfolio-default-pagination li');
			
			if(standardLink.length) {
				standardLink.each(function(){
					var thisLink = $(this).children('a'),
						pagedLink = 1;
					
					thisLink.on('click', function(e) {
						e.preventDefault();
						e.stopPropagation();
						
						if (typeof thisLink.data('paged') !== 'undefined' && thisLink.data('paged') !== false) {
							pagedLink = thisLink.data('paged');
						}
						
						initMainPagFunctionality(thisPortList, pagedLink);
					});
				});
			}
		};
		
		var initLoadMorePagination = function(thisPortList) {
			var loadMoreButton = thisPortList.find('.portfolio-load-more a');
			
			loadMoreButton.on('click', function(e) {
				e.preventDefault();
				e.stopPropagation();
				
				initMainPagFunctionality(thisPortList);
			});
		};
		
		var initInifiteScrollPagination = function(thisPortList) {
			var portListHeight = thisPortList.outerHeight(),
				portListTopOffest = thisPortList.offset().top,
				portListPosition = portListHeight + portListTopOffest - theme_global_vars.vars.cdb_admin_bar;
			
			if(!thisPortList.hasClass('portfolio-infinite-start') && cdbTheme.scroll + cdbTheme.windowHeight > portListPosition) {
				initMainPagFunctionality(thisPortList);
			}
		};
		
		var initMainPagFunctionality = function(thisPortList, pagedLink) {
			var thisPortListInner = thisPortList.find('.portfolio-wrap-inner'),
				nextPage,
				maxNumPages;
			
			if (typeof thisPortList.data('max-num-pages') !== 'undefined' && thisPortList.data('max-num-pages') !== false) {
				maxNumPages = thisPortList.data('max-num-pages');
			}
			
			if(thisPortList.hasClass('pagination-type-standard')) {
				thisPortList.data('next-page', pagedLink);
			}
			
			if(thisPortList.hasClass('pagination-type-infinite-scroll')) {
				thisPortList.addClass('portfolio-infinite-start');
			}
			
			var loadMoreDatta = cdbTheme.modules.common.getLoadMoreData(thisPortList),
				loadingItem = thisPortList.find('.portfolio-loader');
			
			nextPage = loadMoreDatta.nextPage;
			
			if(nextPage <= maxNumPages || maxNumPages === 0){
				if(thisPortList.hasClass('pagination-type-standard')) {
					loadingItem.addClass('show standard-pagination-trigger');
					thisPortList.addClass('pagination-type-standard-animate');
				} else {
					loadingItem.addClass('show');
				}
				
				var ajaxData = cdbTheme.modules.common.setLoadMoreAjaxData(loadMoreDatta, 'caledon_addon_portfolio_ajax_load_more');
				
				$.ajax({
					type: 'POST',
					data: ajaxData,
					url: theme_global_vars.vars.ajax_url,
					success: function (data) {
						if(!thisPortList.hasClass('pagination-type-standard')) {
							nextPage++;
						}
						
						thisPortList.data('next-page', nextPage);
						
						var response = $.parseJSON(data),
							responseHtml =  response.html;
						
						if(thisPortList.hasClass('pagination-type-standard')) {
							defaultPaginationPageSwitch(thisPortList, maxNumPages, nextPage);
							
							thisPortList.waitForImages(function(){
								if(thisPortList.hasClass('portfolio-masonry')){
									isotopeHtmlNewContent(thisPortList, thisPortListInner, loadingItem, responseHtml);
								} else if (thisPortList.hasClass('portfolio-gallery') && thisPortList.hasClass('has-filters')) {
									isotopeHtmlNewContent(thisPortList, thisPortListInner, loadingItem, responseHtml);
								} else {
									galleryHtmlNewContent(thisPortList, thisPortListInner, loadingItem, responseHtml);
								}
							});
						} else {
							thisPortList.waitForImages(function(){
								if(thisPortList.hasClass('portfolio-masonry')){
								    if(pagedLink === 1) {
                                        isotopeHtmlNewContent(thisPortList, thisPortListInner, loadingItem, responseHtml);
                                    } else {
                                        isotopeAddNewContent(thisPortList, thisPortListInner, loadingItem, responseHtml);
                                    }
								} else if (thisPortList.hasClass('portfolio-gallery') && thisPortList.hasClass('has-filters') && pagedLink !== 1) {
									isotopeAddNewContent(thisPortList, thisPortListInner, loadingItem, responseHtml);
								} else {
								    if (pagedLink === 1) {
                                        galleryHtmlNewContent(thisPortList, thisPortListInner, loadingItem, responseHtml);
                                    } else {
                                        galleryAddNewContent(thisPortListInner, loadingItem, responseHtml);
                                    }
								}
							});
						}
						
						if(thisPortList.hasClass('portfolio-infinite-start')) {
							thisPortList.removeClass('portfolio-infinite-start');
						}
					}
				});
			}
			
			if(nextPage === maxNumPages){
				thisPortList.find('.portfolio-load-more-container').hide();
			}
		};
		
		var defaultPaginationPageSwitch = function(thisPortList, maxNumPages, nextPage) {
			var standardPagHolder = thisPortList.find('.portfolio-default-pagination'),
				standardPagNumericItem = standardPagHolder.find('li.page-num'),
				standardPagPrevItem = standardPagHolder.find('li.previous-page a'),
				standardPagNextItem = standardPagHolder.find('li.next-page a');
			
			standardPagNumericItem.removeClass('active');
			standardPagNumericItem.eq(nextPage-1).addClass('active');
			
			standardPagPrevItem.data('paged', nextPage-1);
			standardPagNextItem.data('paged', nextPage+1);
			
			if(nextPage > 1) {
				standardPagPrevItem.css({'opacity': '1'});
			} else {
				standardPagPrevItem.css({'opacity': '0'});
			}
			
			if(nextPage === maxNumPages) {
				standardPagNextItem.css({'opacity': '0'});
			} else {
				standardPagNextItem.css({'opacity': '1'});
			}
		};
		
		var isotopeHtmlNewContent = function(thisPortList, thisPortListInner, loadingItem, responseHtml) {
            thisPortListInner.find('article').remove();
            thisPortListInner.append(responseHtml);
			cdbTheme.modules.common.setFixedImageProportionSize(thisPortList, thisPortListInner.find('article'), thisPortListInner.find('.masonry-grid-sizer').width());
            thisPortListInner.isotope('reloadItems').isotope({sortBy: 'original-order'});
			loadingItem.removeClass('show standard-pagination-trigger');
			thisPortList.removeClass('pagination-type-standard-animate');
			
			setTimeout(function() {
				thisPortListInner.isotope('layout');
				portfolioItemsAnim();
				cdbTheme.modules.common.parallaxInitialize();
				cdbTheme.modules.common.prettyPhotoInit();
			}, 600);
		};
		
		var galleryHtmlNewContent = function(thisPortList, thisPortListInner, loadingItem, responseHtml) {
			loadingItem.removeClass('show standard-pagination-trigger');
			thisPortList.removeClass('pagination-type-standard-animate');
			thisPortListInner.html(responseHtml);
			portfolioItemsAnim();
			cdbTheme.modules.common.parallaxInitialize();
			cdbTheme.modules.common.prettyPhotoInit();
		};
		
		var isotopeAddNewContent = function(thisPortList, thisPortListInner, loadingItem, responseHtml) {
            thisPortListInner.append(responseHtml);
			cdbTheme.modules.common.setFixedImageProportionSize(thisPortList, thisPortListInner.find('article'), thisPortListInner.find('.masonry-grid-sizer').width());
            thisPortListInner.isotope('reloadItems').isotope({sortBy: 'original-order'});
			loadingItem.removeClass('show');
			
			setTimeout(function() {
				thisPortListInner.isotope('layout');
				portfolioItemsAnim();
				cdbTheme.modules.common.parallaxInitialize();
				cdbTheme.modules.common.prettyPhotoInit();
			}, 600);
		};
		
		var galleryAddNewContent = function(thisPortListInner, loadingItem, responseHtml) {
			loadingItem.removeClass('show');
			thisPortListInner.append(responseHtml);
			portfolioItemsAnim();
			cdbTheme.modules.common.parallaxInitialize();
			cdbTheme.modules.common.prettyPhotoInit();
		};
		
		return {
			init: function() {
				if(portList.length) {
					portList.each(function() {
						var thisPortList = $(this);
						
						if(thisPortList.hasClass('pagination-type-standard')) {
							initStandardPagination(thisPortList);
						}
						
						if(thisPortList.hasClass('pagination-type-load-more')) {
							initLoadMorePagination(thisPortList);
						}
						
						if(thisPortList.hasClass('pagination-type-infinite-scroll')) {
							initInifiteScrollPagination(thisPortList);
						}
					});
				}
			},
			scroll: function() {
				if(portList.length) {
					portList.each(function() {
						var thisPortList = $(this);
						
						if(thisPortList.hasClass('pagination-type-infinite-scroll')) {
							initInifiteScrollPagination(thisPortList);
						}
					});
				}
			},
            getMainPagFunction: function(thisPortList, paged) {
                initMainPagFunctionality(thisPortList, paged);
            }
		};
	}

})(jQuery);
(function($) {
    'use strict';

    var portfolioSection = {};
    cdbTheme.modules.portfolioSection = portfolioSection;

    portfolioSection.cdbThemeWindowLoad = cdbThemeWindowLoad;

    $(window).load(cdbThemeWindowLoad);

    /*
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {
        portfolioSectionHover();
    }

    /**
     * Portfolio Section Change Background Image on Hover
     */
    function portfolioSectionHover(){
        var portfolioSections = $('.portfolio-bg-list-wrap');

        if (portfolioSections.length){
            portfolioSections.each(function () {
                var thisSection = $(this),
                    articles = thisSection.find('.portfolio-bg-list-item'),
                    articlesLink = thisSection.find('.portfolio-bg-list-link'),
                    articlesImages = thisSection.find('.portfolio-list-background-container .portfolio-list-background-inner');


                articles.eq(0).addClass('hovered');
                articlesImages.eq(0).addClass('hovered');

                //remove first click when on touch devices - go to link on second click
                if(cdbTheme.htmlEl.hasClass('touch')){
                    articlesLink.eq(0).addClass('active');

                    articlesLink.each(function () {
                        var link = $(this);

                        link.on('click', function(e){
                            if (!link.hasClass('active')) {
                                e.preventDefault();
                                articlesLink.removeClass('active');
                                link.addClass('active');
                            }

                        });
                    });
                }

                articles.each(function(e){
                    var thisArticle = $(this);

                    thisArticle.on('mouseover', function () {

                        var imageHolder = articlesImages.eq(e);

                        if (!thisArticle.hasClass('hovered')){
                            thisArticle.siblings().removeClass('hovered');
                            imageHolder.siblings().removeClass('hovered');

                            thisArticle.addClass('hovered');
                            imageHolder.addClass('hovered');
                        }
                    });
                });

            });
        }
    }

})(jQuery);


(function ($) {
    'use strict';

    var testimonialsCarousel = {};
    cdbTheme.modules.testimonialsCarousel = testimonialsCarousel;

    testimonialsCarousel.codeBeanTestimonials = codeBeanTestimonialsCarousel;


    testimonialsCarousel.cdbThemeWindowLoad = cdbThemeWindowLoad;

    $(window).load(cdbThemeWindowLoad);

    /*
     All functions to be called on $(window).load() should be in this function
     */
    function cdbThemeWindowLoad() {
        codeBeanTestimonialsCarousel();
    }

    /**
     * Init testimonials shortcode elegant type
     */
    function codeBeanTestimonialsCarousel(){
        var testimonial = $('.testimonial-wrap.testimonial-carousel');

        if(testimonial.length){
            testimonial.each(function(){
                var thisTestimonials = $(this),
                    mainTestimonialsSlider = thisTestimonials.find('.testimonial-main'),
                    imagePagSlider = thisTestimonials.children('.testimonial-photo-nav'),
                    loop = true,
                    autoplay = true,
                    sliderSpeed = 5000,
                    sliderSpeedAnimation = 600,
                    mouseDrag = false;

                if (mainTestimonialsSlider.data('enable-loop') === 'no') {
                    loop = false;
                }
                if (mainTestimonialsSlider.data('enable-autoplay') === 'no') {
                    autoplay = false;
                }
                if (typeof mainTestimonialsSlider.data('slider-speed') !== 'undefined' && mainTestimonialsSlider.data('slider-speed') !== false) {
                    sliderSpeed = mainTestimonialsSlider.data('slider-speed');
                }
                if (typeof mainTestimonialsSlider.data('slider-speed-animation') !== 'undefined' && mainTestimonialsSlider.data('slider-speed-animation') !== false) {
                    sliderSpeedAnimation = mainTestimonialsSlider.data('slider-speed-animation');
                }
                if(cdbTheme.windowWidth < 680){
                    mouseDrag = true;
                }

                if (mainTestimonialsSlider.length && imagePagSlider.length) {
                    var text = mainTestimonialsSlider.owlCarousel({
                        items: 1,
                        loop: loop,
                        autoplay: autoplay,
                        autoplayTimeout: sliderSpeed,
                        smartSpeed: sliderSpeedAnimation,
                        autoplayHoverPause: false,
                        dots: false,
                        nav: false,
                        mouseDrag: false,
                        touchDrag: mouseDrag,
						navText: [
							'<span class="carousel-prev-icon lnr lnr-arrow-left cdb-icon-element"></span>',
							'<span class="carousel-next-icon lnr lnr-arrow-right cdb-icon-element"></span>'
						],
                        onInitialize: function () {
                            mainTestimonialsSlider.css('visibility', 'visible');
                        }
                    });

                    var image = imagePagSlider.owlCarousel({
                        loop: loop,
                        autoplay: autoplay,
                        autoplayTimeout: sliderSpeed,
                        smartSpeed: sliderSpeedAnimation,
                        autoplayHoverPause: false,
                        center: true,
                        dots: false,
                        nav: false,
                        mouseDrag: false,
                        touchDrag: false,
                        responsive: {
                            1025: {
                                items: 5
                            },
                            0: {
                                items: 3
                            }
                        },
                        onInitialize: function () {
                            imagePagSlider.css('visibility', 'visible');
                            thisTestimonials.css('opacity', '1');
                        }
                    });

                    imagePagSlider.find('.owl-item').on('click touchpress', function (e) {
                        e.preventDefault();

                        var thisItem = $(this),
                            itemIndex = thisItem.index(),
                            numberOfClones = imagePagSlider.find('.owl-item.cloned').length,
                            modifiedItems = itemIndex - numberOfClones / 2 >= 0 ? itemIndex - numberOfClones / 2 : itemIndex;

                        image.trigger('to.owl.carousel', modifiedItems);
                        text.trigger('to.owl.carousel', modifiedItems);
                    });

                }
            });
        }
    }

})(jQuery);
(function($) {
    'use strict';

    var testimonialsImagePagination = {};
    cdbTheme.modules.testimonialsImagePagination = testimonialsImagePagination;

    testimonialsImagePagination.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);

    /* 
     All functions to be called on $(document).ready() should be in this function
     */
    function cdbThemeDocumentReady() {
        testimonialPhotoPagination();
    }

    /**
     * Init Owl Carousel
     */
    function testimonialPhotoPagination() {
        var sliders = $('.testimonial-image-pagination-inner');

        if (sliders.length) {
            sliders.each(function() {
                var slider = $(this),
                    slideItemsNumber = slider.children().length,
                    loop = true,
                    autoplay = true,
                    autoplayHoverPause = false,
                    sliderSpeed = 3500,
                    sliderSpeedAnimation = 500,
                    margin = 0,
                    stagePadding = 0,
                    center = false,
                    autoWidth = false,
                    animateInClass = false, // keyframe css animation
                    animateOutClass = false, // keyframe css animation
                    navigation = true,
                    pagination = false,
                    drag = true,
                    sliderDataHolder = slider;

                if (sliderDataHolder.data('enable-loop') === 'no') {
                    loop = false;
                }
                if (typeof sliderDataHolder.data('slider-speed') !== 'undefined' && sliderDataHolder.data('slider-speed') !== false) {
                    sliderSpeed = sliderDataHolder.data('slider-speed');
                }
                if (typeof sliderDataHolder.data('slider-speed-animation') !== 'undefined' && sliderDataHolder.data('slider-speed-animation') !== false) {
                    sliderSpeedAnimation = sliderDataHolder.data('slider-speed-animation');
                }
                if (sliderDataHolder.data('enable-auto-width') === 'yes') {
                    autoWidth = true;
                }
                if (typeof sliderDataHolder.data('slider-animate-in') !== 'undefined' && sliderDataHolder.data('slider-animate-in') !== false) {
                    animateInClass = sliderDataHolder.data('slider-animate-in');
                }
                if (typeof sliderDataHolder.data('slider-animate-out') !== 'undefined' && sliderDataHolder.data('slider-animate-out') !== false) {
                    animateOutClass = sliderDataHolder.data('slider-animate-out');
                }
                if (sliderDataHolder.data('enable-navigation') === 'no') {
                    navigation = false;
                }
                if (sliderDataHolder.data('enable-pagination') === 'yes') {
                    pagination = true;
                }

                if (navigation && pagination) {
                    slider.addClass('caledon-slider-has-both-nav');
                }

                if (pagination) {
                    var dotsContainer = '#testimonial-pagination';
                    $('.testimonial-page-item').on('click', function () {
                        slider.trigger('to.owl.carousel', [$(this).index(), 300]);
                    });
                }

                if (slideItemsNumber <= 1) {
                    loop = false;
                    autoplay = false;
                    navigation = false;
                    pagination = false;
                }

                slider.waitForImages(function () {
                    $(this).owlCarousel({
                        items: 1,
                        loop: loop,
                        autoplay: autoplay,
                        autoplayHoverPause: autoplayHoverPause,
                        autoplayTimeout: sliderSpeed,
                        smartSpeed: sliderSpeedAnimation,
                        margin: margin,
                        stagePadding: stagePadding,
                        center: center,
                        autoWidth: autoWidth,
                        animateIn: animateInClass,
                        animateOut: animateOutClass,
                        dots: pagination,
                        dotsContainer: dotsContainer,
                        nav: navigation,
                        drag: drag,
                        callbacks: true,
                        navText: [
                            '<span class="carousel-prev-icon lnr lnr-arrow-left cdb-icon-element"></span>',
                            '<span class="carousel-next-icon lnr lnr-arrow-right cdb-icon-element"></span>'
                        ],
                        onInitialize: function () {
                            slider.css('visibility', 'visible');
                        },
                        onDrag: function (e) {
                            if (cdbTheme.body.hasClass('smooth-page-shifts-fadeout')) {
                                var sliderIsMoving = e.isTrigger > 0;

                                if (sliderIsMoving) {
                                    slider.addClass('caledon-slider-is-moving');
                                }
                            }
                        },
                        onDragged: function () {
                            if (cdbTheme.body.hasClass('smooth-page-shifts-fadeout') && slider.hasClass('caledon-slider-is-moving')) {

                                setTimeout(function () {
                                    slider.removeClass('caledon-slider-is-moving');
                                }, 500);
                            }
                        }
                    });

                });
            });
        }
    }
    
})(jQuery);