<?php

function codebean_filter_move_comment_below( $fields ) {
    $comment_field = $fields['comment'];
    unset( $fields['comment'] );
    $fields['comment'] = $comment_field;
    return $fields;
}
add_filter( 'comment_form_fields', 'codebean_filter_move_comment_below' );

if ( post_password_required() ) {
	return;
}

$discussion = codebean_get_discussion_data();

if ( comments_open() || get_comments_number() ) { ?>
	<?php if ( have_comments() ) { ?>
	<div class="post-comments clearfix" id="comments">
        <h4 class="comments-title">
	        <?php
	        if ( comments_open() ) {
		        if ( have_comments() ) {
			        esc_html_e( 'Join the Conversation', 'caledon' );
		        } else {
			        esc_html_e( 'Leave a comment', 'caledon' );
		        }
	        } else {
		        if ( '1' == $discussion->responses ) {
			        /* translators: %s: post title */
			        printf( esc_html_x( 'One reply on &ldquo;%s&rdquo;', 'comments title', 'caledon' ), get_the_title() );
		        } else {
			        printf(
			        /* translators: 1: number of comments, 2: post title */
				        _nx(
					        '%1$s reply on &ldquo;%2$s&rdquo;',
					        '%1$s replies on &ldquo;%2$s&rdquo;',
					        $discussion->responses,
					        'comments title',
					        'caledon'
				        ),
				        number_format_i18n( $discussion->responses ),
				        get_the_title()
			        );
		        }
	        }
	        ?>
        </h4>
        <ul class="post-comment-list">
            <?php wp_list_comments( array_unique( array_merge( array( 'callback' => 'codebean_comment' ), apply_filters( 'codebean_filter_comments_callback', array() ) ) ) ); ?>
        </ul>
		<?php if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) { ?>
			<p><?php esc_html_e( 'Sorry, the comment form is closed at this time.', 'caledon' ); ?></p>
		<?php } ?>
	</div>
	<?php } ?>
	<?php
        // Comment Form
        $commenter = wp_get_current_commenter();
        $req = get_option( 'require_name_email' );
        $aria_req = ( $req ? ' aria-required="true" data-required="true"' : '' );

	    $consent  = empty( $cdb_commenter['comment_author_email'] ) ? '' : ' checked="checked"';

        $defaults = array( 'fields' => apply_filters( 'comment_form_default_fields', array(

            'author' => '<div class="cdb-row"><div class="cdb-col-6"><label for="author">' . esc_html__( 'Name', 'caledon' ) . ' <span class="required">*</span></label><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' placeholder="' . esc_attr__( 'Name', 'caledon' ) . '"/></div>',

            'email'  => '<div class="cdb-col-6"><label for="email">' . esc_html__( 'E-mail', 'caledon' ) . ' <span class="required">*</span></label><input id="email" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' placeholder="' . esc_attr__( 'E-mail', 'caledon' ) . '" /></div>',

            'cookies' => '<div class="cdb-col-12"><p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" class="wp-comment-cookies" type="checkbox" value="yes" ' . $consent . ' />' .
                         '<label for="wp-comment-cookies-consent">' . esc_html__( 'Save my name, email, and website in this browser for the next time I comment.', 'caledon' ) . '</label></p></div></div>' ) ),

            'comment_field' => '<div class="cdb-row"><div class="cdb-col-12"><textarea name="comment" id="comment"' . $aria_req . ' rows="3" cols="58" placeholder="' . esc_attr__( 'Your Comment', 'caledon' ) . '"></textarea></div></div>',

            'comment_notes_before' => '<p class="comment-notes">' . esc_html__( 'Your email address will not be published.', 'caledon' ) . '</p>',
            'comment_notes_after' => '',
            'id_form' => 'form-comment',
            'id_submit' => 'submit_comment',
            'title_reply' => esc_html__( 'Leave a Reply', 'caledon' ),
            'title_reply_to' => esc_html__( 'Leave a Reply to %s', 'caledon' ),
            'title_reply_before' => '<h4 id="reply-title" class="comment-reply-title">',
            'title_reply_after' => '</h4>',
            'cancel_reply_link' => esc_attr__( 'Cancel reply', 'caledon' ),
            'class_submit' => 'submit',
            'label_submit' => esc_attr__( 'Submit Comment', 'caledon' ),
        );

	if ( get_comment_pages_count() > 1 ) { ?>
		<div class="comment-pagination">
			<p><?php paginate_comments_links(); ?></p>
		</div>
	<?php } ?>

    <?php
    $cdb_show_comment_form = apply_filters('codebean_filter_show_comment_form_filter', true);
    if($cdb_show_comment_form) {
    ?>
	    <?php comment_form( $defaults ); ?>
    <?php } ?>
<?php } ?>


