<div class="cdb-tabs-content">
	<div class="tab-content">
		<div class="tab-pane fade in active" id="import">
			<div class="cdb-tab-content">
				<h2 class="cdb-page-title"><?php esc_html_e('Backup Options', 'caledon'); ?></h2>
				<form method="post" class="cdb_ajax_form cdb-backup-options-page-holder">
					<div class="cdb-page-form">
						<div class="cdb-page-form-section-holder">
							<h3 class="cdb-page-section-title"><?php esc_html_e('Export/Import Options', 'caledon'); ?></h3>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<h4><?php esc_html_e('Export', 'caledon'); ?></h4>
									<p><?php esc_html_e('Copy the code from this field and save it to a textual file to export your options. Save that textual file somewhere so you can later use it to import options if necessary.', 'caledon'); ?></p>
								</div>
								<div class="cdb-section-content">
									<div class="container-fluid">
										<div class="row">
											<div class="col-lg-12">
												<textarea name="export_options" id="export_options" class="form-control cdb-form-element" rows="10" readonly><?php echo caledon_addon_export_options(); ?></textarea>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<h4><?php esc_html_e('Import', 'caledon'); ?></h4>
									<p><?php esc_html_e('To import options, just paste the code you previously saved from the "Export" field into this field, and then click the "Import" button.', 'caledon'); ?></p>
								</div>
								<div class="cdb-section-content">
									<div class="container-fluid">
										<div class="row">
											<div class="col-lg-12">
												<textarea name="import_theme_options" id="import_theme_options" class="form-control cdb-form-element" rows="10"></textarea>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<button type="button" class="btn btn-primary btn-sm " name="import" id="cdb-import-theme-options-btn"><?php esc_html_e('Import', 'caledon'); ?></button>
									<?php wp_nonce_field('codebean_import_theme_options_secret_value', 'codebean_import_theme_options_secret', false); ?>
									<span class="cdb-bckp-message"></span>
								</div>
							</div>
							<div class="cdb-page-form-section cdb-import-button-wrapper">
								<div class="alert alert-warning">
									<strong><?php esc_html_e('Important notes:', 'caledon') ?></strong>
									<ul>
										<li><?php esc_html_e('Please note that import process will overide all your existing options.', 'caledon'); ?></li>
									</ul>
								</div>
							</div>
						</div>
						<div class="cdb-page-form-section-holder">
							<h3 class="cdb-page-section-title"><?php esc_html_e('Export/Import Custom Sidebars', 'caledon'); ?></h3>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<h4><?php esc_html_e('Export', 'caledon'); ?></h4>
									<p><?php esc_html_e('Copy the code from this field and save it to a textual file to export your options. Save that textual file somewhere so you can later use it to import options if necessary.', 'caledon'); ?></p>
								</div>
								<div class="cdb-section-content">
									<div class="container-fluid">
										<div class="row">
											<div class="col-lg-12">
												<textarea name="export_options" id="export_options" class="form-control cdb-form-element" rows="10" readonly><?php echo caledon_addon_export_custom_sidebars(); ?></textarea>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<h4><?php esc_html_e('Import', 'caledon'); ?></h4>
									<p><?php esc_html_e('To import options, just paste the code you previously saved from the "Export" field into this field, and then click the "Import" button.', 'caledon'); ?></p>
								</div>
								<div class="cdb-section-content">
									<div class="container-fluid">
										<div class="row">
											<div class="col-lg-12">
												<textarea name="import_custom_sidebars" id="import_custom_sidebars" class="form-control cdb-form-element" rows="10"></textarea>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<button type="button" class="btn btn-primary btn-sm " name="import" id="cdb-import-custom-sidebars-btn"><?php esc_html_e('Import', 'caledon'); ?></button>
									<?php wp_nonce_field('codebean_import_custom_sidebars_secret_value', 'codebean_import_custom_sidebars_secret', false); ?>
									<span class="cdb-bckp-message"></span>
								</div>
							</div>
							<div class="cdb-page-form-section cdb-import-button-wrapper">
								<div class="alert alert-warning">
									<strong><?php esc_html_e('Important notes:', 'caledon') ?></strong>
									<ul>
										<li><?php esc_html_e('Please note that import process will override all your existing custom sidebars.', 'caledon'); ?></li>
									</ul>
								</div>
							</div>
						</div>
						<div class="cdb-page-form-section-holder">
							<h3 class="cdb-page-section-title"><?php esc_html_e('Export/Import Widgets', 'caledon'); ?></h3>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<h4><?php esc_html_e('Export', 'caledon'); ?></h4>
									<p><?php esc_html_e('Copy the code from this field and save it to a textual file to export your options. Save that textual file somewhere so you can later use it to import options if necessary.', 'caledon'); ?></p>
								</div>
								<div class="cdb-section-content">
									<div class="container-fluid">
										<div class="row">
											<div class="col-lg-12">
												<textarea name="export_widgets" id="export_widgets" class="form-control cdb-form-element" rows="10" readonly><?php echo caledon_addon_export_widgets_sidebars(); ?></textarea>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<h4><?php esc_html_e('Import', 'caledon'); ?></h4>
									<p><?php esc_html_e('To import options, just paste the code you previously saved from the "Export" field into this field, and then click the "Import" button.', 'caledon'); ?></p>
								</div>
								<div class="cdb-section-content">
									<div class="container-fluid">
										<div class="row">
											<div class="col-lg-12">
												<textarea name="import_widgets" id="import_widgets" class="form-control cdb-form-element" rows="10"></textarea>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="cdb-page-form-section">
								<div class="cdb-field-desc">
									<button type="button" class="btn btn-primary btn-sm " name="import" id="cdb-import-widgets-btn"><?php esc_html_e('Import', 'caledon'); ?></button>
									<?php wp_nonce_field('codebean_import_widgets_secret_value', 'codebean_import_widgets_secret', false); ?>
									<span class="cdb-bckp-message"></span>
								</div>
							</div>
							<div class="cdb-page-form-section cdb-import-button-wrapper">
								<div class="alert alert-warning">
									<strong><?php esc_html_e('Important notes:', 'caledon') ?></strong>
									<ul>
										<li><?php esc_html_e('Please note that import process will override all your existing widgets.', 'caledon'); ?></li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>