<?php
$author_info_box       = esc_attr( codebean_options()->getOptionValue( 'blog_author_info' ) );
$author_info_email     = esc_attr( codebean_options()->getOptionValue( 'blog_author_info_email' ) );
$author_id             = esc_attr( get_the_author_meta( 'ID' ) );
$social_networks       = codebean_core_plugin_installed() ? codebean_get_user_custom_fields() : false;
$display_author_social = codebean_options()->getOptionValue( 'blog_single_author_social' ) === 'no' ? false : true;
?>
<?php if ( $author_info_box === 'yes' && get_the_author_meta( 'description' ) !== "" ) { ?>
	<div class="cdb-author-box">
        <div class="cdb-author-box-image">
            <a itemprop="url" href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>" title="<?php the_title_attribute(); ?>">
                <?php echo codebean_kses_img( get_avatar( get_the_author_meta( 'ID' ), 120 ) ); ?>
            </a>
        </div>
        <div class="cdb-author-box-content">
            <h4 class="vcard author">
                <a itemprop="url" href="<?php echo esc_url( get_author_posts_url( $author_id ) ); ?>" title="<?php the_title_attribute(); ?>">
                    <span class="fn">
                        <?php
                        if ( get_the_author_meta( 'first_name' ) != "" || get_the_author_meta( 'last_name' ) != "" ) {
                            echo esc_html( get_the_author_meta( 'first_name' ) ) . " " . esc_html( get_the_author_meta( 'last_name' ) );
                        } else {
                            echo esc_html( get_the_author_meta( 'display_name' ) );
                        }
                        ?>
                    </span>
                </a>
            </h4>
            <?php if ( get_the_author_meta( 'description' ) != "" ) { ?>
                <p itemprop="description"><?php echo wp_kses_post( get_the_author_meta( 'description' ) ); ?></p>
            <?php } ?>
            <?php if ( $author_info_email === 'yes' && is_email( get_the_author_meta( 'email' ) ) ) { ?>
                <p itemprop="email" class="author-box-email"><?php echo sanitize_email( get_the_author_meta( 'email' ) ); ?></p>
            <?php } ?>
            <?php if ( $display_author_social ) { ?>
                <?php if ( is_array( $social_networks ) && count( $social_networks ) ) { ?>
                    <div class="author-box-social-networks">
                        <?php foreach ( $social_networks as $network ) { ?>
                            <a itemprop="url" href="<?php echo esc_attr( $network['link'] ) ?>" target="_blank">
                                <?php echo codebean_icon_collections()->renderIcon( $network['class'], 'font_awesome' ); ?>
                            </a>
                        <?php } ?>
                    </div>
                <?php } ?>
            <?php } ?>
        </div>
	</div>
<?php } ?>