<?php
$show_related = codebean_options()->getOptionValue('blog_single_related_posts') == 'yes' ? true : false;
$related_post_number = codebean_sidebar_layout() === 'no-sidebar' ? 4 : 3;

if ($related_post_number == 4) {
	$related_col_number = 3;
} else $related_col_number = 4;

$related_posts_options = array(
    'posts_per_page' => $related_post_number
);
$related_posts = codebean_get_blog_related_post_type(get_the_ID(), $related_posts_options);
$related_posts_image_size = isset($related_posts_image_size) ? $related_posts_image_size : 'caledon_related_posts_size';

$month = get_the_time('m');
$year = get_the_time('Y');
$title = get_the_title();

?>
<?php if($show_related) { ?>
    <div class="related-posts">
        <?php if ( $related_posts && $related_posts->have_posts() ) : ?>
            <h4><?php esc_html_e('Related Posts', 'caledon' ); ?></h4>
            <div class="cdb-row clearfix">
                <?php while ( $related_posts->have_posts() ) : $related_posts->the_post(); ?>
                    <div class="cdb-col-<?php echo esc_attr($related_col_number); ?>">
                        <article id="post-<?php the_ID(); ?>" <?php post_class( 'related-post-item' ); ?>>
                            <?php if (has_post_thumbnail()) { ?>
                            <div class="related-post-thumb">
                                <div class="post-date-on-thumb">
		                            <?php if (empty($title) && codebean_blog_item_has_link()) { ?>
                                    <a itemprop="url" href="<?php the_permalink() ?>">
			                            <?php } else { ?>
                                        <a itemprop="url" href="<?php echo get_month_link($year, $month); ?>">
				                            <?php } ?>
                                            <div class="post-date-day"><?php the_time('j'); ?> </div>
                                            <div class="post-date-month"><?php the_time('M'); ?> </div>
                                        </a>
                                </div>
                                <a itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                                    <?php the_post_thumbnail($related_posts_image_size); ?>
                                </a>
                            </div>
                            <?php }	?>
                            <div class="blog-post-meta-top">
                                <?php codebean_get_module_template_part('templates/parts/post-info/category', 'blog', ''); ?>
                            </div>
                            <h5 itemprop="name" class="blog-post-title"><a itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h5>
                        </article>
                    </div>
                <?php endwhile; ?>
            </div>
        <?php endif;
        wp_reset_postdata();
        ?>
    </div>
<?php } ?>