<?php
$blog_single_navigation = codebean_options()->getOptionValue('blog_single_navigation') === 'no' ? false : true;
$blog_navigation_through_same_category = codebean_options()->getOptionValue('blog_navigation_through_same_category') === 'no' ? false : true;
?>
<?php if($blog_single_navigation){ ?>
	<div class="post-navigation">
        <?php
            /* Single navigation section - SETTING PARAMS */
            $post_navigation = array(
                'prev' => array(
                    'mark' => '<span class="blog-post-single-nav-mark ion-ios-arrow-thin-left"></span>',
                    'label' => '<span class="blog-post-single-nav-label">'.esc_html__('Older Post', 'caledon').'</span>'
                ),
                'next' => array(
                    'mark' => '<span class="blog-post-single-nav-mark ion-ios-arrow-thin-right"></span>',
                    'label' => '<span class="blog-post-single-nav-label">'.esc_html__('Newer Post', 'caledon').'</span>'
                )
            );

            if($blog_navigation_through_same_category){
                if(get_previous_post(true) !== ""){
                    $post_navigation['prev']['post'] = get_previous_post(true);
                }
                if(get_next_post(true) !== ""){
                    $post_navigation['next']['post'] = get_next_post(true);
                }
            } else {
                if(get_previous_post() !== ""){
                    $post_navigation['prev']['post'] = get_previous_post();
                }
                if(get_next_post() !== ""){
                    $post_navigation['next']['post'] = get_next_post();
                }
            }

            /* Single navigation section - RENDERING */
            foreach (array('prev', 'next') as $nav_type) {
                if (isset($post_navigation[$nav_type]['post'])) { ?>
                    <a itemprop="url" class="post-navigation-<?php echo esc_attr($nav_type); ?>" href="<?php echo get_permalink($post_navigation[$nav_type]['post']->ID); ?>">
	                    <?php if ( $nav_type == 'prev' ) {
	                        echo wp_kses_post($post_navigation[$nav_type]['mark']);
                        } ?>
                        <div class="post-navigation-text">
                            <em><?php echo wp_kses_post($post_navigation[$nav_type]['label']); ?></em>
                            <strong><?php echo get_the_title($post_navigation[$nav_type]['post']->ID); ?></strong>
                        </div>
	                    <?php if ( $nav_type == 'next' ) {
		                    echo wp_kses_post($post_navigation[$nav_type]['mark']);
	                    } ?>
                    </a>
                <?php }
            }
        ?>
	</div>
<?php } ?>


