<?php

if ( ! function_exists( 'codebean_footer_top_general_styles' ) ) {
	/**
	 * Generates general custom styles for footer top area
	 */
	function codebean_footer_top_general_styles() {
		$item_styles      = array();
		$background_color = codebean_options()->getOptionValue( 'footer_top_background_color' );
		
		if ( ! empty( $background_color ) ) {
			$item_styles['background-color'] = $background_color;
		}
		
		echo codebean_dynamic_css( '.site-footer .footer-widgetized-area', $item_styles );
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_footer_top_general_styles' );
}

if ( ! function_exists( 'codebean_footer_bottom_general_styles' ) ) {
	/**
	 * Generates general custom styles for footer bottom area
	 */
	function codebean_footer_bottom_general_styles() {
		$item_styles      = array();
		$background_color = codebean_options()->getOptionValue( 'footer_bottom_background_color' );
		
		if ( ! empty( $background_color ) ) {
			$item_styles['background-color'] = $background_color;
		}
		
		echo codebean_dynamic_css( '.site-footer .cdb-subfooter', $item_styles );
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_footer_bottom_general_styles' );
}