<?php

if ( ! function_exists( 'codebean_logo_meta_box_map' ) ) {
	function codebean_logo_meta_box_map() {
		
		$logo_meta_box = codebean_create_meta_box(
			array(
				'scope' => apply_filters( 'codebean_filter_set_scope_for_meta_boxes', array( 'page', 'post' ), 'logo_meta' ),
				'title' => esc_html__( 'Logo', 'caledon' ),
				'name'  => 'logo_meta'
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_logo_image_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Default', 'caledon' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'caledon' ),
				'parent'      => $logo_meta_box
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_logo_image_dark_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Dark', 'caledon' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'caledon' ),
				'parent'      => $logo_meta_box
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_logo_image_light_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Light', 'caledon' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'caledon' ),
				'parent'      => $logo_meta_box
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_logo_image_mobile_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Logo Image - Mobile', 'caledon' ),
				'description' => esc_html__( 'Choose a default logo image to display ', 'caledon' ),
				'parent'      => $logo_meta_box
			)
		);
	}
	
	add_action( 'codebean_action_meta_boxes_map', 'codebean_logo_meta_box_map', 47 );
}