<?php

if ( ! function_exists( 'codebean_logo_options_map' ) ) {
	function codebean_logo_options_map() {
		
		codebean_add_admin_page(
			array(
				'slug'  => '_logo_page',
				'title' => esc_html__( 'Branding', 'caledon' ),
				'icon'  => 'fa fa-coffee'
			)
		);
		
		$panel_logo = codebean_add_admin_panel(
			array(
				'page'  => '_logo_page',
				'name'  => 'panel_logo',
				'title' => esc_html__( 'Branding', 'caledon' )
			)
		);
		
		codebean_add_admin_field(
			array(
				'parent'        => $panel_logo,
				'type'          => 'yesno',
				'name'          => 'hide_logo',
				'default_value' => 'no',
				'label'         => esc_html__( 'Hide Logo', 'caledon' ),
				'description'   => esc_html__( 'Enabling this option will hide logo image', 'caledon' )
			)
		);
		
		$hide_logo_container = codebean_add_admin_container(
			array(
				'parent'          => $panel_logo,
				'name'            => 'hide_logo_container',
				'dependency' => array(
					'hide' => array(
						'hide_logo'  => 'yes'
					)
				)
			)
		);
		
		codebean_add_admin_field(
			array(
				'name'          => 'logo_image',
				'type'          => 'image',
				'default_value' => CODEBEAN_ASSETS_ROOT . "/img/logo.svg",
				'label'         => esc_html__( 'Logo Image - Default', 'caledon' ),
				'parent'        => $hide_logo_container
			)
		);
		
		codebean_add_admin_field(
			array(
				'name'          => 'logo_image_dark',
				'type'          => 'image',
				'default_value' => CODEBEAN_ASSETS_ROOT . "/img/logo.svg",
				'label'         => esc_html__( 'Logo Image - Dark', 'caledon' ),
				'parent'        => $hide_logo_container
			)
		);
		
		codebean_add_admin_field(
			array(
				'name'          => 'logo_image_light',
				'type'          => 'image',
				'default_value' => CODEBEAN_ASSETS_ROOT . "/img/logo-light.svg",
				'label'         => esc_html__( 'Logo Image - Light', 'caledon' ),
				'parent'        => $hide_logo_container
			)
		);
		
		codebean_add_admin_field(
			array(
				'name'          => 'logo_image_mobile',
				'type'          => 'image',
				'default_value' => CODEBEAN_ASSETS_ROOT . "/img/logo.svg",
				'label'         => esc_html__( 'Logo Image - Mobile', 'caledon' ),
				'parent'        => $hide_logo_container
			)
		);
	}
	
	add_action( 'codebean_action_options_map', 'codebean_logo_options_map', codebean_set_options_map_position( 'logo' ) );
}