<?php

if ( ! function_exists( 'codebean_fixed_header_styles' ) ) {
	/**
	 * Generates styles for fixed haeder
	 */
	function codebean_fixed_header_styles() {
		$background_color        = codebean_options()->getOptionValue( 'fixed_header_background_color' );
		$background_transparency = codebean_options()->getOptionValue( 'fixed_header_transparency' );
		$border_color            = codebean_options()->getOptionValue( 'fixed_header_border_bottom_color' );
		
		$fixed_area_styles = array();
		if ( ! empty( $background_color ) ) {
			$fixed_header_background_color              = $background_color;
			$fixed_header_background_color_transparency = 1;
			
			if ( $background_transparency !== '' ) {
				$fixed_header_background_color_transparency = $background_transparency;
			}
			
			$fixed_area_styles['background-color'] = codebean_rgba_color( $fixed_header_background_color, $fixed_header_background_color_transparency ) . '!important';
		}
		
		if ( empty( $background_color ) && $background_transparency !== '' ) {
			$fixed_header_background_color              = '#fff';
			$fixed_header_background_color_transparency = $background_transparency;
			
			$fixed_area_styles['background-color'] = codebean_rgba_color( $fixed_header_background_color, $fixed_header_background_color_transparency ) . '!important';
		}
		
		$selector = array(
			'.main-header-wrapper .main-fixed-header.is-stuck .row-menu-container'
		);
		
		echo codebean_dynamic_css( $selector, $fixed_area_styles );
		
		$fixed_area_holder_styles = array();
		
		if ( ! empty( $border_color ) ) {
			$fixed_area_holder_styles['border-bottom-color'] = $border_color;
		}
		
		$selector_holder = array(
			'.main-header-wrapper .main-fixed-header.is-stuck'
		);
		
		echo codebean_dynamic_css( $selector_holder, $fixed_area_holder_styles );
		
		// fixed menu style
		
		$menu_item_styles = codebean_get_typography_styles( 'fixed' );
		
		$menu_item_selector = array(
			'.main-fixed-header.is-stuck .menu-wrapper > ul > li > a'
		);
		
		echo codebean_dynamic_css( $menu_item_selector, $menu_item_styles );
		
		
		$hover_color = codebean_options()->getOptionValue( 'fixed_hovercolor' );
		
		$menu_item_hover_styles = array();
		if ( ! empty( $hover_color ) ) {
			$menu_item_hover_styles['color'] = $hover_color;
		}
		
		$menu_item_hover_selector = array(
			'.main-fixed-header.is-stuck .menu-wrapper > ul > li:hover > a',
			'.main-fixed-header.is-stuck .menu-wrapper > ul > li.menu-active-unit > a'
		);
		
		echo codebean_dynamic_css( $menu_item_hover_selector, $menu_item_hover_styles );
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_fixed_header_styles' );
}