(function($) {
    "use strict";

    var headerMinimal = {};
    cdbTheme.modules.headerMinimal = headerMinimal;

    TweenMax.defaultEase = new BezierEasing(0.35, 0.3, 0.2, 0.85);
	
	headerMinimal.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
        overlayMenu();
    }


    /**
     * Init Fullscreen Menu
     */
    function overlayMenu() {
	    var popupMenuOpener = $( 'a.full-screen-menu-button');
	    
        if (popupMenuOpener.length) {
            var popupMenuHolderOuter = $(".full-screen-menu"),
                cssClass,
                header = $('.main-header-wrapper'),
                darkLogo = header.find('.logo-main, .logo-dark'),
                lightLogo = header.find('.logo-light'),
            //Flags for type of animation
                fadeRight = false,
                fadeTop = false,
            //Widgets
                widgetBelowNav = $('.full-screen-menu-footer div > *'),
            //Menu
                menuItems = $('.full-screen-menu nav > ul > li > a > span'),
                menuItemWithChild =  $('.fullscreen-nav > ul li.has_sub > a'),
                menuItemWithoutChild = $('.fullscreen-nav ul li:not(.has_sub) a'),
                tl = new TimelineMax({paused: true});

            tl
                .set( header, { className: '+=hide-bg-color' } )
                .to( popupMenuHolderOuter, 0.7, { width: '100%' } )
                .staggerTo(menuItems, 0.2, { y: 0 }, 0.1, "start" )
                .staggerTo(widgetBelowNav, 0.2, { y: 0 }, 0.1, "start" )
                .set( popupMenuOpener, { className: '+=fullscreen-button-open' }, "start");

            //set height of popup holder and initialize perfectScrollbar
            cdbTheme.modules.common.cdbThemeInitPerfectScrollbar().init(popupMenuHolderOuter);

            //set height of popup holder on resize
            $(window).resize(function() {
                popupMenuHolderOuter.height(cdbTheme.windowHeight);
            });

            if (cdbTheme.body.hasClass('animate-to-right')) {
                cssClass = 'animate-nav-right';
                fadeRight = true;
            } else if (cdbTheme.body.hasClass('animate-to-top')) {
                cssClass = 'animate-nav-top';
                fadeTop = true;
            }

            // Open popup menu
            popupMenuOpener.on('click',function(e){
                e.preventDefault();

                if (!popupMenuOpener.hasClass('fullscreen-button-open')) {
                    cdbTheme.body.removeClass('fullscreen-menu-off').addClass('fullscreen-menu-is-open fullscreen-menu-on');
                    cdbTheme.body.removeClass(cssClass);
                    cdbTheme.modules.common.cdbThemeDisableScroll();

                    tl.timeScale(1).restart();

                    $(document).keyup(function(e){
                        if (e.keyCode === 27 ) {
                            cdbTheme.body.removeClass('fullscreen-menu-is-open fullscreen-menu-on').addClass('fullscreen-menu-off');
                            cdbTheme.body.addClass(cssClass);
                            cdbTheme.modules.common.cdbThemeEnableScroll();

                            tl.timeScale(2).reverse();

                            $("nav.fullscreen-nav ul.dropdown-menu").slideUp(200);
                        }
                    });
                } else {
                    popupMenuOpener.removeClass('fullscreen-button-open');
                    cdbTheme.body.removeClass('fullscreen-menu-is-open fullscreen-menu-on').addClass('fullscreen-menu-off');
                    cdbTheme.body.addClass(cssClass);
                    cdbTheme.modules.common.cdbThemeEnableScroll();

                    tl.timeScale(1.5).reverse();

                    $("nav.fullscreen-nav ul.dropdown-menu").slideUp(200);
                }
            });


            //logic for open sub menus in popup menu
            menuItemWithChild.on('tap click', function(e) {
                e.preventDefault();

                var thisItem = $(this),
	                thisItemParent = thisItem.parent(),
					thisItemParentSiblingsWithDrop = thisItemParent.siblings('.menu-item-has-children');

                if (thisItemParent.hasClass('has_sub')) {
	                var submenu = thisItemParent.find('> ul.dropdown-menu');
	
	                if (submenu.is(':visible')) {
		                submenu.slideUp(450, 'easeInOutQuint');
		                thisItemParent.removeClass('open_sub');
	                } else {
		                thisItemParent.addClass('open_sub');
		
		                if(thisItemParentSiblingsWithDrop.length === 0) {
			                submenu.slideDown(400, 'easeInOutQuint');
		                } else {
							thisItemParent.closest('li.menu-item').siblings().find('.menu-item').removeClass('open_sub');
			                thisItemParent.siblings().removeClass('open_sub').find('.dropdown-menu').slideUp(400, 'easeInOutQuint', function() {
				                submenu.slideDown(400, 'easeInOutQuint');
			                });
		                }
	                }
                }
                
                return false;
            });

            //if link has no submenu and if it's not dead, than open that link
            menuItemWithoutChild.on('click', function (e) {
                if(($(this).attr('href') !== "http://#") && ($(this).attr('href') !== "#")){
                    if (e.which === 1) {
                        popupMenuOpener.removeClass('fullscreen-button-opend');
                        cdbTheme.body.removeClass('fullscreen-menu-is-open');
                        cdbTheme.body.removeClass('fullscreen-menu-on').addClass('fullscreen-menu-off');
                        cdbTheme.body.addClass(cssClass);
                        $("nav.fullscreen-nav ul.dropdown-menu").slideUp(200);
                        cdbTheme.modules.common.cdbThemeEnableScroll();
                    }
                } else {
                    return false;
                }
            });
        }
    }

})(jQuery);