<?php

if ( ! function_exists( 'codebean_search_opener_icon_size' ) ) {
	function codebean_search_opener_icon_size() {
		$icon_size = codebean_options()->getOptionValue( 'header_search_icon_size' );
		
		if ( ! empty( $icon_size ) ) {
			echo codebean_dynamic_css( '.search-button', array(
				'font-size' => codebean_filter_px( $icon_size ) . 'px'
			) );
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_search_opener_icon_size' );
}

if ( ! function_exists( 'codebean_search_opener_icon_colors' ) ) {
	function codebean_search_opener_icon_colors() {
		$icon_color       = codebean_options()->getOptionValue( 'header_search_icon_color' );
		$icon_hover_color = codebean_options()->getOptionValue( 'header_search_icon_hover_color' );
		
		if ( ! empty( $icon_color ) ) {
			echo codebean_dynamic_css( '.search-button', array(
				'color' => $icon_color
			) );
		}
		
		if ( ! empty( $icon_hover_color ) ) {
			echo codebean_dynamic_css( '.search-button:hover', array(
				'color' => $icon_hover_color
			) );
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_search_opener_icon_colors' );
}

if ( ! function_exists( 'codebean_search_opener_text_styles' ) ) {
	function codebean_search_opener_text_styles() {
		$item_styles = codebean_get_typography_styles( 'search_icon_text' );
		
		$item_selector = array(
			'.search-ajax-icon-text'
		);
		
		echo codebean_dynamic_css( $item_selector, $item_styles );
		
		$text_hover_color = codebean_options()->getOptionValue( 'search_icon_text_color_hover' );
		
		if ( ! empty( $text_hover_color ) ) {
			echo codebean_dynamic_css( '.search-button:hover .search-ajax-icon-text', array(
				'color' => $text_hover_color
			) );
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_search_opener_text_styles' );
}