(function($) {
    "use strict";

    var searchCoversHeader = {};
    cdbTheme.modules.searchCoversHeader = searchCoversHeader;

    searchCoversHeader.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    searchOverlayHeader();
    }
	
	/**
	 * Init Search Types
	 */
	function searchOverlayHeader() {
        if ( cdbTheme.body.hasClass( 'search-fit-header-on' ) ) {

            var searchOpener = $('a.search-button');

            if (searchOpener.length > 0) {
                searchOpener.each(function() {
                   var thisOpener = $(this);
                    thisOpener.on('click', function (e) {
                        e.preventDefault();

                        var thisSearchOpener = $(this),
                            searchFormHeight,
                            searchFormHeaderHolder = $('.main-header-wrapper'),
                            searchFormTopHeaderHolder = $('.top-bar'),
                            searchFormFixedHeaderHolder = searchFormHeaderHolder.find('.main-fixed-header.is-stuck'),
                            searchFormMobileHeaderHolder = $('.mobile-header'),
                            searchForm = $('.search-fit-header'),
                            searchFormIsInTopHeader = !!thisSearchOpener.parents('.top-bar').length,
                            searchFormIsInFixedHeader = !!thisSearchOpener.parents('.main-fixed-header.is-stuck').length,
                            searchFormIsInMobileHeader = !!thisSearchOpener.parents('.mobile-header').length;

                        searchForm.removeClass('is-open');

                        //Find search form position in header and height
                        if (searchFormIsInTopHeader) {
                            searchFormHeight = theme_global_vars.vars.top_bar_height;
                            searchFormTopHeaderHolder.find('.search-fit-header').addClass('is-open');

                        } else if (searchFormIsInFixedHeader) {
                            searchFormHeight = searchFormFixedHeaderHolder.outerHeight();
                            searchFormHeaderHolder.children('.search-fit-header').addClass('is-open');

                        } else if (searchFormIsInMobileHeader) {
                            if (searchFormMobileHeaderHolder.hasClass('is-scrolled-up')) {
                                searchFormHeight = searchFormMobileHeaderHolder.children('.mobile-header-inner').outerHeight();
                            } else {
                                searchFormHeight = searchFormMobileHeaderHolder.outerHeight();
                            }

                            searchFormMobileHeaderHolder.find('.search-fit-header').addClass('is-open');

                        } else {
                            searchFormHeight = searchFormHeaderHolder.outerHeight();
                            searchFormHeaderHolder.children('.search-fit-header').addClass('is-open');
                        }

                        if (searchForm.hasClass('is-open')) {
                            searchForm.height(searchFormHeight).stop(true).fadeIn(600).find('input[type="text"]').focus();
                        }

                        searchForm.find('.search-close-button').on('click', function (e) {
                            e.preventDefault();
                            searchForm.stop(true).fadeOut(450);
                        });

                        searchForm.blur(function () {
                            searchForm.stop(true).fadeOut(450);
                        });

                        $(window).scroll(function () {
                            searchForm.stop(true).fadeOut(450);
                        });
                    });
                });
            }
        }
	}

})(jQuery);
