(function($) {
    "use strict";

    var searchSlideFromHB = {};
    cdbTheme.modules.searchSlideFromHB = searchSlideFromHB;

    searchSlideFromHB.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    showSearchBelowHeader();
    }
	
	/**
	 * Init Search Types
	 */
	function showSearchBelowHeader() {
        if ( cdbTheme.body.hasClass( 'show-below-header' ) ) {

            var searchOpener = $('a.search-button');

            if (searchOpener.length > 0) {
                //Check for type of search
                searchOpener.on('click', function (e) {
                    e.preventDefault();

                    var thisSearchOpener = $(this),
                        searchIconPosition = parseInt(cdbTheme.windowWidth - thisSearchOpener.offset().left - thisSearchOpener.outerWidth());

                    if (cdbTheme.body.hasClass('boxed-site-layout') && cdbTheme.windowWidth > 1024) {
                        searchIconPosition -= parseInt((cdbTheme.windowWidth - $('.boxed-site-layout .site-wrapper .site-container').outerWidth()) / 2);
                    }

                    var searchFormHeaderHolder = $('.main-header-wrapper'),
                        searchFormTopOffset = '100%',
                        searchFormTopHeaderHolder = $('.top-bar'),
                        searchFormFixedHeaderHolder = searchFormHeaderHolder.find('.main-fixed-header.is-stuck'),
                        searchFormMobileHeaderHolder = $('.mobile-header'),
                        searchForm = $('.top-search-wrapper'),
                        searchFormIsInTopHeader = !!thisSearchOpener.parents('.top-bar').length,
                        searchFormIsInFixedHeader = !!thisSearchOpener.parents('.main-fixed-header.is-stuck').length,
                        searchFormIsInMobileHeader = !!thisSearchOpener.parents('.mobile-header').length;

                    searchForm.removeClass('is-open');

                    //Find search form position in header and height
                    if (searchFormIsInTopHeader) {
                        searchFormTopHeaderHolder.find('.top-search-wrapper').addClass('is-open');

                    } else if (searchFormIsInFixedHeader) {
                        searchFormTopOffset = searchFormFixedHeaderHolder.outerHeight() + theme_global_vars.vars.cdb_admin_bar;
                        searchFormHeaderHolder.children('.top-search-wrapper').addClass('is-open');

                    } else if (searchFormIsInMobileHeader) {
                        if (searchFormMobileHeaderHolder.hasClass('is-scrolled-up')) {
                            searchFormTopOffset = searchFormMobileHeaderHolder.children('.mobile-header-inner').outerHeight() + theme_global_vars.vars.cdb_admin_bar;
                        }
                        searchFormMobileHeaderHolder.find('.top-search-wrapper').addClass('is-open');

                    } else {
                        searchFormHeaderHolder.children('.top-search-wrapper').addClass('is-open');
                    }

                    if (searchForm.hasClass('is-open')) {
                        searchForm.css({
                            'right': searchIconPosition,
                            'top': searchFormTopOffset
                        }).stop(true).slideToggle('600', 'swing');
                    }

                    //Close on escape
                    $(document).keyup(function (e) {
                        if (e.keyCode === 27) { //KeyCode for ESC button is 27
                            searchForm.stop(true).fadeOut(0);
                        }
                    });

                    $(window).scroll(function () {
                        searchForm.stop(true).fadeOut(0);
                    });
                });
            }
        }
	}

})(jQuery);
