<?php

if ( ! function_exists( 'codebean_search_body_class' ) ) {
	/**
	 * Function that adds body classes for different search types
	 *
	 * @param $classes array original array of body classes
	 *
	 * @return array modified array of classes
	 */
	function codebean_search_body_class( $classes ) {
		$classes[] = 'show-below-header';
		
		return $classes;
	}
	
	add_filter( 'body_class', 'codebean_search_body_class' );
}

if ( ! function_exists( 'codebean_get_search' ) ) {
	/**
	 * Loads search HTML based on search type option.
	 */
	function codebean_get_search() {
		codebean_load_search_template();
	}
	
	add_action( 'codebean_action_before_page_header_html_close', 'codebean_get_search' );
}

if ( ! function_exists( 'codebean_load_search_template' ) ) {
	/**
	 * Loads search HTML based on search type option.
	 */
	function codebean_load_search_template() {
		$parameters = array(
			'search_submit_icon_class' => codebean_get_search_submit_icon_class()
		);

        codebean_get_module_template_part( 'types/slide-from-header-bottom/templates/slide-from-header-bottom', 'search', '', $parameters );
	}
}