<?php

if ( ! function_exists( 'codebean_side_area_slide_from_right_type_style' ) ) {
	function codebean_side_area_slide_from_right_type_style() {
		
		if ( codebean_options()->getOptionValue( 'side_area_type' ) == 'side-menu-slide-from-right' ) {
			
			if ( codebean_options()->getOptionValue( 'side_area_width' ) !== '' ) {
				echo codebean_dynamic_css( '.off-canvas-sidebar-slide-from-right .off-canvas-sidebar', array(
					'right' => '-' . codebean_options()->getOptionValue( 'side_area_width' ),
					'width' => codebean_options()->getOptionValue( 'side_area_width' )
				) );
			}
			
			if ( codebean_options()->getOptionValue( 'side_area_content_overlay_color' ) !== '' ) {
				
				echo codebean_dynamic_css( '.off-canvas-sidebar-slide-from-right .site-wrapper .js-off-canvas-overlay', array(
					'background-color' => codebean_options()->getOptionValue( 'side_area_content_overlay_color' )
				) );
			}
			
			if ( codebean_options()->getOptionValue( 'side_area_content_overlay_opacity' ) !== '' ) {
				
				echo codebean_dynamic_css( '.off-canvas-sidebar-slide-from-right.off-canvas-sidebar-active .site-wrapper .js-off-canvas-overlay', array(
					'opacity' => codebean_options()->getOptionValue( 'side_area_content_overlay_opacity' )
				) );
			}
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_side_area_slide_from_right_type_style' );
}

if ( ! function_exists( 'codebean_side_area_slide_with_content_type_style' ) ) {
	function codebean_side_area_slide_with_content_type_style() {
		
		if ( codebean_options()->getOptionValue( 'side_area_type' ) == 'side-menu-slide-with-content' ) {
			
			if ( codebean_options()->getOptionValue( 'side_area_width' ) !== '' ) {
				echo codebean_dynamic_css( '.off-canvas-sidebar-slide-with-content .off-canvas-sidebar', array(
					'right' => '-' . codebean_options()->getOptionValue( 'side_area_width' ),
					'width' => codebean_options()->getOptionValue( 'side_area_width' )
				) );
				
				$side_menu_open_classes = array(
					'.off-canvas-sidebar-slide-with-content.off-canvas-sidebar-open .site-wrapper',
					'.off-canvas-sidebar-slide-with-content.off-canvas-sidebar-open footer.fixed-footer-holder',
					'.off-canvas-sidebar-slide-with-content.off-canvas-sidebar-open .main-fixed-header',
					'.off-canvas-sidebar-slide-with-content.off-canvas-sidebar-open .mobile-header-container',
				);
				
				echo codebean_dynamic_css( $side_menu_open_classes, array(
					'left' => '-' . codebean_options()->getOptionValue( 'side_area_width' ),
				) );
			}
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_side_area_slide_with_content_type_style' );
}

if ( ! function_exists( 'codebean_side_area_uncovered_from_content_type_style' ) ) {
	function codebean_side_area_uncovered_from_content_type_style() {
		
		if ( codebean_options()->getOptionValue( 'side_area_type' ) == 'side-area-uncovered-from-content' ) {
			
			if ( codebean_options()->getOptionValue( 'side_area_width' ) !== '' ) {
				echo codebean_dynamic_css( '.off-canvas-sidebar-uncovered-from-content .off-canvas-sidebar', array(
					'width' => codebean_options()->getOptionValue( 'side_area_width' )
				) );
				
				$side_menu_open_classes = array(
					'.off-canvas-sidebar-uncovered-from-content.off-canvas-sidebar-active .site-wrapper',
					'.off-canvas-sidebar-uncovered-from-content.off-canvas-sidebar-active footer.fixed-footer-holder',
					'.off-canvas-sidebar-uncovered-from-content.off-canvas-sidebar-active .main-fixed-header.is-stuck',
					'.off-canvas-sidebar-uncovered-from-content.off-canvas-sidebar-active .mobile-header-container',
					'.off-canvas-sidebar-uncovered-from-content.off-canvas-sidebar-active .is-scrolled-up .mobile-header-container',
				);
				
				echo codebean_dynamic_css( $side_menu_open_classes, array(
					'left' => '-' . codebean_options()->getOptionValue( 'side_area_width' ),
				) );
			}
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_side_area_uncovered_from_content_type_style' );
}

if ( ! function_exists( 'codebean_side_area_icon_color_styles' ) ) {
	function codebean_side_area_icon_color_styles() {
		$icon_color             = codebean_options()->getOptionValue( 'side_area_icon_color' );
		$icon_hover_color       = codebean_options()->getOptionValue( 'side_area_icon_hover_color' );
		$close_icon_color       = codebean_options()->getOptionValue( 'side_area_close_icon_color' );
		$close_icon_hover_color = codebean_options()->getOptionValue( 'side_area_close_icon_hover_color' );
		
		$icon_hover_selector = array(
			'.off-canvas-sidebar-button:hover',
			'.off-canvas-sidebar-button.opened'
		);
		
		if ( ! empty( $icon_color ) ) {
			echo codebean_dynamic_css( '.off-canvas-sidebar-button', array(
				'color' => $icon_color
			) );
		}
		
		if ( ! empty( $icon_hover_color ) ) {
			echo codebean_dynamic_css( $icon_hover_selector, array(
				'color' => $icon_hover_color
			) );
		}
		
		if ( ! empty( $close_icon_color ) ) {
			echo codebean_dynamic_css( '.off-canvas-sidebar a.off-canvas-sidebar-close', array(
				'color' => $close_icon_color
			) );
		}
		
		if ( ! empty( $close_icon_hover_color ) ) {
			echo codebean_dynamic_css( '.off-canvas-sidebar a.off-canvas-sidebar-close:hover', array(
				'color' => $close_icon_hover_color
			) );
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_side_area_icon_color_styles' );
}

if ( ! function_exists( 'codebean_side_area_styles' ) ) {
	function codebean_side_area_styles() {
		$side_area_styles = array();
		$background_color = codebean_options()->getOptionValue( 'side_area_background_color' );
		$padding          = codebean_options()->getOptionValue( 'side_area_padding' );
		$text_alignment   = codebean_options()->getOptionValue( 'side_area_aligment' );
		
		if ( ! empty( $background_color ) ) {
			$side_area_styles['background-color'] = $background_color;
		}
		
		if ( ! empty( $padding ) ) {
			$side_area_styles['padding'] = esc_attr( $padding );
		}
		
		if ( ! empty( $text_alignment ) ) {
			$side_area_styles['text-align'] = $text_alignment;
		}
		
		if ( ! empty( $side_area_styles ) ) {
			echo codebean_dynamic_css( '.off-canvas-sidebar', $side_area_styles );
		}
		
		if ( $text_alignment === 'center' ) {
			echo codebean_dynamic_css( '.off-canvas-sidebar .widget img', array(
				'margin' => '0 auto'
			) );
		}
	}
	
	add_action( 'codebean_action_style_dynamic', 'codebean_side_area_styles' );
}