(function($) {
    "use strict";

    var sidearea = {};
    cdbTheme.modules.sidearea = sidearea;

    sidearea.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    offCanvasSidebar();
    }
	
	/**
	 * Show/hide Off Canvas Sidebar
	 */
    function offCanvasSidebar() {
		var wrapper = $('.site-wrapper'),
			sideMenu = $('.off-canvas-sidebar'),
			sideMenuButtonOpen = $('a.off-canvas-sidebar-button'),
			cssClass,
			//Flags
			slideFromRight = false,
			slideWithContent = false,
			slideUncovered = false;
		
		if (cdbTheme.body.hasClass('off-canvas-sidebar-slide-from-right')) {
			$('.js-off-canvas-overlay').remove();
			cssClass = 'off-canvas-sidebar-active';
			wrapper.prepend('<div class="js-off-canvas-overlay"/>');
			slideFromRight = true;
		} else if (cdbTheme.body.hasClass('off-canvas-sidebar-slide-with-content')) {
			cssClass = 'off-canvas-sidebar-open';
			slideWithContent = true;
		} else if (cdbTheme.body.hasClass('off-canvas-sidebar-uncovered-from-content')) {
			cssClass = 'off-canvas-sidebar-active';
			slideUncovered = true;
		}
		
		$('a.off-canvas-sidebar-button, a.off-canvas-sidebar-close').on('click', function (e) {
			e.preventDefault();
	
	        if (!sideMenuButtonOpen.hasClass('opened')) {
		        sideMenuButtonOpen.addClass('opened');
		        cdbTheme.body.addClass(cssClass);
		
		        if (slideFromRight) {
			        $('.site-wrapper .js-off-canvas-overlay').on('click', function () {
				        cdbTheme.body.removeClass('off-canvas-sidebar-active');
				        sideMenuButtonOpen.removeClass('opened');
			        });
		        }
		
		        if (slideUncovered) {
			        sideMenu.css({
				        'visibility': 'visible'
			        });
		        }
		
		        var currentScroll = $(window).scrollTop();
		        $(window).scroll(function () {
			        if (Math.abs(cdbTheme.scroll - currentScroll) > 400) {
				        cdbTheme.body.removeClass(cssClass);
				        sideMenuButtonOpen.removeClass('opened');
				        if (slideUncovered) {
					        var hideSideMenu = setTimeout(function () {
						        sideMenu.css({'visibility': 'hidden'});
						        clearTimeout(hideSideMenu);
					        }, 400);
				        }
			        }
		        });
            } else {
	            sideMenuButtonOpen.removeClass('opened');
	            cdbTheme.body.removeClass(cssClass);
	
	            if (slideUncovered) {
		            var hideSideMenu = setTimeout(function () {
			            sideMenu.css({'visibility': 'hidden'});
			            clearTimeout(hideSideMenu);
		            }, 400);
	            }
            }
	
	        if (slideWithContent) {
		        e.stopPropagation();
		
		        wrapper.on('click', function () {
			        e.preventDefault();
			        sideMenuButtonOpen.removeClass('opened');
			        cdbTheme.body.removeClass('off-canvas-sidebar-open');
		        });
	        }
        });

        if(sideMenu.length){
            cdbTheme.modules.common.cdbThemeInitPerfectScrollbar().init(sideMenu);
        }
    }

})(jQuery);
