<?php

if ( ! function_exists( 'codebean_map_sidebar_meta' ) ) {
	function codebean_map_sidebar_meta() {
		$cdb_sidebar_meta_box = codebean_create_meta_box(
			array(
				'scope' => apply_filters( 'codebean_filter_set_scope_for_meta_boxes', array( 'page' ), 'sidebar_meta' ),
				'title' => esc_html__( 'Sidebar', 'caledon' ),
				'name'  => 'sidebar_meta'
			)
		);
		
		codebean_create_meta_box_field(
			array(
				'name'        => 'cdb_sidebar_layout_meta',
				'type'        => 'select',
				'label'       => esc_html__( 'Sidebar Layout', 'caledon' ),
				'description' => esc_html__( 'Choose the sidebar layout', 'caledon' ),
				'parent'      => $cdb_sidebar_meta_box,
                'options'       => codebean_get_custom_sidebars_options( true )
			)
		);
		
		$cdb_custom_sidebars = codebean_get_custom_sidebars();
		if ( count( $cdb_custom_sidebars ) > 0 ) {
			codebean_create_meta_box_field(
				array(
					'name'        => 'cdb_custom_sidebar_area_meta',
					'type'        => 'selectblank',
					'label'       => esc_html__( 'Choose Widget Area in Sidebar', 'caledon' ),
					'description' => esc_html__( 'Choose Custom Widget area to display in Sidebar"', 'caledon' ),
					'parent'      => $cdb_sidebar_meta_box,
					'options'     => $cdb_custom_sidebars,
					'args'        => array(
						'select2' => true
					)
				)
			);
		}
	}
	
	add_action( 'codebean_action_meta_boxes_map', 'codebean_map_sidebar_meta', 31 );
}