<?php

if ( ! function_exists( 'codebean_sidebar_options_map' ) ) {
	function codebean_sidebar_options_map() {
		
		codebean_add_admin_page(
			array(
				'slug'  => '_sidebar_page',
				'title' => esc_html__( 'Sidebar Area', 'caledon' ),
				'icon'  => 'fa fa-indent'
			)
		);
		
		$sidebar_panel = codebean_add_admin_panel(
			array(
				'title' => esc_html__( 'Sidebar Area', 'caledon' ),
				'name'  => 'sidebar',
				'page'  => '_sidebar_page'
			)
		);
		
		codebean_add_admin_field( array(
			'name'          => 'sidebar_layout',
			'type'          => 'select',
			'label'         => esc_html__( 'Sidebar Layout', 'caledon' ),
			'description'   => esc_html__( 'Choose a sidebar layout for pages', 'caledon' ),
			'parent'        => $sidebar_panel,
			'default_value' => 'no-sidebar',
            'options'       => codebean_get_custom_sidebars_options()
		) );
		
		$caledon_custom_sidebars = codebean_get_custom_sidebars();
		if ( count( $caledon_custom_sidebars ) > 0 ) {
			codebean_add_admin_field( array(
				'name'        => 'custom_sidebar_area',
				'type'        => 'selectblank',
				'label'       => esc_html__( 'Sidebar to Display', 'caledon' ),
				'description' => esc_html__( 'Choose a sidebar to display on pages. Default sidebar is "Sidebar"', 'caledon' ),
				'parent'      => $sidebar_panel,
				'options'     => $caledon_custom_sidebars,
				'args'        => array(
					'select2' => true
				)
			) );
		}
	}
	
	add_action( 'codebean_action_options_map', 'codebean_sidebar_options_map', codebean_set_options_map_position( 'sidebar' ) );
}