(function ($) {
	"use strict";
	
	var subscribePopup = {};
	cdbTheme.modules.subscribePopup = subscribePopup;
	
	subscribePopup.cdbThemeWindowLoad = cdbThemeWindowLoad;
	
	$(window).load(cdbThemeWindowLoad);
	
	/*
	 All functions to be called on $(window).load() should be in this function
	 */
	function cdbThemeWindowLoad() {
		contentPopup();
	}
	
	function contentPopup() {
		var popupOpener = $('.subscribe-popup-wrap'),
			popupClose = $('.subscribe-popup-close');
		
		if (popupOpener.length) {
			var popupPreventHolder = popupOpener.find('.avoid-popup-button'),
				disabledPopup = 'no';
			
			if (popupPreventHolder.length) {
				var isLocalStorage = popupOpener.hasClass('avoid-popup-button-cookies'),
					popupPreventInput = popupPreventHolder.find('.avoid-popup-icon'),
					preventValue = popupPreventInput.data('value');
				
				if (isLocalStorage) {
					disabledPopup = localStorage.getItem('disabledPopup');
					sessionStorage.removeItem('disabledPopup');
				} else {
					disabledPopup = sessionStorage.getItem('disabledPopup');
					localStorage.removeItem('disabledPopup');
				}
				
				popupPreventHolder.children().on('click', function (e) {
					if ( preventValue !== 'yes' ) {
						preventValue = 'yes';
						popupPreventInput.addClass('active').data('value', 'yes');
					} else {
						preventValue = 'no';
						popupPreventInput.removeClass('active').data('value', 'no');
					}
					
					if (preventValue === 'yes') {
						if (isLocalStorage) {
							localStorage.setItem('disabledPopup', 'yes');
						} else {
							sessionStorage.setItem('disabledPopup', 'yes');
						}
					} else {
						if (isLocalStorage) {
							localStorage.setItem('disabledPopup', 'no');
						} else {
							sessionStorage.setItem('disabledPopup', 'no');
						}
					}
				});
			}
			
			if (disabledPopup !== 'yes') {
				if (cdbTheme.body.hasClass('subscribe-popup-opened')) {
					cdbTheme.body.removeClass('subscribe-popup-opened');
					cdbTheme.modules.common.cdbThemeEnableScroll();
				} else {
					cdbTheme.body.addClass('subscribe-popup-opened');
					cdbTheme.modules.common.cdbThemeDisableScroll();
				}
				
				popupClose.on('click', function (e) {
					e.preventDefault();
					
					cdbTheme.body.removeClass('subscribe-popup-opened');
					cdbTheme.modules.common.cdbThemeEnableScroll();
				});
				
				//Close on escape
				$(document).keyup(function (e) {
					if (e.keyCode === 27) { //KeyCode for ESC button is 27
						cdbTheme.body.removeClass('subscribe-popup-opened');
						cdbTheme.modules.common.cdbThemeEnableScroll();
					}
				});
			}
		}
	}
	
})(jQuery);