<?php

if ( ! function_exists( 'codebean_get_subscribe_popup' ) ) {
	/**
	 * Loads search HTML based on search type option.
	 */
	function codebean_get_subscribe_popup() {
		
		if ( codebean_options()->getOptionValue( 'enable_subscribe_popup' ) === 'yes' && ( codebean_options()->getOptionValue( 'subscribe_popup_contact_form' ) !== '' || codebean_options()->getOptionValue( 'subscribe_popup_title' ) !== '' ) ) {
			codebean_load_subscribe_popup_template();
		}
	}
	
	//Get subscribe popup HTML
	add_action( 'codebean_action_before_page_header', 'codebean_get_subscribe_popup' );
}

if ( ! function_exists( 'codebean_load_subscribe_popup_template' ) ) {
	/**
	 * Loads HTML template with parameters
	 */
	function codebean_load_subscribe_popup_template() {
		$parameters                       = array();
		$parameters['title']              = codebean_options()->getOptionValue( 'subscribe_popup_title' );
		$parameters['subtitle']           = codebean_options()->getOptionValue( 'subscribe_popup_subtitle' );
		$background_image_meta            = codebean_options()->getOptionValue( 'subscribe_popup_background_image' );
		$parameters['background_styles']  = ! empty( $background_image_meta ) ? 'background-image: url(' . esc_url( $background_image_meta ) . ')' : '';
		$parameters['contact_form']       = codebean_options()->getOptionValue( 'subscribe_popup_contact_form' );
		$parameters['contact_form_style'] = codebean_options()->getOptionValue( 'subscribe_popup_contact_form_style' );
		$parameters['enable_prevent']     = codebean_options()->getOptionValue( 'enable_subscribe_popup_prevent' );
		$parameters['prevent_behavior']   = codebean_options()->getOptionValue( 'subscribe_popup_prevent_behavior' );
		
		$holder_classes   = array();
		$holder_classes[] = $parameters['enable_prevent'] === 'yes' ? 'avoid-popup-on' : 'avoid-popup-off';
		$holder_classes[] = ! empty( $parameters['prevent_behavior'] ) ? 'avoid-popup-' . $parameters['prevent_behavior'] : 'avoid-popup-session';
		$holder_classes[] = ! empty( $background_image_meta ) ? 'has-image' : '';
		
		$parameters['holder_classes'] = implode( ' ', $holder_classes );
		
		codebean_get_module_template_part( 'templates/subscribe-popup', 'subscribe-popup', '', $parameters );
	}
}