(function($) {
    "use strict";

    var title = {};
    cdbTheme.modules.title = title;

    title.cdbThemeDocumentReady = cdbThemeDocumentReady;

    $(document).ready(cdbThemeDocumentReady);
    
    /* 
        All functions to be called on $(document).ready() should be in this function
    */
    function cdbThemeDocumentReady() {
	    parallaxPageTitle();
    }

    /*
     **	Title image with parallax effect
     */
	function parallaxPageTitle() {
		var parallaxBackground = $('.page-title-wrap.background-parallax');
		
		if (parallaxBackground.length > 0 && cdbTheme.windowWidth > 1024) {
			var parallaxBackgroundWithZoomOut = parallaxBackground.hasClass('background-parallax-zoom-out'),
				titleHeight = parseInt(parallaxBackground.data('height')),
				imageWidth = parseInt(parallaxBackground.data('background-width')),
				parallaxRate = titleHeight / 10000 * 7,
				parallaxYPos = -(cdbTheme.scroll * parallaxRate),
				adminBarHeight = theme_global_vars.vars.cdb_admin_bar;
			
			parallaxBackground.css({'background-position': 'center ' + (parallaxYPos + adminBarHeight) + 'px'});
			
			if (parallaxBackgroundWithZoomOut) {
				parallaxBackgroundWithZoomOut.css({'background-size': imageWidth - cdbTheme.scroll + 'px auto'});
			}
			
			//set position of background on window scroll
			$(window).scroll(function () {
				parallaxYPos = -(cdbTheme.scroll * parallaxRate);
				parallaxBackground.css({'background-position': 'center ' + (parallaxYPos + adminBarHeight) + 'px'});
				
				if (parallaxBackgroundWithZoomOut) {
					parallaxBackgroundWithZoomOut.css({'background-size': imageWidth - cdbTheme.scroll + 'px auto'});
				}
			});
		}
	}

})(jQuery);
