<?php

class CodeBeanClassSearchPostType extends CodeBeanClassWidget {
	public function __construct() {
		parent::__construct(
			'codebean_search_post_type',
			esc_html__( 'Caledon Search Post Type', 'caledon' ),
			array( 'description' => esc_html__( 'Select post type that you want to be searched for', 'caledon' ) )
		);
		
		$this->setParams();
	}
	
	protected function setParams() {
		$post_types = apply_filters( 'codebean_filter_search_post_type_widget_params_post_type', array( 'post' => esc_html__( 'Post', 'caledon' ) ) );
		
		$this->params = array(
			array(
				'type'        => 'dropdown',
				'name'        => 'post_type',
				'title'       => esc_html__( 'Post Type', 'caledon' ),
				'description' => esc_html__( 'Choose post type that you want to be searched for', 'caledon' ),
				'options'     => $post_types
			)
		);
	}
	
	public function widget( $args, $instance ) {
		$search_type_class = 'search-post-ajax-wrap';
		$post_type         = $instance['post_type'];
		?>
		
		<div class="widget search-post-type-ajax">
			<div data-post-type="<?php echo esc_attr( $post_type ); ?>" <?php codebean_class_attribute( $search_type_class ); ?>>
				<input type="search" class="search-post-type-field" value="" placeholder="<?php esc_attr_e( 'Type to search', 'caledon' ) ?>">
				<i class="search-ajax-icon icon-magnifier"></i>
				<i class="search-ajax-loader d-hidden"></i>
			</div>
			<div class="search-ajax-results"></div>
		</div>
	<?php }
}