<?php

if ( ! function_exists( 'codebean_register_required_plugins' ) ) {
	/**
	 * Registers theme required and optional plugins. Hooks to tgmpa_register hook
	 */
	function codebean_register_required_plugins() {
		$plugins = array(
			array(
				'name'               => esc_html__( 'WPBakery Visual Composer', 'caledon' ),
				'slug'               => 'js_composer',
				'source'             => get_template_directory() . '/includes/plugins/js_composer.zip',
				'required'           => true,
				'force_activation'   => false,
				'force_deactivation' => false
			),

			array(
				'name'               => esc_html__( 'Revolution Slider', 'caledon' ),
				'slug'               => 'revslider',
				'source'             => get_template_directory() . '/includes/plugins/revslider.zip',
				'required'           => true,
				'force_activation'   => false,
				'force_deactivation' => false
			),

			array(
				'name'               => esc_html__( 'Caledon Addon', 'caledon' ),
				'slug'               => 'caledon-addon',
				'source'             => get_template_directory() . '/includes/plugins/caledon-addon.zip',
				'version'            => '1.0',
				'required'           => true,
				'force_activation'   => false,
				'force_deactivation' => false
			),

			array(
				'name'     => esc_html__( 'WooCommerce plugin', 'caledon' ),
				'slug'     => 'woocommerce',
				'required' => false
			),

			array(
				'name'     => esc_html__( 'Contact Form 7', 'caledon' ),
				'slug'     => 'contact-form-7',
				'required' => false
			),

			array(
				'name'      => esc_html__( 'One Click Demo Import', 'caledon' ),
				'slug'      => 'one-click-demo-import',
				'required'  => false,
			),

			array(
				'name'               => esc_html__( 'Envato Market', 'caledon' ),
				'slug'               => 'envato-market',
				'source'             => get_template_directory() . '/includes/plugins/envato-market.zip',
				'version'            => '2.0.0',
				'required'           => true,
				'force_activation'   => false,
				'force_deactivation' => false
			)
		);
		
		$config = array(
			'domain'       => 'caledon',
			'default_path' => '',
			'parent_slug'  => 'themes.php',
			'capability'   => 'edit_theme_options',
			'menu'         => 'install-required-plugins',
			'has_notices'  => true,
			'is_automatic' => false,
			'message'      => '',
			'strings'      => array(
				'page_title'                      => esc_html__( 'Install Required Plugins', 'caledon' ),
				'menu_title'                      => esc_html__( 'Install Plugins', 'caledon' ),
				'installing'                      => esc_html__( 'Installing Plugin: %s', 'caledon' ),
				'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'caledon' ),
				'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'caledon' ),
				'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'caledon' ),
				'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'caledon' ),
				'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'caledon' ),
				'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'caledon' ),
				'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'caledon' ),
				'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'caledon' ),
				'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'caledon' ),
				'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'caledon' ),
				'activate_link'                   => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'caledon' ),
				'return'                          => esc_html__( 'Return to Required Plugins Installer', 'caledon' ),
				'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'caledon' ),
				'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'caledon' ),
				'nag_type'                        => 'updated'
			)
		);
		
		tgmpa( $plugins, $config );
	}
	
	add_action( 'tgmpa_register', 'codebean_register_required_plugins' );
}